# -*- Mode: Python; py-indent-offset: 4 -*-
# pygtk - Python bindings for the GTK toolkit.
# Copyright (C) 1998-2003  James Henstridge
#
#   gtk/keysyms.py: list of keysyms.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

VoidSymbol = 0xFFFFFF
BackSpace = 0xFF08
Tab = 0xFF09
Linefeed = 0xFF0A
Clear = 0xFF0B
Return = 0xFF0D
Pause = 0xFF13
Scroll_Lock = 0xFF14
Sys_Req = 0xFF15
Escape = 0xFF1B
Delete = 0xFFFF
Multi_key = 0xFF20
Codeinput = 0xFF37
SingleCandidate = 0xFF3C
MultipleCandidate = 0xFF3D
PreviousCandidate = 0xFF3E
Kanji = 0xFF21
Muhenkan = 0xFF22
Henkan_Mode = 0xFF23
Henkan = 0xFF23
Romaji = 0xFF24
Hiragana = 0xFF25
Katakana = 0xFF26
Hiragana_Katakana = 0xFF27
Zenkaku = 0xFF28
Hankaku = 0xFF29
Zenkaku_Hankaku = 0xFF2A
Touroku = 0xFF2B
Massyo = 0xFF2C
Kana_Lock = 0xFF2D
Kana_Shift = 0xFF2E
Eisu_Shift = 0xFF2F
Eisu_toggle = 0xFF30
Kanji_Bangou = 0xFF37
Zen_Koho = 0xFF3D
Mae_Koho = 0xFF3E
Home = 0xFF50
Left = 0xFF51
Up = 0xFF52
Right = 0xFF53
Down = 0xFF54
Prior = 0xFF55
Page_Up = 0xFF55
Next = 0xFF56
Page_Down = 0xFF56
End = 0xFF57
Begin = 0xFF58
Select = 0xFF60
Print = 0xFF61
Execute = 0xFF62
Insert = 0xFF63
Undo = 0xFF65
Redo = 0xFF66
Menu = 0xFF67
Find = 0xFF68
Cancel = 0xFF69
Help = 0xFF6A
Break = 0xFF6B
Mode_switch = 0xFF7E
script_switch = 0xFF7E
Num_Lock = 0xFF7F
KP_Space = 0xFF80
KP_Tab = 0xFF89
KP_Enter = 0xFF8D
KP_F1 = 0xFF91
KP_F2 = 0xFF92
KP_F3 = 0xFF93
KP_F4 = 0xFF94
KP_Home = 0xFF95
KP_Left = 0xFF96
KP_Up = 0xFF97
KP_Right = 0xFF98
KP_Down = 0xFF99
KP_Prior = 0xFF9A
KP_Page_Up = 0xFF9A
KP_Next = 0xFF9B
KP_Page_Down = 0xFF9B
KP_End = 0xFF9C
KP_Begin = 0xFF9D
KP_Insert = 0xFF9E
KP_Delete = 0xFF9F
KP_Equal = 0xFFBD
KP_Multiply = 0xFFAA
KP_Add = 0xFFAB
KP_Separator = 0xFFAC
KP_Subtract = 0xFFAD
KP_Decimal = 0xFFAE
KP_Divide = 0xFFAF
KP_0 = 0xFFB0
KP_1 = 0xFFB1
KP_2 = 0xFFB2
KP_3 = 0xFFB3
KP_4 = 0xFFB4
KP_5 = 0xFFB5
KP_6 = 0xFFB6
KP_7 = 0xFFB7
KP_8 = 0xFFB8
KP_9 = 0xFFB9
F1 = 0xFFBE
F2 = 0xFFBF
F3 = 0xFFC0
F4 = 0xFFC1
F5 = 0xFFC2
F6 = 0xFFC3
F7 = 0xFFC4
F8 = 0xFFC5
F9 = 0xFFC6
F10 = 0xFFC7
F11 = 0xFFC8
L1 = 0xFFC8
F12 = 0xFFC9
L2 = 0xFFC9
F13 = 0xFFCA
L3 = 0xFFCA
F14 = 0xFFCB
L4 = 0xFFCB
F15 = 0xFFCC
L5 = 0xFFCC
F16 = 0xFFCD
L6 = 0xFFCD
F17 = 0xFFCE
L7 = 0xFFCE
F18 = 0xFFCF
L8 = 0xFFCF
F19 = 0xFFD0
L9 = 0xFFD0
F20 = 0xFFD1
L10 = 0xFFD1
F21 = 0xFFD2
R1 = 0xFFD2
F22 = 0xFFD3
R2 = 0xFFD3
F23 = 0xFFD4
R3 = 0xFFD4
F24 = 0xFFD5
R4 = 0xFFD5
F25 = 0xFFD6
R5 = 0xFFD6
F26 = 0xFFD7
R6 = 0xFFD7
F27 = 0xFFD8
R7 = 0xFFD8
F28 = 0xFFD9
R8 = 0xFFD9
F29 = 0xFFDA
R9 = 0xFFDA
F30 = 0xFFDB
R10 = 0xFFDB
F31 = 0xFFDC
R11 = 0xFFDC
F32 = 0xFFDD
R12 = 0xFFDD
F33 = 0xFFDE
R13 = 0xFFDE
F34 = 0xFFDF
R14 = 0xFFDF
F35 = 0xFFE0
R15 = 0xFFE0
Shift_L = 0xFFE1
Shift_R = 0xFFE2
Control_L = 0xFFE3
Control_R = 0xFFE4
Caps_Lock = 0xFFE5
Shift_Lock = 0xFFE6
Meta_L = 0xFFE7
Meta_R = 0xFFE8
Alt_L = 0xFFE9
Alt_R = 0xFFEA
Super_L = 0xFFEB
Super_R = 0xFFEC
Hyper_L = 0xFFED
Hyper_R = 0xFFEE
ISO_Lock = 0xFE01
ISO_Level2_Latch = 0xFE02
ISO_Level3_Shift = 0xFE03
ISO_Level3_Latch = 0xFE04
ISO_Level3_Lock = 0xFE05
ISO_Group_Shift = 0xFF7E
ISO_Group_Latch = 0xFE06
ISO_Group_Lock = 0xFE07
ISO_Next_Group = 0xFE08
ISO_Next_Group_Lock = 0xFE09
ISO_Prev_Group = 0xFE0A
ISO_Prev_Group_Lock = 0xFE0B
ISO_First_Group = 0xFE0C
ISO_First_Group_Lock = 0xFE0D
ISO_Last_Group = 0xFE0E
ISO_Last_Group_Lock = 0xFE0F
ISO_Left_Tab = 0xFE20
ISO_Move_Line_Up = 0xFE21
ISO_Move_Line_Down = 0xFE22
ISO_Partial_Line_Up = 0xFE23
ISO_Partial_Line_Down = 0xFE24
ISO_Partial_Space_Left = 0xFE25
ISO_Partial_Space_Right = 0xFE26
ISO_Set_Margin_Left = 0xFE27
ISO_Set_Margin_Right = 0xFE28
ISO_Release_Margin_Left = 0xFE29
ISO_Release_Margin_Right = 0xFE2A
ISO_Release_Both_Margins = 0xFE2B
ISO_Fast_Cursor_Left = 0xFE2C
ISO_Fast_Cursor_Right = 0xFE2D
ISO_Fast_Cursor_Up = 0xFE2E
ISO_Fast_Cursor_Down = 0xFE2F
ISO_Continuous_Underline = 0xFE30
ISO_Discontinuous_Underline = 0xFE31
ISO_Emphasize = 0xFE32
ISO_Center_Object = 0xFE33
ISO_Enter = 0xFE34
dead_grave = 0xFE50
dead_acute = 0xFE51
dead_circumflex = 0xFE52
dead_tilde = 0xFE53
dead_macron = 0xFE54
dead_breve = 0xFE55
dead_abovedot = 0xFE56
dead_diaeresis = 0xFE57
dead_abovering = 0xFE58
dead_doubleacute = 0xFE59
dead_caron = 0xFE5A
dead_cedilla = 0xFE5B
dead_ogonek = 0xFE5C
dead_iota = 0xFE5D
dead_voiced_sound = 0xFE5E
dead_semivoiced_sound = 0xFE5F
dead_belowdot = 0xFE60
First_Virtual_Screen = 0xFED0
Prev_Virtual_Screen = 0xFED1
Next_Virtual_Screen = 0xFED2
Last_Virtual_Screen = 0xFED4
Terminate_Server = 0xFED5
AccessX_Enable = 0xFE70
AccessX_Feedback_Enable = 0xFE71
RepeatKeys_Enable = 0xFE72
SlowKeys_Enable = 0xFE73
BounceKeys_Enable = 0xFE74
StickyKeys_Enable = 0xFE75
MouseKeys_Enable = 0xFE76
MouseKeys_Accel_Enable = 0xFE77
Overlay1_Enable = 0xFE78
Overlay2_Enable = 0xFE79
AudibleBell_Enable = 0xFE7A
Pointer_Left = 0xFEE0
Pointer_Right = 0xFEE1
Pointer_Up = 0xFEE2
Pointer_Down = 0xFEE3
Pointer_UpLeft = 0xFEE4
Pointer_UpRight = 0xFEE5
Pointer_DownLeft = 0xFEE6
Pointer_DownRight = 0xFEE7
Pointer_Button_Dflt = 0xFEE8
Pointer_Button1 = 0xFEE9
Pointer_Button2 = 0xFEEA
Pointer_Button3 = 0xFEEB
Pointer_Button4 = 0xFEEC
Pointer_Button5 = 0xFEED
Pointer_DblClick_Dflt = 0xFEEE
Pointer_DblClick1 = 0xFEEF
Pointer_DblClick2 = 0xFEF0
Pointer_DblClick3 = 0xFEF1
Pointer_DblClick4 = 0xFEF2
Pointer_DblClick5 = 0xFEF3
Pointer_Drag_Dflt = 0xFEF4
Pointer_Drag1 = 0xFEF5
Pointer_Drag2 = 0xFEF6
Pointer_Drag3 = 0xFEF7
Pointer_Drag4 = 0xFEF8
Pointer_Drag5 = 0xFEFD
Pointer_EnableKeys = 0xFEF9
Pointer_Accelerate = 0xFEFA
Pointer_DfltBtnNext = 0xFEFB
Pointer_DfltBtnPrev = 0xFEFC
_3270_Duplicate = 0xFD01
_3270_FieldMark = 0xFD02
_3270_Right2 = 0xFD03
_3270_Left2 = 0xFD04
_3270_BackTab = 0xFD05
_3270_EraseEOF = 0xFD06
_3270_EraseInput = 0xFD07
_3270_Reset = 0xFD08
_3270_Quit = 0xFD09
_3270_PA1 = 0xFD0A
_3270_PA2 = 0xFD0B
_3270_PA3 = 0xFD0C
_3270_Test = 0xFD0D
_3270_Attn = 0xFD0E
_3270_CursorBlink = 0xFD0F
_3270_AltCursor = 0xFD10
_3270_KeyClick = 0xFD11
_3270_Jump = 0xFD12
_3270_Ident = 0xFD13
_3270_Rule = 0xFD14
_3270_Copy = 0xFD15
_3270_Play = 0xFD16
_3270_Setup = 0xFD17
_3270_Record = 0xFD18
_3270_ChangeScreen = 0xFD19
_3270_DeleteWord = 0xFD1A
_3270_ExSelect = 0xFD1B
_3270_CursorSelect = 0xFD1C
_3270_PrintScreen = 0xFD1D
_3270_Enter = 0xFD1E
space = 0x020
exclam = 0x021
quotedbl = 0x022
numbersign = 0x023
dollar = 0x024
percent = 0x025
ampersand = 0x026
apostrophe = 0x027
quoteright = 0x027
parenleft = 0x028
parenright = 0x029
asterisk = 0x02a
plus = 0x02b
comma = 0x02c
minus = 0x02d
period = 0x02e
slash = 0x02f
_0 = 0x030
_1 = 0x031
_2 = 0x032
_3 = 0x033
_4 = 0x034
_5 = 0x035
_6 = 0x036
_7 = 0x037
_8 = 0x038
_9 = 0x039
colon = 0x03a
semicolon = 0x03b
less = 0x03c
equal = 0x03d
greater = 0x03e
question = 0x03f
at = 0x040
A = 0x041
B = 0x042
C = 0x043
D = 0x044
E = 0x045
F = 0x046
G = 0x047
H = 0x048
I = 0x049
J = 0x04a
K = 0x04b
L = 0x04c
M = 0x04d
N = 0x04e
O = 0x04f
P = 0x050
Q = 0x051
R = 0x052
S = 0x053
T = 0x054
U = 0x055
V = 0x056
W = 0x057
X = 0x058
Y = 0x059
Z = 0x05a
bracketleft = 0x05b
backslash = 0x05c
bracketright = 0x05d
asciicircum = 0x05e
underscore = 0x05f
grave = 0x060
quoteleft = 0x060
a = 0x061
b = 0x062
c = 0x063
d = 0x064
e = 0x065
f = 0x066
g = 0x067
h = 0x068
i = 0x069
j = 0x06a
k = 0x06b
l = 0x06c
m = 0x06d
n = 0x06e
o = 0x06f
p = 0x070
q = 0x071
r = 0x072
s = 0x073
t = 0x074
u = 0x075
v = 0x076
w = 0x077
x = 0x078
y = 0x079
z = 0x07a
braceleft = 0x07b
bar = 0x07c
braceright = 0x07d
asciitilde = 0x07e
nobreakspace = 0x0a0
exclamdown = 0x0a1
cent = 0x0a2
sterling = 0x0a3
currency = 0x0a4
yen = 0x0a5
brokenbar = 0x0a6
section = 0x0a7
diaeresis = 0x0a8
copyright = 0x0a9
ordfeminine = 0x0aa
guillemotleft = 0x0ab
notsign = 0x0ac
hyphen = 0x0ad
registered = 0x0ae
macron = 0x0af
degree = 0x0b0
plusminus = 0x0b1
twosuperior = 0x0b2
threesuperior = 0x0b3
acute = 0x0b4
mu = 0x0b5
paragraph = 0x0b6
periodcentered = 0x0b7
cedilla = 0x0b8
onesuperior = 0x0b9
masculine = 0x0ba
guillemotright = 0x0bb
onequarter = 0x0bc
onehalf = 0x0bd
threequarters = 0x0be
questiondown = 0x0bf
Agrave = 0x0c0
Aacute = 0x0c1
Acircumflex = 0x0c2
Atilde = 0x0c3
Adiaeresis = 0x0c4
Aring = 0x0c5
AE = 0x0c6
Ccedilla = 0x0c7
Egrave = 0x0c8
Eacute = 0x0c9
Ecircumflex = 0x0ca
Ediaeresis = 0x0cb
Igrave = 0x0cc
Iacute = 0x0cd
Icircumflex = 0x0ce
Idiaeresis = 0x0cf
ETH = 0x0d0
Eth = 0x0d0
Ntilde = 0x0d1
Ograve = 0x0d2
Oacute = 0x0d3
Ocircumflex = 0x0d4
Otilde = 0x0d5
Odiaeresis = 0x0d6
multiply = 0x0d7
Ooblique = 0x0d8
Ugrave = 0x0d9
Uacute = 0x0da
Ucircumflex = 0x0db
Udiaeresis = 0x0dc
Yacute = 0x0dd
THORN = 0x0de
Thorn = 0x0de
ssharp = 0x0df
agrave = 0x0e0
aacute = 0x0e1
acircumflex = 0x0e2
atilde = 0x0e3
adiaeresis = 0x0e4
aring = 0x0e5
ae = 0x0e6
ccedilla = 0x0e7
egrave = 0x0e8
eacute = 0x0e9
ecircumflex = 0x0ea
ediaeresis = 0x0eb
igrave = 0x0ec
iacute = 0x0ed
icircumflex = 0x0ee
idiaeresis = 0x0ef
eth = 0x0f0
ntilde = 0x0f1
ograve = 0x0f2
oacute = 0x0f3
ocircumflex = 0x0f4
otilde = 0x0f5
odiaeresis = 0x0f6
division = 0x0f7
oslash = 0x0f8
ugrave = 0x0f9
uacute = 0x0fa
ucircumflex = 0x0fb
udiaeresis = 0x0fc
yacute = 0x0fd
thorn = 0x0fe
ydiaeresis = 0x0ff
Aogonek = 0x1a1
breve = 0x1a2
Lstroke = 0x1a3
Lcaron = 0x1a5
Sacute = 0x1a6
Scaron = 0x1a9
Scedilla = 0x1aa
Tcaron = 0x1ab
Zacute = 0x1ac
Zcaron = 0x1ae
Zabovedot = 0x1af
aogonek = 0x1b1
ogonek = 0x1b2
lstroke = 0x1b3
lcaron = 0x1b5
sacute = 0x1b6
caron = 0x1b7
scaron = 0x1b9
scedilla = 0x1ba
tcaron = 0x1bb
zacute = 0x1bc
doubleacute = 0x1bd
zcaron = 0x1be
zabovedot = 0x1bf
Racute = 0x1c0
Abreve = 0x1c3
Lacute = 0x1c5
Cacute = 0x1c6
Ccaron = 0x1c8
Eogonek = 0x1ca
Ecaron = 0x1cc
Dcaron = 0x1cf
Dstroke = 0x1d0
Nacute = 0x1d1
Ncaron = 0x1d2
Odoubleacute = 0x1d5
Rcaron = 0x1d8
Uring = 0x1d9
Udoubleacute = 0x1db
Tcedilla = 0x1de
racute = 0x1e0
abreve = 0x1e3
lacute = 0x1e5
cacute = 0x1e6
ccaron = 0x1e8
eogonek = 0x1ea
ecaron = 0x1ec
dcaron = 0x1ef
dstroke = 0x1f0
nacute = 0x1f1
ncaron = 0x1f2
odoubleacute = 0x1f5
udoubleacute = 0x1fb
rcaron = 0x1f8
uring = 0x1f9
tcedilla = 0x1fe
abovedot = 0x1ff
Hstroke = 0x2a1
Hcircumflex = 0x2a6
Iabovedot = 0x2a9
Gbreve = 0x2ab
Jcircumflex = 0x2ac
hstroke = 0x2b1
hcircumflex = 0x2b6
idotless = 0x2b9
gbreve = 0x2bb
jcircumflex = 0x2bc
Cabovedot = 0x2c5
Ccircumflex = 0x2c6
Gabovedot = 0x2d5
Gcircumflex = 0x2d8
Ubreve = 0x2dd
Scircumflex = 0x2de
cabovedot = 0x2e5
ccircumflex = 0x2e6
gabovedot = 0x2f5
gcircumflex = 0x2f8
ubreve = 0x2fd
scircumflex = 0x2fe
kra = 0x3a2
kappa = 0x3a2
Rcedilla = 0x3a3
Itilde = 0x3a5
Lcedilla = 0x3a6
Emacron = 0x3aa
Gcedilla = 0x3ab
Tslash = 0x3ac
rcedilla = 0x3b3
itilde = 0x3b5
lcedilla = 0x3b6
emacron = 0x3ba
gcedilla = 0x3bb
tslash = 0x3bc
ENG = 0x3bd
eng = 0x3bf
Amacron = 0x3c0
Iogonek = 0x3c7
Eabovedot = 0x3cc
Imacron = 0x3cf
Ncedilla = 0x3d1
Omacron = 0x3d2
Kcedilla = 0x3d3
Uogonek = 0x3d9
Utilde = 0x3dd
Umacron = 0x3de
amacron = 0x3e0
iogonek = 0x3e7
eabovedot = 0x3ec
imacron = 0x3ef
ncedilla = 0x3f1
omacron = 0x3f2
kcedilla = 0x3f3
uogonek = 0x3f9
utilde = 0x3fd
umacron = 0x3fe
OE = 0x13bc
oe = 0x13bd
Ydiaeresis = 0x13be
overline = 0x47e
kana_fullstop = 0x4a1
kana_openingbracket = 0x4a2
kana_closingbracket = 0x4a3
kana_comma = 0x4a4
kana_conjunctive = 0x4a5
kana_middledot = 0x4a5
kana_WO = 0x4a6
kana_a = 0x4a7
kana_i = 0x4a8
kana_u = 0x4a9
kana_e = 0x4aa
kana_o = 0x4ab
kana_ya = 0x4ac
kana_yu = 0x4ad
kana_yo = 0x4ae
kana_tsu = 0x4af
kana_tu = 0x4af
prolongedsound = 0x4b0
kana_A = 0x4b1
kana_I = 0x4b2
kana_U = 0x4b3
kana_E = 0x4b4
kana_O = 0x4b5
kana_KA = 0x4b6
kana_KI = 0x4b7
kana_KU = 0x4b8
kana_KE = 0x4b9
kana_KO = 0x4ba
kana_SA = 0x4bb
kana_SHI = 0x4bc
kana_SU = 0x4bd
kana_SE = 0x4be
kana_SO = 0x4bf
kana_TA = 0x4c0
kana_CHI = 0x4c1
kana_TI = 0x4c1
kana_TSU = 0x4c2
kana_TU = 0x4c2
kana_TE = 0x4c3
kana_TO = 0x4c4
kana_NA = 0x4c5
kana_NI = 0x4c6
kana_NU = 0x4c7
kana_NE = 0x4c8
kana_NO = 0x4c9
kana_HA = 0x4ca
kana_HI = 0x4cb
kana_FU = 0x4cc
kana_HU = 0x4cc
kana_HE = 0x4cd
kana_HO = 0x4ce
kana_MA = 0x4cf
kana_MI = 0x4d0
kana_MU = 0x4d1
kana_ME = 0x4d2
kana_MO = 0x4d3
kana_YA = 0x4d4
kana_YU = 0x4d5
kana_YO = 0x4d6
kana_RA = 0x4d7
kana_RI = 0x4d8
kana_RU = 0x4d9
kana_RE = 0x4da
kana_RO = 0x4db
kana_WA = 0x4dc
kana_N = 0x4dd
voicedsound = 0x4de
semivoicedsound = 0x4df
kana_switch = 0xFF7E
Arabic_comma = 0x5ac
Arabic_semicolon = 0x5bb
Arabic_question_mark = 0x5bf
Arabic_hamza = 0x5c1
Arabic_maddaonalef = 0x5c2
Arabic_hamzaonalef = 0x5c3
Arabic_hamzaonwaw = 0x5c4
Arabic_hamzaunderalef = 0x5c5
Arabic_hamzaonyeh = 0x5c6
Arabic_alef = 0x5c7
Arabic_beh = 0x5c8
Arabic_tehmarbuta = 0x5c9
Arabic_teh = 0x5ca
Arabic_theh = 0x5cb
Arabic_jeem = 0x5cc
Arabic_hah = 0x5cd
Arabic_khah = 0x5ce
Arabic_dal = 0x5cf
Arabic_thal = 0x5d0
Arabic_ra = 0x5d1
Arabic_zain = 0x5d2
Arabic_seen = 0x5d3
Arabic_sheen = 0x5d4
Arabic_sad = 0x5d5
Arabic_dad = 0x5d6
Arabic_tah = 0x5d7
Arabic_zah = 0x5d8
Arabic_ain = 0x5d9
Arabic_ghain = 0x5da
Arabic_tatweel = 0x5e0
Arabic_feh = 0x5e1
Arabic_qaf = 0x5e2
Arabic_kaf = 0x5e3
Arabic_lam = 0x5e4
Arabic_meem = 0x5e5
Arabic_noon = 0x5e6
Arabic_ha = 0x5e7
Arabic_heh = 0x5e7
Arabic_waw = 0x5e8
Arabic_alefmaksura = 0x5e9
Arabic_yeh = 0x5ea
Arabic_fathatan = 0x5eb
Arabic_dammatan = 0x5ec
Arabic_kasratan = 0x5ed
Arabic_fatha = 0x5ee
Arabic_damma = 0x5ef
Arabic_kasra = 0x5f0
Arabic_shadda = 0x5f1
Arabic_sukun = 0x5f2
Arabic_switch = 0xFF7E
Serbian_dje = 0x6a1
Macedonia_gje = 0x6a2
Cyrillic_io = 0x6a3
Ukrainian_ie = 0x6a4
Ukranian_je = 0x6a4
Macedonia_dse = 0x6a5
Ukrainian_i = 0x6a6
Ukranian_i = 0x6a6
Ukrainian_yi = 0x6a7
Ukranian_yi = 0x6a7
Cyrillic_je = 0x6a8
Serbian_je = 0x6a8
Cyrillic_lje = 0x6a9
Serbian_lje = 0x6a9
Cyrillic_nje = 0x6aa
Serbian_nje = 0x6aa
Serbian_tshe = 0x6ab
Macedonia_kje = 0x6ac
Ukrainian_ghe_with_upturn = 0x6ad
Byelorussian_shortu = 0x6ae
Cyrillic_dzhe = 0x6af
Serbian_dze = 0x6af
numerosign = 0x6b0
Serbian_DJE = 0x6b1
Macedonia_GJE = 0x6b2
Cyrillic_IO = 0x6b3
Ukrainian_IE = 0x6b4
Ukranian_JE = 0x6b4
Macedonia_DSE = 0x6b5
Ukrainian_I = 0x6b6
Ukranian_I = 0x6b6
Ukrainian_YI = 0x6b7
Ukranian_YI = 0x6b7
Cyrillic_JE = 0x6b8
Serbian_JE = 0x6b8
Cyrillic_LJE = 0x6b9
Serbian_LJE = 0x6b9
Cyrillic_NJE = 0x6ba
Serbian_NJE = 0x6ba
Serbian_TSHE = 0x6bb
Macedonia_KJE = 0x6bc
Ukrainian_GHE_WITH_UPTURN = 0x6bd
Byelorussian_SHORTU = 0x6be
Cyrillic_DZHE = 0x6bf
Serbian_DZE = 0x6bf
Cyrillic_yu = 0x6c0
Cyrillic_a = 0x6c1
Cyrillic_be = 0x6c2
Cyrillic_tse = 0x6c3
Cyrillic_de = 0x6c4
Cyrillic_ie = 0x6c5
Cyrillic_ef = 0x6c6
Cyrillic_ghe = 0x6c7
Cyrillic_ha = 0x6c8
Cyrillic_i = 0x6c9
Cyrillic_shorti = 0x6ca
Cyrillic_ka = 0x6cb
Cyrillic_el = 0x6cc
Cyrillic_em = 0x6cd
Cyrillic_en = 0x6ce
Cyrillic_o = 0x6cf
Cyrillic_pe = 0x6d0
Cyrillic_ya = 0x6d1
Cyrillic_er = 0x6d2
Cyrillic_es = 0x6d3
Cyrillic_te = 0x6d4
Cyrillic_u = 0x6d5
Cyrillic_zhe = 0x6d6
Cyrillic_ve = 0x6d7
Cyrillic_softsign = 0x6d8
Cyrillic_yeru = 0x6d9
Cyrillic_ze = 0x6da
Cyrillic_sha = 0x6db
Cyrillic_e = 0x6dc
Cyrillic_shcha = 0x6dd
Cyrillic_che = 0x6de
Cyrillic_hardsign = 0x6df
Cyrillic_YU = 0x6e0
Cyrillic_A = 0x6e1
Cyrillic_BE = 0x6e2
Cyrillic_TSE = 0x6e3
Cyrillic_DE = 0x6e4
Cyrillic_IE = 0x6e5
Cyrillic_EF = 0x6e6
Cyrillic_GHE = 0x6e7
Cyrillic_HA = 0x6e8
Cyrillic_I = 0x6e9
Cyrillic_SHORTI = 0x6ea
Cyrillic_KA = 0x6eb
Cyrillic_EL = 0x6ec
Cyrillic_EM = 0x6ed
Cyrillic_EN = 0x6ee
Cyrillic_O = 0x6ef
Cyrillic_PE = 0x6f0
Cyrillic_YA = 0x6f1
Cyrillic_ER = 0x6f2
Cyrillic_ES = 0x6f3
Cyrillic_TE = 0x6f4
Cyrillic_U = 0x6f5
Cyrillic_ZHE = 0x6f6
Cyrillic_VE = 0x6f7
Cyrillic_SOFTSIGN = 0x6f8
Cyrillic_YERU = 0x6f9
Cyrillic_ZE = 0x6fa
Cyrillic_SHA = 0x6fb
Cyrillic_E = 0x6fc
Cyrillic_SHCHA = 0x6fd
Cyrillic_CHE = 0x6fe
Cyrillic_HARDSIGN = 0x6ff
Greek_ALPHAaccent = 0x7a1
Greek_EPSILONaccent = 0x7a2
Greek_ETAaccent = 0x7a3
Greek_IOTAaccent = 0x7a4
Greek_IOTAdiaeresis = 0x7a5
Greek_OMICRONaccent = 0x7a7
Greek_UPSILONaccent = 0x7a8
Greek_UPSILONdieresis = 0x7a9
Greek_OMEGAaccent = 0x7ab
Greek_accentdieresis = 0x7ae
Greek_horizbar = 0x7af
Greek_alphaaccent = 0x7b1
Greek_epsilonaccent = 0x7b2
Greek_etaaccent = 0x7b3
Greek_iotaaccent = 0x7b4
Greek_iotadieresis = 0x7b5
Greek_iotaaccentdieresis = 0x7b6
Greek_omicronaccent = 0x7b7
Greek_upsilonaccent = 0x7b8
Greek_upsilondieresis = 0x7b9
Greek_upsilonaccentdieresis = 0x7ba
Greek_omegaaccent = 0x7bb
Greek_ALPHA = 0x7c1
Greek_BETA = 0x7c2
Greek_GAMMA = 0x7c3
Greek_DELTA = 0x7c4
Greek_EPSILON = 0x7c5
Greek_ZETA = 0x7c6
Greek_ETA = 0x7c7
Greek_THETA = 0x7c8
Greek_IOTA = 0x7c9
Greek_KAPPA = 0x7ca
Greek_LAMDA = 0x7cb
Greek_LAMBDA = 0x7cb
Greek_MU = 0x7cc
Greek_NU = 0x7cd
Greek_XI = 0x7ce
Greek_OMICRON = 0x7cf
Greek_PI = 0x7d0
Greek_RHO = 0x7d1
Greek_SIGMA = 0x7d2
Greek_TAU = 0x7d4
Greek_UPSILON = 0x7d5
Greek_PHI = 0x7d6
Greek_CHI = 0x7d7
Greek_PSI = 0x7d8
Greek_OMEGA = 0x7d9
Greek_alpha = 0x7e1
Greek_beta = 0x7e2
Greek_gamma = 0x7e3
Greek_delta = 0x7e4
Greek_epsilon = 0x7e5
Greek_zeta = 0x7e6
Greek_eta = 0x7e7
Greek_theta = 0x7e8
Greek_iota = 0x7e9
Greek_kappa = 0x7ea
Greek_lamda = 0x7eb
Greek_lambda = 0x7eb
Greek_mu = 0x7ec
Greek_nu = 0x7ed
Greek_xi = 0x7ee
Greek_omicron = 0x7ef
Greek_pi = 0x7f0
Greek_rho = 0x7f1
Greek_sigma = 0x7f2
Greek_finalsmallsigma = 0x7f3
Greek_tau = 0x7f4
Greek_upsilon = 0x7f5
Greek_phi = 0x7f6
Greek_chi = 0x7f7
Greek_psi = 0x7f8
Greek_omega = 0x7f9
Greek_switch = 0xFF7E
leftradical = 0x8a1
topleftradical = 0x8a2
horizconnector = 0x8a3
topintegral = 0x8a4
botintegral = 0x8a5
vertconnector = 0x8a6
topleftsqbracket = 0x8a7
botleftsqbracket = 0x8a8
toprightsqbracket = 0x8a9
botrightsqbracket = 0x8aa
topleftparens = 0x8ab
botleftparens = 0x8ac
toprightparens = 0x8ad
botrightparens = 0x8ae
leftmiddlecurlybrace = 0x8af
rightmiddlecurlybrace = 0x8b0
topleftsummation = 0x8b1
botleftsummation = 0x8b2
topvertsummationconnector = 0x8b3
botvertsummationconnector = 0x8b4
toprightsummation = 0x8b5
botrightsummation = 0x8b6
rightmiddlesummation = 0x8b7
lessthanequal = 0x8bc
notequal = 0x8bd
greaterthanequal = 0x8be
integral = 0x8bf
therefore = 0x8c0
variation = 0x8c1
infinity = 0x8c2
nabla = 0x8c5
approximate = 0x8c8
similarequal = 0x8c9
ifonlyif = 0x8cd
implies = 0x8ce
identical = 0x8cf
radical = 0x8d6
includedin = 0x8da
includes = 0x8db
intersection = 0x8dc
union = 0x8dd
logicaland = 0x8de
logicalor = 0x8df
partialderivative = 0x8ef
function = 0x8f6
leftarrow = 0x8fb
uparrow = 0x8fc
rightarrow = 0x8fd
downarrow = 0x8fe
blank = 0x9df
soliddiamond = 0x9e0
checkerboard = 0x9e1
ht = 0x9e2
ff = 0x9e3
cr = 0x9e4
lf = 0x9e5
nl = 0x9e8
vt = 0x9e9
lowrightcorner = 0x9ea
uprightcorner = 0x9eb
upleftcorner = 0x9ec
lowleftcorner = 0x9ed
crossinglines = 0x9ee
horizlinescan1 = 0x9ef
horizlinescan3 = 0x9f0
horizlinescan5 = 0x9f1
horizlinescan7 = 0x9f2
horizlinescan9 = 0x9f3
leftt = 0x9f4
rightt = 0x9f5
bott = 0x9f6
topt = 0x9f7
vertbar = 0x9f8
emspace = 0xaa1
enspace = 0xaa2
em3space = 0xaa3
em4space = 0xaa4
digitspace = 0xaa5
punctspace = 0xaa6
thinspace = 0xaa7
hairspace = 0xaa8
emdash = 0xaa9
endash = 0xaaa
signifblank = 0xaac
ellipsis = 0xaae
doubbaselinedot = 0xaaf
onethird = 0xab0
twothirds = 0xab1
onefifth = 0xab2
twofifths = 0xab3
threefifths = 0xab4
fourfifths = 0xab5
onesixth = 0xab6
fivesixths = 0xab7
careof = 0xab8
figdash = 0xabb
leftanglebracket = 0xabc
decimalpoint = 0xabd
rightanglebracket = 0xabe
marker = 0xabf
oneeighth = 0xac3
threeeighths = 0xac4
fiveeighths = 0xac5
seveneighths = 0xac6
trademark = 0xac9
signaturemark = 0xaca
trademarkincircle = 0xacb
leftopentriangle = 0xacc
rightopentriangle = 0xacd
emopencircle = 0xace
emopenrectangle = 0xacf
leftsinglequotemark = 0xad0
rightsinglequotemark = 0xad1
leftdoublequotemark = 0xad2
rightdoublequotemark = 0xad3
prescription = 0xad4
minutes = 0xad6
seconds = 0xad7
latincross = 0xad9
hexagram = 0xada
filledrectbullet = 0xadb
filledlefttribullet = 0xadc
filledrighttribullet = 0xadd
emfilledcircle = 0xade
emfilledrect = 0xadf
enopencircbullet = 0xae0
enopensquarebullet = 0xae1
openrectbullet = 0xae2
opentribulletup = 0xae3
opentribulletdown = 0xae4
openstar = 0xae5
enfilledcircbullet = 0xae6
enfilledsqbullet = 0xae7
filledtribulletup = 0xae8
filledtribulletdown = 0xae9
leftpointer = 0xaea
rightpointer = 0xaeb
club = 0xaec
diamond = 0xaed
heart = 0xaee
maltesecross = 0xaf0
dagger = 0xaf1
doubledagger = 0xaf2
checkmark = 0xaf3
ballotcross = 0xaf4
musicalsharp = 0xaf5
musicalflat = 0xaf6
malesymbol = 0xaf7
femalesymbol = 0xaf8
telephone = 0xaf9
telephonerecorder = 0xafa
phonographcopyright = 0xafb
caret = 0xafc
singlelowquotemark = 0xafd
doublelowquotemark = 0xafe
cursor = 0xaff
leftcaret = 0xba3
rightcaret = 0xba6
downcaret = 0xba8
upcaret = 0xba9
overbar = 0xbc0
downtack = 0xbc2
upshoe = 0xbc3
downstile = 0xbc4
underbar = 0xbc6
jot = 0xbca
quad = 0xbcc
uptack = 0xbce
circle = 0xbcf
upstile = 0xbd3
downshoe = 0xbd6
rightshoe = 0xbd8
leftshoe = 0xbda
lefttack = 0xbdc
righttack = 0xbfc
hebrew_doublelowline = 0xcdf
hebrew_aleph = 0xce0
hebrew_bet = 0xce1
hebrew_beth = 0xce1
hebrew_gimel = 0xce2
hebrew_gimmel = 0xce2
hebrew_dalet = 0xce3
hebrew_daleth = 0xce3
hebrew_he = 0xce4
hebrew_waw = 0xce5
hebrew_zain = 0xce6
hebrew_zayin = 0xce6
hebrew_chet = 0xce7
hebrew_het = 0xce7
hebrew_tet = 0xce8
hebrew_teth = 0xce8
hebrew_yod = 0xce9
hebrew_finalkaph = 0xcea
hebrew_kaph = 0xceb
hebrew_lamed = 0xcec
hebrew_finalmem = 0xced
hebrew_mem = 0xcee
hebrew_finalnun = 0xcef
hebrew_nun = 0xcf0
hebrew_samech = 0xcf1
hebrew_samekh = 0xcf1
hebrew_ayin = 0xcf2
hebrew_finalpe = 0xcf3
hebrew_pe = 0xcf4
hebrew_finalzade = 0xcf5
hebrew_finalzadi = 0xcf5
hebrew_zade = 0xcf6
hebrew_zadi = 0xcf6
hebrew_qoph = 0xcf7
hebrew_kuf = 0xcf7
hebrew_resh = 0xcf8
hebrew_shin = 0xcf9
hebrew_taw = 0xcfa
hebrew_taf = 0xcfa
Hebrew_switch = 0xFF7E
Thai_kokai = 0xda1
Thai_khokhai = 0xda2
Thai_khokhuat = 0xda3
Thai_khokhwai = 0xda4
Thai_khokhon = 0xda5
Thai_khorakhang = 0xda6
Thai_ngongu = 0xda7
Thai_chochan = 0xda8
Thai_choching = 0xda9
Thai_chochang = 0xdaa
Thai_soso = 0xdab
Thai_chochoe = 0xdac
Thai_yoying = 0xdad
Thai_dochada = 0xdae
Thai_topatak = 0xdaf
Thai_thothan = 0xdb0
Thai_thonangmontho = 0xdb1
Thai_thophuthao = 0xdb2
Thai_nonen = 0xdb3
Thai_dodek = 0xdb4
Thai_totao = 0xdb5
Thai_thothung = 0xdb6
Thai_thothahan = 0xdb7
Thai_thothong = 0xdb8
Thai_nonu = 0xdb9
Thai_bobaimai = 0xdba
Thai_popla = 0xdbb
Thai_phophung = 0xdbc
Thai_fofa = 0xdbd
Thai_phophan = 0xdbe
Thai_fofan = 0xdbf
Thai_phosamphao = 0xdc0
Thai_moma = 0xdc1
Thai_yoyak = 0xdc2
Thai_rorua = 0xdc3
Thai_ru = 0xdc4
Thai_loling = 0xdc5
Thai_lu = 0xdc6
Thai_wowaen = 0xdc7
Thai_sosala = 0xdc8
Thai_sorusi = 0xdc9
Thai_sosua = 0xdca
Thai_hohip = 0xdcb
Thai_lochula = 0xdcc
Thai_oang = 0xdcd
Thai_honokhuk = 0xdce
Thai_paiyannoi = 0xdcf
Thai_saraa = 0xdd0
Thai_maihanakat = 0xdd1
Thai_saraaa = 0xdd2
Thai_saraam = 0xdd3
Thai_sarai = 0xdd4
Thai_saraii = 0xdd5
Thai_saraue = 0xdd6
Thai_sarauee = 0xdd7
Thai_sarau = 0xdd8
Thai_sarauu = 0xdd9
Thai_phinthu = 0xdda
Thai_maihanakat_maitho = 0xdde
Thai_baht = 0xddf
Thai_sarae = 0xde0
Thai_saraae = 0xde1
Thai_sarao = 0xde2
Thai_saraaimaimuan = 0xde3
Thai_saraaimaimalai = 0xde4
Thai_lakkhangyao = 0xde5
Thai_maiyamok = 0xde6
Thai_maitaikhu = 0xde7
Thai_maiek = 0xde8
Thai_maitho = 0xde9
Thai_maitri = 0xdea
Thai_maichattawa = 0xdeb
Thai_thanthakhat = 0xdec
Thai_nikhahit = 0xded
Thai_leksun = 0xdf0
Thai_leknung = 0xdf1
Thai_leksong = 0xdf2
Thai_leksam = 0xdf3
Thai_leksi = 0xdf4
Thai_lekha = 0xdf5
Thai_lekhok = 0xdf6
Thai_lekchet = 0xdf7
Thai_lekpaet = 0xdf8
Thai_lekkao = 0xdf9
Hangul = 0xff31
Hangul_Start = 0xff32
Hangul_End = 0xff33
Hangul_Hanja = 0xff34
Hangul_Jamo = 0xff35
Hangul_Romaja = 0xff36
Hangul_Codeinput = 0xff37
Hangul_Jeonja = 0xff38
Hangul_Banja = 0xff39
Hangul_PreHanja = 0xff3a
Hangul_PostHanja = 0xff3b
Hangul_SingleCandidate = 0xff3c
Hangul_MultipleCandidate = 0xff3d
Hangul_PreviousCandidate = 0xff3e
Hangul_Special = 0xff3f
Hangul_switch = 0xFF7E
Hangul_Kiyeog = 0xea1
Hangul_SsangKiyeog = 0xea2
Hangul_KiyeogSios = 0xea3
Hangul_Nieun = 0xea4
Hangul_NieunJieuj = 0xea5
Hangul_NieunHieuh = 0xea6
Hangul_Dikeud = 0xea7
Hangul_SsangDikeud = 0xea8
Hangul_Rieul = 0xea9
Hangul_RieulKiyeog = 0xeaa
Hangul_RieulMieum = 0xeab
Hangul_RieulPieub = 0xeac
Hangul_RieulSios = 0xead
Hangul_RieulTieut = 0xeae
Hangul_RieulPhieuf = 0xeaf
Hangul_RieulHieuh = 0xeb0
Hangul_Mieum = 0xeb1
Hangul_Pieub = 0xeb2
Hangul_SsangPieub = 0xeb3
Hangul_PieubSios = 0xeb4
Hangul_Sios = 0xeb5
Hangul_SsangSios = 0xeb6
Hangul_Ieung = 0xeb7
Hangul_Jieuj = 0xeb8
Hangul_SsangJieuj = 0xeb9
Hangul_Cieuc = 0xeba
Hangul_Khieuq = 0xebb
Hangul_Tieut = 0xebc
Hangul_Phieuf = 0xebd
Hangul_Hieuh = 0xebe
Hangul_A = 0xebf
Hangul_AE = 0xec0
Hangul_YA = 0xec1
Hangul_YAE = 0xec2
Hangul_EO = 0xec3
Hangul_E = 0xec4
Hangul_YEO = 0xec5
Hangul_YE = 0xec6
Hangul_O = 0xec7
Hangul_WA = 0xec8
Hangul_WAE = 0xec9
Hangul_OE = 0xeca
Hangul_YO = 0xecb
Hangul_U = 0xecc
Hangul_WEO = 0xecd
Hangul_WE = 0xece
Hangul_WI = 0xecf
Hangul_YU = 0xed0
Hangul_EU = 0xed1
Hangul_YI = 0xed2
Hangul_I = 0xed3
Hangul_J_Kiyeog = 0xed4
Hangul_J_SsangKiyeog = 0xed5
Hangul_J_KiyeogSios = 0xed6
Hangul_J_Nieun = 0xed7
Hangul_J_NieunJieuj = 0xed8
Hangul_J_NieunHieuh = 0xed9
Hangul_J_Dikeud = 0xeda
Hangul_J_Rieul = 0xedb
Hangul_J_RieulKiyeog = 0xedc
Hangul_J_RieulMieum = 0xedd
Hangul_J_RieulPieub = 0xede
Hangul_J_RieulSios = 0xedf
Hangul_J_RieulTieut = 0xee0
Hangul_J_RieulPhieuf = 0xee1
Hangul_J_RieulHieuh = 0xee2
Hangul_J_Mieum = 0xee3
Hangul_J_Pieub = 0xee4
Hangul_J_PieubSios = 0xee5
Hangul_J_Sios = 0xee6
Hangul_J_SsangSios = 0xee7
Hangul_J_Ieung = 0xee8
Hangul_J_Jieuj = 0xee9
Hangul_J_Cieuc = 0xeea
Hangul_J_Khieuq = 0xeeb
Hangul_J_Tieut = 0xeec
Hangul_J_Phieuf = 0xeed
Hangul_J_Hieuh = 0xeee
Hangul_RieulYeorinHieuh = 0xeef
Hangul_SunkyeongeumMieum = 0xef0
Hangul_SunkyeongeumPieub = 0xef1
Hangul_PanSios = 0xef2
Hangul_KkogjiDalrinIeung = 0xef3
Hangul_SunkyeongeumPhieuf = 0xef4
Hangul_YeorinHieuh = 0xef5
Hangul_AraeA = 0xef6
Hangul_AraeAE = 0xef7
Hangul_J_PanSios = 0xef8
Hangul_J_KkogjiDalrinIeung = 0xef9
Hangul_J_YeorinHieuh = 0xefa
Korean_Won = 0xeff
Armenian_eternity = 0x14a1
Armenian_section_sign = 0x14a2
Armenian_full_stop = 0x14a3
Armenian_verjaket = 0x14a3
Armenian_parenright = 0x14a4
Armenian_parenleft = 0x14a5
Armenian_guillemotright = 0x14a6
Armenian_guillemotleft = 0x14a7
Armenian_em_dash = 0x14a8
Armenian_dot = 0x14a9
Armenian_mijaket = 0x14a9
Armenian_separation_mark = 0x14aa
Armenian_but = 0x14aa
Armenian_comma = 0x14ab
Armenian_en_dash = 0x14ac
Armenian_hyphen = 0x14ad
Armenian_yentamna = 0x14ad
Armenian_ellipsis = 0x14ae
Armenian_exclam = 0x14af
Armenian_amanak = 0x14af
Armenian_accent = 0x14b0
Armenian_shesht = 0x14b0
Armenian_question = 0x14b1
Armenian_paruyk = 0x14b1
Armenian_AYB = 0x14b2
Armenian_ayb = 0x14b3
Armenian_BEN = 0x14b4
Armenian_ben = 0x14b5
Armenian_GIM = 0x14b6
Armenian_gim = 0x14b7
Armenian_DA = 0x14b8
Armenian_da = 0x14b9
Armenian_YECH = 0x14ba
Armenian_yech = 0x14bb
Armenian_ZA = 0x14bc
Armenian_za = 0x14bd
Armenian_E = 0x14be
Armenian_e = 0x14bf
Armenian_AT = 0x14c0
Armenian_at = 0x14c1
Armenian_TO = 0x14c2
Armenian_to = 0x14c3
Armenian_ZHE = 0x14c4
Armenian_zhe = 0x14c5
Armenian_INI = 0x14c6
Armenian_ini = 0x14c7
Armenian_LYUN = 0x14c8
Armenian_lyun = 0x14c9
Armenian_KHE = 0x14ca
Armenian_khe = 0x14cb
Armenian_TSA = 0x14cc
Armenian_tsa = 0x14cd
Armenian_KEN = 0x14ce
Armenian_ken = 0x14cf
Armenian_HO = 0x14d0
Armenian_ho = 0x14d1
Armenian_DZA = 0x14d2
Armenian_dza = 0x14d3
Armenian_GHAT = 0x14d4
Armenian_ghat = 0x14d5
Armenian_TCHE = 0x14d6
Armenian_tche = 0x14d7
Armenian_MEN = 0x14d8
Armenian_men = 0x14d9
Armenian_HI = 0x14da
Armenian_hi = 0x14db
Armenian_NU = 0x14dc
Armenian_nu = 0x14dd
Armenian_SHA = 0x14de
Armenian_sha = 0x14df
Armenian_VO = 0x14e0
Armenian_vo = 0x14e1
Armenian_CHA = 0x14e2
Armenian_cha = 0x14e3
Armenian_PE = 0x14e4
Armenian_pe = 0x14e5
Armenian_JE = 0x14e6
Armenian_je = 0x14e7
Armenian_RA = 0x14e8
Armenian_ra = 0x14e9
Armenian_SE = 0x14ea
Armenian_se = 0x14eb
Armenian_VEV = 0x14ec
Armenian_vev = 0x14ed
Armenian_TYUN = 0x14ee
Armenian_tyun = 0x14ef
Armenian_RE = 0x14f0
Armenian_re = 0x14f1
Armenian_TSO = 0x14f2
Armenian_tso = 0x14f3
Armenian_VYUN = 0x14f4
Armenian_vyun = 0x14f5
Armenian_PYUR = 0x14f6
Armenian_pyur = 0x14f7
Armenian_KE = 0x14f8
Armenian_ke = 0x14f9
Armenian_O = 0x14fa
Armenian_o = 0x14fb
Armenian_FE = 0x14fc
Armenian_fe = 0x14fd
Armenian_apostrophe = 0x14fe
Armenian_ligature_ew = 0x14ff
Georgian_an = 0x15d0
Georgian_ban = 0x15d1
Georgian_gan = 0x15d2
Georgian_don = 0x15d3
Georgian_en = 0x15d4
Georgian_vin = 0x15d5
Georgian_zen = 0x15d6
Georgian_tan = 0x15d7
Georgian_in = 0x15d8
Georgian_kan = 0x15d9
Georgian_las = 0x15da
Georgian_man = 0x15db
Georgian_nar = 0x15dc
Georgian_on = 0x15dd
Georgian_par = 0x15de
Georgian_zhar = 0x15df
Georgian_rae = 0x15e0
Georgian_san = 0x15e1
Georgian_tar = 0x15e2
Georgian_un = 0x15e3
Georgian_phar = 0x15e4
Georgian_khar = 0x15e5
Georgian_ghan = 0x15e6
Georgian_qar = 0x15e7
Georgian_shin = 0x15e8
Georgian_chin = 0x15e9
Georgian_can = 0x15ea
Georgian_jil = 0x15eb
Georgian_cil = 0x15ec
Georgian_char = 0x15ed
Georgian_xan = 0x15ee
Georgian_jhan = 0x15ef
Georgian_hae = 0x15f0
Georgian_he = 0x15f1
Georgian_hie = 0x15f2
Georgian_we = 0x15f3
Georgian_har = 0x15f4
Georgian_hoe = 0x15f5
Georgian_fi = 0x15f6
EcuSign = 0x20a0
ColonSign = 0x20a1
CruzeiroSign = 0x20a2
FFrancSign = 0x20a3
LiraSign = 0x20a4
MillSign = 0x20a5
NairaSign = 0x20a6
PesetaSign = 0x20a7
RupeeSign = 0x20a8
WonSign = 0x20a9
NewSheqelSign = 0x20aa
DongSign = 0x20ab
EuroSign = 0x20ac

__name_to_keycode = {
    "VoidSymbol" : 0xffffff,
    "BackSpace" : 0xff08,
    "Tab" : 0xff09,
    "Linefeed" : 0xff0a,
    "Clear" : 0xff0b,
    "Return" : 0xff0d,
    "Pause" : 0xff13,
    "Scroll_Lock" : 0xff14,
    "Sys_Req" : 0xff15,
    "Escape" : 0xff1b,
    "Delete" : 0xffff,
    "Multi_key" : 0xff20,
    "Codeinput" : 0xff37,
    "SingleCandidate" : 0xff3c,
    "MultipleCandidate" : 0xff3d,
    "PreviousCandidate" : 0xff3e,
    "Kanji" : 0xff21,
    "Muhenkan" : 0xff22,
    "Henkan_Mode" : 0xff23,
    "Henkan" : 0xff23,
    "Romaji" : 0xff24,
    "Hiragana" : 0xff25,
    "Katakana" : 0xff26,
    "Hiragana_Katakana" : 0xff27,
    "Zenkaku" : 0xff28,
    "Hankaku" : 0xff29,
    "Zenkaku_Hankaku" : 0xff2a,
    "Touroku" : 0xff2b,
    "Massyo" : 0xff2c,
    "Kana_Lock" : 0xff2d,
    "Kana_Shift" : 0xff2e,
    "Eisu_Shift" : 0xff2f,
    "Eisu_toggle" : 0xff30,
    "Kanji_Bangou" : 0xff37,
    "Zen_Koho" : 0xff3d,
    "Mae_Koho" : 0xff3e,
    "Home" : 0xff50,
    "Left" : 0xff51,
    "Up" : 0xff52,
    "Right" : 0xff53,
    "Down" : 0xff54,
    "Prior" : 0xff55,
    "Page_Up" : 0xff55,
    "Next" : 0xff56,
    "Page_Down" : 0xff56,
    "End" : 0xff57,
    "Begin" : 0xff58,
    "Select" : 0xff60,
    "Print" : 0xff61,
    "Execute" : 0xff62,
    "Insert" : 0xff63,
    "Undo" : 0xff65,
    "Redo" : 0xff66,
    "Menu" : 0xff67,
    "Find" : 0xff68,
    "Cancel" : 0xff69,
    "Help" : 0xff6a,
    "Break" : 0xff6b,
    "Mode_switch" : 0xff7e,
    "script_switch" : 0xff7e,
    "Num_Lock" : 0xff7f,
    "KP_Space" : 0xff80,
    "KP_Tab" : 0xff89,
    "KP_Enter" : 0xff8d,
    "KP_F1" : 0xff91,
    "KP_F2" : 0xff92,
    "KP_F3" : 0xff93,
    "KP_F4" : 0xff94,
    "KP_Home" : 0xff95,
    "KP_Left" : 0xff96,
    "KP_Up" : 0xff97,
    "KP_Right" : 0xff98,
    "KP_Down" : 0xff99,
    "KP_Prior" : 0xff9a,
    "KP_Page_Up" : 0xff9a,
    "KP_Next" : 0xff9b,
    "KP_Page_Down" : 0xff9b,
    "KP_End" : 0xff9c,
    "KP_Begin" : 0xff9d,
    "KP_Insert" : 0xff9e,
    "KP_Delete" : 0xff9f,
    "KP_Equal" : 0xffbd,
    "KP_Multiply" : 0xffaa,
    "KP_Add" : 0xffab,
    "KP_Separator" : 0xffac,
    "KP_Subtract" : 0xffad,
    "KP_Decimal" : 0xffae,
    "KP_Divide" : 0xffaf,
    "KP_0" : 0xffb0,
    "KP_1" : 0xffb1,
    "KP_2" : 0xffb2,
    "KP_3" : 0xffb3,
    "KP_4" : 0xffb4,
    "KP_5" : 0xffb5,
    "KP_6" : 0xffb6,
    "KP_7" : 0xffb7,
    "KP_8" : 0xffb8,
    "KP_9" : 0xffb9,
    "F1" : 0xffbe,
    "F2" : 0xffbf,
    "F3" : 0xffc0,
    "F4" : 0xffc1,
    "F5" : 0xffc2,
    "F6" : 0xffc3,
    "F7" : 0xffc4,
    "F8" : 0xffc5,
    "F9" : 0xffc6,
    "F10" : 0xffc7,
    "F11" : 0xffc8,
    "L1" : 0xffc8,
    "F12" : 0xffc9,
    "L2" : 0xffc9,
    "F13" : 0xffca,
    "L3" : 0xffca,
    "F14" : 0xffcb,
    "L4" : 0xffcb,
    "F15" : 0xffcc,
    "L5" : 0xffcc,
    "F16" : 0xffcd,
    "L6" : 0xffcd,
    "F17" : 0xffce,
    "L7" : 0xffce,
    "F18" : 0xffcf,
    "L8" : 0xffcf,
    "F19" : 0xffd0,
    "L9" : 0xffd0,
    "F20" : 0xffd1,
    "L10" : 0xffd1,
    "F21" : 0xffd2,
    "R1" : 0xffd2,
    "F22" : 0xffd3,
    "R2" : 0xffd3,
    "F23" : 0xffd4,
    "R3" : 0xffd4,
    "F24" : 0xffd5,
    "R4" : 0xffd5,
    "F25" : 0xffd6,
    "R5" : 0xffd6,
    "F26" : 0xffd7,
    "R6" : 0xffd7,
    "F27" : 0xffd8,
    "R7" : 0xffd8,
    "F28" : 0xffd9,
    "R8" : 0xffd9,
    "F29" : 0xffda,
    "R9" : 0xffda,
    "F30" : 0xffdb,
    "R10" : 0xffdb,
    "F31" : 0xffdc,
    "R11" : 0xffdc,
    "F32" : 0xffdd,
    "R12" : 0xffdd,
    "F33" : 0xffde,
    "R13" : 0xffde,
    "F34" : 0xffdf,
    "R14" : 0xffdf,
    "F35" : 0xffe0,
    "R15" : 0xffe0,
    "Shift_L" : 0xffe1,
    "Shift_R" : 0xffe2,
    "Control_L" : 0xffe3,
    "Control_R" : 0xffe4,
    "Caps_Lock" : 0xffe5,
    "Shift_Lock" : 0xffe6,
    "Meta_L" : 0xffe7,
    "Meta_R" : 0xffe8,
    "Alt_L" : 0xffe9,
    "Alt_R" : 0xffea,
    "Super_L" : 0xffeb,
    "Super_R" : 0xffec,
    "Hyper_L" : 0xffed,
    "Hyper_R" : 0xffee,
    "ISO_Lock" : 0xfe01,
    "ISO_Level2_Latch" : 0xfe02,
    "ISO_Level3_Shift" : 0xfe03,
    "ISO_Level3_Latch" : 0xfe04,
    "ISO_Level3_Lock" : 0xfe05,
    "ISO_Level5_Shift" : 0xfe11,
    "ISO_Level5_Latch" : 0xfe12,
    "ISO_Level5_Lock" : 0xfe13,
    "ISO_Group_Shift" : 0xff7e,
    "ISO_Group_Latch" : 0xfe06,
    "ISO_Group_Lock" : 0xfe07,
    "ISO_Next_Group" : 0xfe08,
    "ISO_Next_Group_Lock" : 0xfe09,
    "ISO_Prev_Group" : 0xfe0a,
    "ISO_Prev_Group_Lock" : 0xfe0b,
    "ISO_First_Group" : 0xfe0c,
    "ISO_First_Group_Lock" : 0xfe0d,
    "ISO_Last_Group" : 0xfe0e,
    "ISO_Last_Group_Lock" : 0xfe0f,
    "ISO_Left_Tab" : 0xfe20,
    "ISO_Move_Line_Up" : 0xfe21,
    "ISO_Move_Line_Down" : 0xfe22,
    "ISO_Partial_Line_Up" : 0xfe23,
    "ISO_Partial_Line_Down" : 0xfe24,
    "ISO_Partial_Space_Left" : 0xfe25,
    "ISO_Partial_Space_Right" : 0xfe26,
    "ISO_Set_Margin_Left" : 0xfe27,
    "ISO_Set_Margin_Right" : 0xfe28,
    "ISO_Release_Margin_Left" : 0xfe29,
    "ISO_Release_Margin_Right" : 0xfe2a,
    "ISO_Release_Both_Margins" : 0xfe2b,
    "ISO_Fast_Cursor_Left" : 0xfe2c,
    "ISO_Fast_Cursor_Right" : 0xfe2d,
    "ISO_Fast_Cursor_Up" : 0xfe2e,
    "ISO_Fast_Cursor_Down" : 0xfe2f,
    "ISO_Continuous_Underline" : 0xfe30,
    "ISO_Discontinuous_Underline" : 0xfe31,
    "ISO_Emphasize" : 0xfe32,
    "ISO_Center_Object" : 0xfe33,
    "ISO_Enter" : 0xfe34,
    "dead_grave" : 0xfe50,
    "dead_acute" : 0xfe51,
    "dead_circumflex" : 0xfe52,
    "dead_tilde" : 0xfe53,
    "dead_macron" : 0xfe54,
    "dead_breve" : 0xfe55,
    "dead_abovedot" : 0xfe56,
    "dead_diaeresis" : 0xfe57,
    "dead_abovering" : 0xfe58,
    "dead_doubleacute" : 0xfe59,
    "dead_caron" : 0xfe5a,
    "dead_cedilla" : 0xfe5b,
    "dead_ogonek" : 0xfe5c,
    "dead_iota" : 0xfe5d,
    "dead_voiced_sound" : 0xfe5e,
    "dead_semivoiced_sound" : 0xfe5f,
    "dead_belowdot" : 0xfe60,
    "dead_hook" : 0xfe61,
    "dead_horn" : 0xfe62,
    "dead_stroke" : 0xfe63,
    "dead_abovecomma" : 0xfe64,
    "dead_psili" : 0xfe64,
    "dead_abovereversedcomma" : 0xfe65,
    "dead_dasia" : 0xfe66,
    "First_Virtual_Screen" : 0xfed0,
    "Prev_Virtual_Screen" : 0xfed1,
    "Next_Virtual_Screen" : 0xfed2,
    "Last_Virtual_Screen" : 0xfed4,
    "Terminate_Server" : 0xfed5,
    "AccessX_Enable" : 0xfe70,
    "AccessX_Feedback_Enable" : 0xfe71,
    "RepeatKeys_Enable" : 0xfe72,
    "SlowKeys_Enable" : 0xfe73,
    "BounceKeys_Enable" : 0xfe74,
    "StickyKeys_Enable" : 0xfe75,
    "MouseKeys_Enable" : 0xfe76,
    "MouseKeys_Accel_Enable" : 0xfe77,
    "Overlay1_Enable" : 0xfe78,
    "Overlay2_Enable" : 0xfe79,
    "AudibleBell_Enable" : 0xfe7a,
    "Pointer_Left" : 0xfee0,
    "Pointer_Right" : 0xfee1,
    "Pointer_Up" : 0xfee2,
    "Pointer_Down" : 0xfee3,
    "Pointer_UpLeft" : 0xfee4,
    "Pointer_UpRight" : 0xfee5,
    "Pointer_DownLeft" : 0xfee6,
    "Pointer_DownRight" : 0xfee7,
    "Pointer_Button_Dflt" : 0xfee8,
    "Pointer_Button1" : 0xfee9,
    "Pointer_Button2" : 0xfeea,
    "Pointer_Button3" : 0xfeeb,
    "Pointer_Button4" : 0xfeec,
    "Pointer_Button5" : 0xfeed,
    "Pointer_DblClick_Dflt" : 0xfeee,
    "Pointer_DblClick1" : 0xfeef,
    "Pointer_DblClick2" : 0xfef0,
    "Pointer_DblClick3" : 0xfef1,
    "Pointer_DblClick4" : 0xfef2,
    "Pointer_DblClick5" : 0xfef3,
    "Pointer_Drag_Dflt" : 0xfef4,
    "Pointer_Drag1" : 0xfef5,
    "Pointer_Drag2" : 0xfef6,
    "Pointer_Drag3" : 0xfef7,
    "Pointer_Drag4" : 0xfef8,
    "Pointer_Drag5" : 0xfefd,
    "Pointer_EnableKeys" : 0xfef9,
    "Pointer_Accelerate" : 0xfefa,
    "Pointer_DfltBtnNext" : 0xfefb,
    "Pointer_DfltBtnPrev" : 0xfefc,
    "3270_Duplicate" : 0xfd01,
    "3270_FieldMark" : 0xfd02,
    "3270_Right2" : 0xfd03,
    "3270_Left2" : 0xfd04,
    "3270_BackTab" : 0xfd05,
    "3270_EraseEOF" : 0xfd06,
    "3270_EraseInput" : 0xfd07,
    "3270_Reset" : 0xfd08,
    "3270_Quit" : 0xfd09,
    "3270_PA1" : 0xfd0a,
    "3270_PA2" : 0xfd0b,
    "3270_PA3" : 0xfd0c,
    "3270_Test" : 0xfd0d,
    "3270_Attn" : 0xfd0e,
    "3270_CursorBlink" : 0xfd0f,
    "3270_AltCursor" : 0xfd10,
    "3270_KeyClick" : 0xfd11,
    "3270_Jump" : 0xfd12,
    "3270_Ident" : 0xfd13,
    "3270_Rule" : 0xfd14,
    "3270_Copy" : 0xfd15,
    "3270_Play" : 0xfd16,
    "3270_Setup" : 0xfd17,
    "3270_Record" : 0xfd18,
    "3270_ChangeScreen" : 0xfd19,
    "3270_DeleteWord" : 0xfd1a,
    "3270_ExSelect" : 0xfd1b,
    "3270_CursorSelect" : 0xfd1c,
    "3270_PrintScreen" : 0xfd1d,
    "3270_Enter" : 0xfd1e,
    "space" : 0x0020,
    "exclam" : 0x0021,
    "quotedbl" : 0x0022,
    "numbersign" : 0x0023,
    "dollar" : 0x0024,
    "percent" : 0x0025,
    "ampersand" : 0x0026,
    "apostrophe" : 0x0027,
    "quoteright" : 0x0027,
    "parenleft" : 0x0028,
    "parenright" : 0x0029,
    "asterisk" : 0x002a,
    "plus" : 0x002b,
    "comma" : 0x002c,
    "minus" : 0x002d,
    "period" : 0x002e,
    "slash" : 0x002f,
    "0" : 0x0030,
    "1" : 0x0031,
    "2" : 0x0032,
    "3" : 0x0033,
    "4" : 0x0034,
    "5" : 0x0035,
    "6" : 0x0036,
    "7" : 0x0037,
    "8" : 0x0038,
    "9" : 0x0039,
    "colon" : 0x003a,
    "semicolon" : 0x003b,
    "less" : 0x003c,
    "equal" : 0x003d,
    "greater" : 0x003e,
    "question" : 0x003f,
    "at" : 0x0040,
    "A" : 0x0041,
    "B" : 0x0042,
    "C" : 0x0043,
    "D" : 0x0044,
    "E" : 0x0045,
    "F" : 0x0046,
    "G" : 0x0047,
    "H" : 0x0048,
    "I" : 0x0049,
    "J" : 0x004a,
    "K" : 0x004b,
    "L" : 0x004c,
    "M" : 0x004d,
    "N" : 0x004e,
    "O" : 0x004f,
    "P" : 0x0050,
    "Q" : 0x0051,
    "R" : 0x0052,
    "S" : 0x0053,
    "T" : 0x0054,
    "U" : 0x0055,
    "V" : 0x0056,
    "W" : 0x0057,
    "X" : 0x0058,
    "Y" : 0x0059,
    "Z" : 0x005a,
    "bracketleft" : 0x005b,
    "backslash" : 0x005c,
    "bracketright" : 0x005d,
    "asciicircum" : 0x005e,
    "underscore" : 0x005f,
    "grave" : 0x0060,
    "quoteleft" : 0x0060,
    "a" : 0x0061,
    "b" : 0x0062,
    "c" : 0x0063,
    "d" : 0x0064,
    "e" : 0x0065,
    "f" : 0x0066,
    "g" : 0x0067,
    "h" : 0x0068,
    "i" : 0x0069,
    "j" : 0x006a,
    "k" : 0x006b,
    "l" : 0x006c,
    "m" : 0x006d,
    "n" : 0x006e,
    "o" : 0x006f,
    "p" : 0x0070,
    "q" : 0x0071,
    "r" : 0x0072,
    "s" : 0x0073,
    "t" : 0x0074,
    "u" : 0x0075,
    "v" : 0x0076,
    "w" : 0x0077,
    "x" : 0x0078,
    "y" : 0x0079,
    "z" : 0x007a,
    "braceleft" : 0x007b,
    "bar" : 0x007c,
    "braceright" : 0x007d,
    "asciitilde" : 0x007e,
    "nobreakspace" : 0x00a0,
    "exclamdown" : 0x00a1,
    "cent" : 0x00a2,
    "sterling" : 0x00a3,
    "currency" : 0x00a4,
    "yen" : 0x00a5,
    "brokenbar" : 0x00a6,
    "section" : 0x00a7,
    "diaeresis" : 0x00a8,
    "copyright" : 0x00a9,
    "ordfeminine" : 0x00aa,
    "guillemotleft" : 0x00ab,
    "notsign" : 0x00ac,
    "hyphen" : 0x00ad,
    "registered" : 0x00ae,
    "macron" : 0x00af,
    "degree" : 0x00b0,
    "plusminus" : 0x00b1,
    "twosuperior" : 0x00b2,
    "threesuperior" : 0x00b3,
    "acute" : 0x00b4,
    "mu" : 0x00b5,
    "paragraph" : 0x00b6,
    "periodcentered" : 0x00b7,
    "cedilla" : 0x00b8,
    "onesuperior" : 0x00b9,
    "masculine" : 0x00ba,
    "guillemotright" : 0x00bb,
    "onequarter" : 0x00bc,
    "onehalf" : 0x00bd,
    "threequarters" : 0x00be,
    "questiondown" : 0x00bf,
    "Agrave" : 0x00c0,
    "Aacute" : 0x00c1,
    "Acircumflex" : 0x00c2,
    "Atilde" : 0x00c3,
    "Adiaeresis" : 0x00c4,
    "Aring" : 0x00c5,
    "AE" : 0x00c6,
    "Ccedilla" : 0x00c7,
    "Egrave" : 0x00c8,
    "Eacute" : 0x00c9,
    "Ecircumflex" : 0x00ca,
    "Ediaeresis" : 0x00cb,
    "Igrave" : 0x00cc,
    "Iacute" : 0x00cd,
    "Icircumflex" : 0x00ce,
    "Idiaeresis" : 0x00cf,
    "ETH" : 0x00d0,
    "Eth" : 0x00d0,
    "Ntilde" : 0x00d1,
    "Ograve" : 0x00d2,
    "Oacute" : 0x00d3,
    "Ocircumflex" : 0x00d4,
    "Otilde" : 0x00d5,
    "Odiaeresis" : 0x00d6,
    "multiply" : 0x00d7,
    "Oslash" : 0x00d8,
    "Ooblique" : 0x00d8,
    "Ugrave" : 0x00d9,
    "Uacute" : 0x00da,
    "Ucircumflex" : 0x00db,
    "Udiaeresis" : 0x00dc,
    "Yacute" : 0x00dd,
    "THORN" : 0x00de,
    "Thorn" : 0x00de,
    "ssharp" : 0x00df,
    "agrave" : 0x00e0,
    "aacute" : 0x00e1,
    "acircumflex" : 0x00e2,
    "atilde" : 0x00e3,
    "adiaeresis" : 0x00e4,
    "aring" : 0x00e5,
    "ae" : 0x00e6,
    "ccedilla" : 0x00e7,
    "egrave" : 0x00e8,
    "eacute" : 0x00e9,
    "ecircumflex" : 0x00ea,
    "ediaeresis" : 0x00eb,
    "igrave" : 0x00ec,
    "iacute" : 0x00ed,
    "icircumflex" : 0x00ee,
    "idiaeresis" : 0x00ef,
    "eth" : 0x00f0,
    "ntilde" : 0x00f1,
    "ograve" : 0x00f2,
    "oacute" : 0x00f3,
    "ocircumflex" : 0x00f4,
    "otilde" : 0x00f5,
    "odiaeresis" : 0x00f6,
    "division" : 0x00f7,
    "oslash" : 0x00f8,
    "ooblique" : 0x00f8,
    "ugrave" : 0x00f9,
    "uacute" : 0x00fa,
    "ucircumflex" : 0x00fb,
    "udiaeresis" : 0x00fc,
    "yacute" : 0x00fd,
    "thorn" : 0x00fe,
    "ydiaeresis" : 0x00ff,
    "Aogonek" : 0x01a1,
    "breve" : 0x01a2,
    "Lstroke" : 0x01a3,
    "Lcaron" : 0x01a5,
    "Sacute" : 0x01a6,
    "Scaron" : 0x01a9,
    "Scedilla" : 0x01aa,
    "Tcaron" : 0x01ab,
    "Zacute" : 0x01ac,
    "Zcaron" : 0x01ae,
    "Zabovedot" : 0x01af,
    "aogonek" : 0x01b1,
    "ogonek" : 0x01b2,
    "lstroke" : 0x01b3,
    "lcaron" : 0x01b5,
    "sacute" : 0x01b6,
    "caron" : 0x01b7,
    "scaron" : 0x01b9,
    "scedilla" : 0x01ba,
    "tcaron" : 0x01bb,
    "zacute" : 0x01bc,
    "doubleacute" : 0x01bd,
    "zcaron" : 0x01be,
    "zabovedot" : 0x01bf,
    "Racute" : 0x01c0,
    "Abreve" : 0x01c3,
    "Lacute" : 0x01c5,
    "Cacute" : 0x01c6,
    "Ccaron" : 0x01c8,
    "Eogonek" : 0x01ca,
    "Ecaron" : 0x01cc,
    "Dcaron" : 0x01cf,
    "Dstroke" : 0x01d0,
    "Nacute" : 0x01d1,
    "Ncaron" : 0x01d2,
    "Odoubleacute" : 0x01d5,
    "Rcaron" : 0x01d8,
    "Uring" : 0x01d9,
    "Udoubleacute" : 0x01db,
    "Tcedilla" : 0x01de,
    "racute" : 0x01e0,
    "abreve" : 0x01e3,
    "lacute" : 0x01e5,
    "cacute" : 0x01e6,
    "ccaron" : 0x01e8,
    "eogonek" : 0x01ea,
    "ecaron" : 0x01ec,
    "dcaron" : 0x01ef,
    "dstroke" : 0x01f0,
    "nacute" : 0x01f1,
    "ncaron" : 0x01f2,
    "odoubleacute" : 0x01f5,
    "udoubleacute" : 0x01fb,
    "rcaron" : 0x01f8,
    "uring" : 0x01f9,
    "tcedilla" : 0x01fe,
    "abovedot" : 0x01ff,
    "Hstroke" : 0x02a1,
    "Hcircumflex" : 0x02a6,
    "Iabovedot" : 0x02a9,
    "Gbreve" : 0x02ab,
    "Jcircumflex" : 0x02ac,
    "hstroke" : 0x02b1,
    "hcircumflex" : 0x02b6,
    "idotless" : 0x02b9,
    "gbreve" : 0x02bb,
    "jcircumflex" : 0x02bc,
    "Cabovedot" : 0x02c5,
    "Ccircumflex" : 0x02c6,
    "Gabovedot" : 0x02d5,
    "Gcircumflex" : 0x02d8,
    "Ubreve" : 0x02dd,
    "Scircumflex" : 0x02de,
    "cabovedot" : 0x02e5,
    "ccircumflex" : 0x02e6,
    "gabovedot" : 0x02f5,
    "gcircumflex" : 0x02f8,
    "ubreve" : 0x02fd,
    "scircumflex" : 0x02fe,
    "kra" : 0x03a2,
    "kappa" : 0x03a2,
    "Rcedilla" : 0x03a3,
    "Itilde" : 0x03a5,
    "Lcedilla" : 0x03a6,
    "Emacron" : 0x03aa,
    "Gcedilla" : 0x03ab,
    "Tslash" : 0x03ac,
    "rcedilla" : 0x03b3,
    "itilde" : 0x03b5,
    "lcedilla" : 0x03b6,
    "emacron" : 0x03ba,
    "gcedilla" : 0x03bb,
    "tslash" : 0x03bc,
    "ENG" : 0x03bd,
    "eng" : 0x03bf,
    "Amacron" : 0x03c0,
    "Iogonek" : 0x03c7,
    "Eabovedot" : 0x03cc,
    "Imacron" : 0x03cf,
    "Ncedilla" : 0x03d1,
    "Omacron" : 0x03d2,
    "Kcedilla" : 0x03d3,
    "Uogonek" : 0x03d9,
    "Utilde" : 0x03dd,
    "Umacron" : 0x03de,
    "amacron" : 0x03e0,
    "iogonek" : 0x03e7,
    "eabovedot" : 0x03ec,
    "imacron" : 0x03ef,
    "ncedilla" : 0x03f1,
    "omacron" : 0x03f2,
    "kcedilla" : 0x03f3,
    "uogonek" : 0x03f9,
    "utilde" : 0x03fd,
    "umacron" : 0x03fe,
    "Babovedot" : 0x1001e02,
    "babovedot" : 0x1001e03,
    "Dabovedot" : 0x1001e0a,
    "Wgrave" : 0x1001e80,
    "Wacute" : 0x1001e82,
    "dabovedot" : 0x1001e0b,
    "Ygrave" : 0x1001ef2,
    "Fabovedot" : 0x1001e1e,
    "fabovedot" : 0x1001e1f,
    "Mabovedot" : 0x1001e40,
    "mabovedot" : 0x1001e41,
    "Pabovedot" : 0x1001e56,
    "wgrave" : 0x1001e81,
    "pabovedot" : 0x1001e57,
    "wacute" : 0x1001e83,
    "Sabovedot" : 0x1001e60,
    "ygrave" : 0x1001ef3,
    "Wdiaeresis" : 0x1001e84,
    "wdiaeresis" : 0x1001e85,
    "sabovedot" : 0x1001e61,
    "Wcircumflex" : 0x1000174,
    "Tabovedot" : 0x1001e6a,
    "Ycircumflex" : 0x1000176,
    "wcircumflex" : 0x1000175,
    "tabovedot" : 0x1001e6b,
    "ycircumflex" : 0x1000177,
    "OE" : 0x13bc,
    "oe" : 0x13bd,
    "Ydiaeresis" : 0x13be,
    "overline" : 0x047e,
    "kana_fullstop" : 0x04a1,
    "kana_openingbracket" : 0x04a2,
    "kana_closingbracket" : 0x04a3,
    "kana_comma" : 0x04a4,
    "kana_conjunctive" : 0x04a5,
    "kana_middledot" : 0x04a5,
    "kana_WO" : 0x04a6,
    "kana_a" : 0x04a7,
    "kana_i" : 0x04a8,
    "kana_u" : 0x04a9,
    "kana_e" : 0x04aa,
    "kana_o" : 0x04ab,
    "kana_ya" : 0x04ac,
    "kana_yu" : 0x04ad,
    "kana_yo" : 0x04ae,
    "kana_tsu" : 0x04af,
    "kana_tu" : 0x04af,
    "prolongedsound" : 0x04b0,
    "kana_A" : 0x04b1,
    "kana_I" : 0x04b2,
    "kana_U" : 0x04b3,
    "kana_E" : 0x04b4,
    "kana_O" : 0x04b5,
    "kana_KA" : 0x04b6,
    "kana_KI" : 0x04b7,
    "kana_KU" : 0x04b8,
    "kana_KE" : 0x04b9,
    "kana_KO" : 0x04ba,
    "kana_SA" : 0x04bb,
    "kana_SHI" : 0x04bc,
    "kana_SU" : 0x04bd,
    "kana_SE" : 0x04be,
    "kana_SO" : 0x04bf,
    "kana_TA" : 0x04c0,
    "kana_CHI" : 0x04c1,
    "kana_TI" : 0x04c1,
    "kana_TSU" : 0x04c2,
    "kana_TU" : 0x04c2,
    "kana_TE" : 0x04c3,
    "kana_TO" : 0x04c4,
    "kana_NA" : 0x04c5,
    "kana_NI" : 0x04c6,
    "kana_NU" : 0x04c7,
    "kana_NE" : 0x04c8,
    "kana_NO" : 0x04c9,
    "kana_HA" : 0x04ca,
    "kana_HI" : 0x04cb,
    "kana_FU" : 0x04cc,
    "kana_HU" : 0x04cc,
    "kana_HE" : 0x04cd,
    "kana_HO" : 0x04ce,
    "kana_MA" : 0x04cf,
    "kana_MI" : 0x04d0,
    "kana_MU" : 0x04d1,
    "kana_ME" : 0x04d2,
    "kana_MO" : 0x04d3,
    "kana_YA" : 0x04d4,
    "kana_YU" : 0x04d5,
    "kana_YO" : 0x04d6,
    "kana_RA" : 0x04d7,
    "kana_RI" : 0x04d8,
    "kana_RU" : 0x04d9,
    "kana_RE" : 0x04da,
    "kana_RO" : 0x04db,
    "kana_WA" : 0x04dc,
    "kana_N" : 0x04dd,
    "voicedsound" : 0x04de,
    "semivoicedsound" : 0x04df,
    "kana_switch" : 0xff7e,
    "Farsi_0" : 0x10006f0,
    "Farsi_1" : 0x10006f1,
    "Farsi_2" : 0x10006f2,
    "Farsi_3" : 0x10006f3,
    "Farsi_4" : 0x10006f4,
    "Farsi_5" : 0x10006f5,
    "Farsi_6" : 0x10006f6,
    "Farsi_7" : 0x10006f7,
    "Farsi_8" : 0x10006f8,
    "Farsi_9" : 0x10006f9,
    "Arabic_percent" : 0x100066a,
    "Arabic_superscript_alef" : 0x1000670,
    "Arabic_tteh" : 0x1000679,
    "Arabic_peh" : 0x100067e,
    "Arabic_tcheh" : 0x1000686,
    "Arabic_ddal" : 0x1000688,
    "Arabic_rreh" : 0x1000691,
    "Arabic_comma" : 0x05ac,
    "Arabic_fullstop" : 0x10006d4,
    "Arabic_0" : 0x1000660,
    "Arabic_1" : 0x1000661,
    "Arabic_2" : 0x1000662,
    "Arabic_3" : 0x1000663,
    "Arabic_4" : 0x1000664,
    "Arabic_5" : 0x1000665,
    "Arabic_6" : 0x1000666,
    "Arabic_7" : 0x1000667,
    "Arabic_8" : 0x1000668,
    "Arabic_9" : 0x1000669,
    "Arabic_semicolon" : 0x05bb,
    "Arabic_question_mark" : 0x05bf,
    "Arabic_hamza" : 0x05c1,
    "Arabic_maddaonalef" : 0x05c2,
    "Arabic_hamzaonalef" : 0x05c3,
    "Arabic_hamzaonwaw" : 0x05c4,
    "Arabic_hamzaunderalef" : 0x05c5,
    "Arabic_hamzaonyeh" : 0x05c6,
    "Arabic_alef" : 0x05c7,
    "Arabic_beh" : 0x05c8,
    "Arabic_tehmarbuta" : 0x05c9,
    "Arabic_teh" : 0x05ca,
    "Arabic_theh" : 0x05cb,
    "Arabic_jeem" : 0x05cc,
    "Arabic_hah" : 0x05cd,
    "Arabic_khah" : 0x05ce,
    "Arabic_dal" : 0x05cf,
    "Arabic_thal" : 0x05d0,
    "Arabic_ra" : 0x05d1,
    "Arabic_zain" : 0x05d2,
    "Arabic_seen" : 0x05d3,
    "Arabic_sheen" : 0x05d4,
    "Arabic_sad" : 0x05d5,
    "Arabic_dad" : 0x05d6,
    "Arabic_tah" : 0x05d7,
    "Arabic_zah" : 0x05d8,
    "Arabic_ain" : 0x05d9,
    "Arabic_ghain" : 0x05da,
    "Arabic_tatweel" : 0x05e0,
    "Arabic_feh" : 0x05e1,
    "Arabic_qaf" : 0x05e2,
    "Arabic_kaf" : 0x05e3,
    "Arabic_lam" : 0x05e4,
    "Arabic_meem" : 0x05e5,
    "Arabic_noon" : 0x05e6,
    "Arabic_ha" : 0x05e7,
    "Arabic_heh" : 0x05e7,
    "Arabic_waw" : 0x05e8,
    "Arabic_alefmaksura" : 0x05e9,
    "Arabic_yeh" : 0x05ea,
    "Arabic_fathatan" : 0x05eb,
    "Arabic_dammatan" : 0x05ec,
    "Arabic_kasratan" : 0x05ed,
    "Arabic_fatha" : 0x05ee,
    "Arabic_damma" : 0x05ef,
    "Arabic_kasra" : 0x05f0,
    "Arabic_shadda" : 0x05f1,
    "Arabic_sukun" : 0x05f2,
    "Arabic_madda_above" : 0x1000653,
    "Arabic_hamza_above" : 0x1000654,
    "Arabic_hamza_below" : 0x1000655,
    "Arabic_jeh" : 0x1000698,
    "Arabic_veh" : 0x10006a4,
    "Arabic_keheh" : 0x10006a9,
    "Arabic_gaf" : 0x10006af,
    "Arabic_noon_ghunna" : 0x10006ba,
    "Arabic_heh_doachashmee" : 0x10006be,
    "Farsi_yeh" : 0x10006cc,
    "Arabic_farsi_yeh" : 0x10006cc,
    "Arabic_yeh_baree" : 0x10006d2,
    "Arabic_heh_goal" : 0x10006c1,
    "Arabic_switch" : 0xff7e,
    "Cyrillic_GHE_bar" : 0x1000492,
    "Cyrillic_ghe_bar" : 0x1000493,
    "Cyrillic_ZHE_descender" : 0x1000496,
    "Cyrillic_zhe_descender" : 0x1000497,
    "Cyrillic_KA_descender" : 0x100049a,
    "Cyrillic_ka_descender" : 0x100049b,
    "Cyrillic_KA_vertstroke" : 0x100049c,
    "Cyrillic_ka_vertstroke" : 0x100049d,
    "Cyrillic_EN_descender" : 0x10004a2,
    "Cyrillic_en_descender" : 0x10004a3,
    "Cyrillic_U_straight" : 0x10004ae,
    "Cyrillic_u_straight" : 0x10004af,
    "Cyrillic_U_straight_bar" : 0x10004b0,
    "Cyrillic_u_straight_bar" : 0x10004b1,
    "Cyrillic_HA_descender" : 0x10004b2,
    "Cyrillic_ha_descender" : 0x10004b3,
    "Cyrillic_CHE_descender" : 0x10004b6,
    "Cyrillic_che_descender" : 0x10004b7,
    "Cyrillic_CHE_vertstroke" : 0x10004b8,
    "Cyrillic_che_vertstroke" : 0x10004b9,
    "Cyrillic_SHHA" : 0x10004ba,
    "Cyrillic_shha" : 0x10004bb,
    "Cyrillic_SCHWA" : 0x10004d8,
    "Cyrillic_schwa" : 0x10004d9,
    "Cyrillic_I_macron" : 0x10004e2,
    "Cyrillic_i_macron" : 0x10004e3,
    "Cyrillic_O_bar" : 0x10004e8,
    "Cyrillic_o_bar" : 0x10004e9,
    "Cyrillic_U_macron" : 0x10004ee,
    "Cyrillic_u_macron" : 0x10004ef,
    "Serbian_dje" : 0x06a1,
    "Macedonia_gje" : 0x06a2,
    "Cyrillic_io" : 0x06a3,
    "Ukrainian_ie" : 0x06a4,
    "Ukranian_je" : 0x06a4,
    "Macedonia_dse" : 0x06a5,
    "Ukrainian_i" : 0x06a6,
    "Ukranian_i" : 0x06a6,
    "Ukrainian_yi" : 0x06a7,
    "Ukranian_yi" : 0x06a7,
    "Cyrillic_je" : 0x06a8,
    "Serbian_je" : 0x06a8,
    "Cyrillic_lje" : 0x06a9,
    "Serbian_lje" : 0x06a9,
    "Cyrillic_nje" : 0x06aa,
    "Serbian_nje" : 0x06aa,
    "Serbian_tshe" : 0x06ab,
    "Macedonia_kje" : 0x06ac,
    "Ukrainian_ghe_with_upturn" : 0x06ad,
    "Byelorussian_shortu" : 0x06ae,
    "Cyrillic_dzhe" : 0x06af,
    "Serbian_dze" : 0x06af,
    "numerosign" : 0x06b0,
    "Serbian_DJE" : 0x06b1,
    "Macedonia_GJE" : 0x06b2,
    "Cyrillic_IO" : 0x06b3,
    "Ukrainian_IE" : 0x06b4,
    "Ukranian_JE" : 0x06b4,
    "Macedonia_DSE" : 0x06b5,
    "Ukrainian_I" : 0x06b6,
    "Ukranian_I" : 0x06b6,
    "Ukrainian_YI" : 0x06b7,
    "Ukranian_YI" : 0x06b7,
    "Cyrillic_JE" : 0x06b8,
    "Serbian_JE" : 0x06b8,
    "Cyrillic_LJE" : 0x06b9,
    "Serbian_LJE" : 0x06b9,
    "Cyrillic_NJE" : 0x06ba,
    "Serbian_NJE" : 0x06ba,
    "Serbian_TSHE" : 0x06bb,
    "Macedonia_KJE" : 0x06bc,
    "Ukrainian_GHE_WITH_UPTURN" : 0x06bd,
    "Byelorussian_SHORTU" : 0x06be,
    "Cyrillic_DZHE" : 0x06bf,
    "Serbian_DZE" : 0x06bf,
    "Cyrillic_yu" : 0x06c0,
    "Cyrillic_a" : 0x06c1,
    "Cyrillic_be" : 0x06c2,
    "Cyrillic_tse" : 0x06c3,
    "Cyrillic_de" : 0x06c4,
    "Cyrillic_ie" : 0x06c5,
    "Cyrillic_ef" : 0x06c6,
    "Cyrillic_ghe" : 0x06c7,
    "Cyrillic_ha" : 0x06c8,
    "Cyrillic_i" : 0x06c9,
    "Cyrillic_shorti" : 0x06ca,
    "Cyrillic_ka" : 0x06cb,
    "Cyrillic_el" : 0x06cc,
    "Cyrillic_em" : 0x06cd,
    "Cyrillic_en" : 0x06ce,
    "Cyrillic_o" : 0x06cf,
    "Cyrillic_pe" : 0x06d0,
    "Cyrillic_ya" : 0x06d1,
    "Cyrillic_er" : 0x06d2,
    "Cyrillic_es" : 0x06d3,
    "Cyrillic_te" : 0x06d4,
    "Cyrillic_u" : 0x06d5,
    "Cyrillic_zhe" : 0x06d6,
    "Cyrillic_ve" : 0x06d7,
    "Cyrillic_softsign" : 0x06d8,
    "Cyrillic_yeru" : 0x06d9,
    "Cyrillic_ze" : 0x06da,
    "Cyrillic_sha" : 0x06db,
    "Cyrillic_e" : 0x06dc,
    "Cyrillic_shcha" : 0x06dd,
    "Cyrillic_che" : 0x06de,
    "Cyrillic_hardsign" : 0x06df,
    "Cyrillic_YU" : 0x06e0,
    "Cyrillic_A" : 0x06e1,
    "Cyrillic_BE" : 0x06e2,
    "Cyrillic_TSE" : 0x06e3,
    "Cyrillic_DE" : 0x06e4,
    "Cyrillic_IE" : 0x06e5,
    "Cyrillic_EF" : 0x06e6,
    "Cyrillic_GHE" : 0x06e7,
    "Cyrillic_HA" : 0x06e8,
    "Cyrillic_I" : 0x06e9,
    "Cyrillic_SHORTI" : 0x06ea,
    "Cyrillic_KA" : 0x06eb,
    "Cyrillic_EL" : 0x06ec,
    "Cyrillic_EM" : 0x06ed,
    "Cyrillic_EN" : 0x06ee,
    "Cyrillic_O" : 0x06ef,
    "Cyrillic_PE" : 0x06f0,
    "Cyrillic_YA" : 0x06f1,
    "Cyrillic_ER" : 0x06f2,
    "Cyrillic_ES" : 0x06f3,
    "Cyrillic_TE" : 0x06f4,
    "Cyrillic_U" : 0x06f5,
    "Cyrillic_ZHE" : 0x06f6,
    "Cyrillic_VE" : 0x06f7,
    "Cyrillic_SOFTSIGN" : 0x06f8,
    "Cyrillic_YERU" : 0x06f9,
    "Cyrillic_ZE" : 0x06fa,
    "Cyrillic_SHA" : 0x06fb,
    "Cyrillic_E" : 0x06fc,
    "Cyrillic_SHCHA" : 0x06fd,
    "Cyrillic_CHE" : 0x06fe,
    "Cyrillic_HARDSIGN" : 0x06ff,
    "Greek_ALPHAaccent" : 0x07a1,
    "Greek_EPSILONaccent" : 0x07a2,
    "Greek_ETAaccent" : 0x07a3,
    "Greek_IOTAaccent" : 0x07a4,
    "Greek_IOTAdieresis" : 0x07a5,
    "Greek_IOTAdiaeresis" : 0x07a5,
    "Greek_OMICRONaccent" : 0x07a7,
    "Greek_UPSILONaccent" : 0x07a8,
    "Greek_UPSILONdieresis" : 0x07a9,
    "Greek_OMEGAaccent" : 0x07ab,
    "Greek_accentdieresis" : 0x07ae,
    "Greek_horizbar" : 0x07af,
    "Greek_alphaaccent" : 0x07b1,
    "Greek_epsilonaccent" : 0x07b2,
    "Greek_etaaccent" : 0x07b3,
    "Greek_iotaaccent" : 0x07b4,
    "Greek_iotadieresis" : 0x07b5,
    "Greek_iotaaccentdieresis" : 0x07b6,
    "Greek_omicronaccent" : 0x07b7,
    "Greek_upsilonaccent" : 0x07b8,
    "Greek_upsilondieresis" : 0x07b9,
    "Greek_upsilonaccentdieresis" : 0x07ba,
    "Greek_omegaaccent" : 0x07bb,
    "Greek_ALPHA" : 0x07c1,
    "Greek_BETA" : 0x07c2,
    "Greek_GAMMA" : 0x07c3,
    "Greek_DELTA" : 0x07c4,
    "Greek_EPSILON" : 0x07c5,
    "Greek_ZETA" : 0x07c6,
    "Greek_ETA" : 0x07c7,
    "Greek_THETA" : 0x07c8,
    "Greek_IOTA" : 0x07c9,
    "Greek_KAPPA" : 0x07ca,
    "Greek_LAMDA" : 0x07cb,
    "Greek_LAMBDA" : 0x07cb,
    "Greek_MU" : 0x07cc,
    "Greek_NU" : 0x07cd,
    "Greek_XI" : 0x07ce,
    "Greek_OMICRON" : 0x07cf,
    "Greek_PI" : 0x07d0,
    "Greek_RHO" : 0x07d1,
    "Greek_SIGMA" : 0x07d2,
    "Greek_TAU" : 0x07d4,
    "Greek_UPSILON" : 0x07d5,
    "Greek_PHI" : 0x07d6,
    "Greek_CHI" : 0x07d7,
    "Greek_PSI" : 0x07d8,
    "Greek_OMEGA" : 0x07d9,
    "Greek_alpha" : 0x07e1,
    "Greek_beta" : 0x07e2,
    "Greek_gamma" : 0x07e3,
    "Greek_delta" : 0x07e4,
    "Greek_epsilon" : 0x07e5,
    "Greek_zeta" : 0x07e6,
    "Greek_eta" : 0x07e7,
    "Greek_theta" : 0x07e8,
    "Greek_iota" : 0x07e9,
    "Greek_kappa" : 0x07ea,
    "Greek_lamda" : 0x07eb,
    "Greek_lambda" : 0x07eb,
    "Greek_mu" : 0x07ec,
    "Greek_nu" : 0x07ed,
    "Greek_xi" : 0x07ee,
    "Greek_omicron" : 0x07ef,
    "Greek_pi" : 0x07f0,
    "Greek_rho" : 0x07f1,
    "Greek_sigma" : 0x07f2,
    "Greek_finalsmallsigma" : 0x07f3,
    "Greek_tau" : 0x07f4,
    "Greek_upsilon" : 0x07f5,
    "Greek_phi" : 0x07f6,
    "Greek_chi" : 0x07f7,
    "Greek_psi" : 0x07f8,
    "Greek_omega" : 0x07f9,
    "Greek_switch" : 0xff7e,
    "leftradical" : 0x08a1,
    "topleftradical" : 0x08a2,
    "horizconnector" : 0x08a3,
    "topintegral" : 0x08a4,
    "botintegral" : 0x08a5,
    "vertconnector" : 0x08a6,
    "topleftsqbracket" : 0x08a7,
    "botleftsqbracket" : 0x08a8,
    "toprightsqbracket" : 0x08a9,
    "botrightsqbracket" : 0x08aa,
    "topleftparens" : 0x08ab,
    "botleftparens" : 0x08ac,
    "toprightparens" : 0x08ad,
    "botrightparens" : 0x08ae,
    "leftmiddlecurlybrace" : 0x08af,
    "rightmiddlecurlybrace" : 0x08b0,
    "topleftsummation" : 0x08b1,
    "botleftsummation" : 0x08b2,
    "topvertsummationconnector" : 0x08b3,
    "botvertsummationconnector" : 0x08b4,
    "toprightsummation" : 0x08b5,
    "botrightsummation" : 0x08b6,
    "rightmiddlesummation" : 0x08b7,
    "lessthanequal" : 0x08bc,
    "notequal" : 0x08bd,
    "greaterthanequal" : 0x08be,
    "integral" : 0x08bf,
    "therefore" : 0x08c0,
    "variation" : 0x08c1,
    "infinity" : 0x08c2,
    "nabla" : 0x08c5,
    "approximate" : 0x08c8,
    "similarequal" : 0x08c9,
    "ifonlyif" : 0x08cd,
    "implies" : 0x08ce,
    "identical" : 0x08cf,
    "radical" : 0x08d6,
    "includedin" : 0x08da,
    "includes" : 0x08db,
    "intersection" : 0x08dc,
    "union" : 0x08dd,
    "logicaland" : 0x08de,
    "logicalor" : 0x08df,
    "partialderivative" : 0x08ef,
    "function" : 0x08f6,
    "leftarrow" : 0x08fb,
    "uparrow" : 0x08fc,
    "rightarrow" : 0x08fd,
    "downarrow" : 0x08fe,
    "blank" : 0x09df,
    "soliddiamond" : 0x09e0,
    "checkerboard" : 0x09e1,
    "ht" : 0x09e2,
    "ff" : 0x09e3,
    "cr" : 0x09e4,
    "lf" : 0x09e5,
    "nl" : 0x09e8,
    "vt" : 0x09e9,
    "lowrightcorner" : 0x09ea,
    "uprightcorner" : 0x09eb,
    "upleftcorner" : 0x09ec,
    "lowleftcorner" : 0x09ed,
    "crossinglines" : 0x09ee,
    "horizlinescan1" : 0x09ef,
    "horizlinescan3" : 0x09f0,
    "horizlinescan5" : 0x09f1,
    "horizlinescan7" : 0x09f2,
    "horizlinescan9" : 0x09f3,
    "leftt" : 0x09f4,
    "rightt" : 0x09f5,
    "bott" : 0x09f6,
    "topt" : 0x09f7,
    "vertbar" : 0x09f8,
    "emspace" : 0x0aa1,
    "enspace" : 0x0aa2,
    "em3space" : 0x0aa3,
    "em4space" : 0x0aa4,
    "digitspace" : 0x0aa5,
    "punctspace" : 0x0aa6,
    "thinspace" : 0x0aa7,
    "hairspace" : 0x0aa8,
    "emdash" : 0x0aa9,
    "endash" : 0x0aaa,
    "signifblank" : 0x0aac,
    "ellipsis" : 0x0aae,
    "doubbaselinedot" : 0x0aaf,
    "onethird" : 0x0ab0,
    "twothirds" : 0x0ab1,
    "onefifth" : 0x0ab2,
    "twofifths" : 0x0ab3,
    "threefifths" : 0x0ab4,
    "fourfifths" : 0x0ab5,
    "onesixth" : 0x0ab6,
    "fivesixths" : 0x0ab7,
    "careof" : 0x0ab8,
    "figdash" : 0x0abb,
    "leftanglebracket" : 0x0abc,
    "decimalpoint" : 0x0abd,
    "rightanglebracket" : 0x0abe,
    "marker" : 0x0abf,
    "oneeighth" : 0x0ac3,
    "threeeighths" : 0x0ac4,
    "fiveeighths" : 0x0ac5,
    "seveneighths" : 0x0ac6,
    "trademark" : 0x0ac9,
    "signaturemark" : 0x0aca,
    "trademarkincircle" : 0x0acb,
    "leftopentriangle" : 0x0acc,
    "rightopentriangle" : 0x0acd,
    "emopencircle" : 0x0ace,
    "emopenrectangle" : 0x0acf,
    "leftsinglequotemark" : 0x0ad0,
    "rightsinglequotemark" : 0x0ad1,
    "leftdoublequotemark" : 0x0ad2,
    "rightdoublequotemark" : 0x0ad3,
    "prescription" : 0x0ad4,
    "minutes" : 0x0ad6,
    "seconds" : 0x0ad7,
    "latincross" : 0x0ad9,
    "hexagram" : 0x0ada,
    "filledrectbullet" : 0x0adb,
    "filledlefttribullet" : 0x0adc,
    "filledrighttribullet" : 0x0add,
    "emfilledcircle" : 0x0ade,
    "emfilledrect" : 0x0adf,
    "enopencircbullet" : 0x0ae0,
    "enopensquarebullet" : 0x0ae1,
    "openrectbullet" : 0x0ae2,
    "opentribulletup" : 0x0ae3,
    "opentribulletdown" : 0x0ae4,
    "openstar" : 0x0ae5,
    "enfilledcircbullet" : 0x0ae6,
    "enfilledsqbullet" : 0x0ae7,
    "filledtribulletup" : 0x0ae8,
    "filledtribulletdown" : 0x0ae9,
    "leftpointer" : 0x0aea,
    "rightpointer" : 0x0aeb,
    "club" : 0x0aec,
    "diamond" : 0x0aed,
    "heart" : 0x0aee,
    "maltesecross" : 0x0af0,
    "dagger" : 0x0af1,
    "doubledagger" : 0x0af2,
    "checkmark" : 0x0af3,
    "ballotcross" : 0x0af4,
    "musicalsharp" : 0x0af5,
    "musicalflat" : 0x0af6,
    "malesymbol" : 0x0af7,
    "femalesymbol" : 0x0af8,
    "telephone" : 0x0af9,
    "telephonerecorder" : 0x0afa,
    "phonographcopyright" : 0x0afb,
    "caret" : 0x0afc,
    "singlelowquotemark" : 0x0afd,
    "doublelowquotemark" : 0x0afe,
    "cursor" : 0x0aff,
    "leftcaret" : 0x0ba3,
    "rightcaret" : 0x0ba6,
    "downcaret" : 0x0ba8,
    "upcaret" : 0x0ba9,
    "overbar" : 0x0bc0,
    "downtack" : 0x0bc2,
    "upshoe" : 0x0bc3,
    "downstile" : 0x0bc4,
    "underbar" : 0x0bc6,
    "jot" : 0x0bca,
    "quad" : 0x0bcc,
    "uptack" : 0x0bce,
    "circle" : 0x0bcf,
    "upstile" : 0x0bd3,
    "downshoe" : 0x0bd6,
    "rightshoe" : 0x0bd8,
    "leftshoe" : 0x0bda,
    "lefttack" : 0x0bdc,
    "righttack" : 0x0bfc,
    "hebrew_doublelowline" : 0x0cdf,
    "hebrew_aleph" : 0x0ce0,
    "hebrew_bet" : 0x0ce1,
    "hebrew_beth" : 0x0ce1,
    "hebrew_gimel" : 0x0ce2,
    "hebrew_gimmel" : 0x0ce2,
    "hebrew_dalet" : 0x0ce3,
    "hebrew_daleth" : 0x0ce3,
    "hebrew_he" : 0x0ce4,
    "hebrew_waw" : 0x0ce5,
    "hebrew_zain" : 0x0ce6,
    "hebrew_zayin" : 0x0ce6,
    "hebrew_chet" : 0x0ce7,
    "hebrew_het" : 0x0ce7,
    "hebrew_tet" : 0x0ce8,
    "hebrew_teth" : 0x0ce8,
    "hebrew_yod" : 0x0ce9,
    "hebrew_finalkaph" : 0x0cea,
    "hebrew_kaph" : 0x0ceb,
    "hebrew_lamed" : 0x0cec,
    "hebrew_finalmem" : 0x0ced,
    "hebrew_mem" : 0x0cee,
    "hebrew_finalnun" : 0x0cef,
    "hebrew_nun" : 0x0cf0,
    "hebrew_samech" : 0x0cf1,
    "hebrew_samekh" : 0x0cf1,
    "hebrew_ayin" : 0x0cf2,
    "hebrew_finalpe" : 0x0cf3,
    "hebrew_pe" : 0x0cf4,
    "hebrew_finalzade" : 0x0cf5,
    "hebrew_finalzadi" : 0x0cf5,
    "hebrew_zade" : 0x0cf6,
    "hebrew_zadi" : 0x0cf6,
    "hebrew_qoph" : 0x0cf7,
    "hebrew_kuf" : 0x0cf7,
    "hebrew_resh" : 0x0cf8,
    "hebrew_shin" : 0x0cf9,
    "hebrew_taw" : 0x0cfa,
    "hebrew_taf" : 0x0cfa,
    "Hebrew_switch" : 0xff7e,
    "Thai_kokai" : 0x0da1,
    "Thai_khokhai" : 0x0da2,
    "Thai_khokhuat" : 0x0da3,
    "Thai_khokhwai" : 0x0da4,
    "Thai_khokhon" : 0x0da5,
    "Thai_khorakhang" : 0x0da6,
    "Thai_ngongu" : 0x0da7,
    "Thai_chochan" : 0x0da8,
    "Thai_choching" : 0x0da9,
    "Thai_chochang" : 0x0daa,
    "Thai_soso" : 0x0dab,
    "Thai_chochoe" : 0x0dac,
    "Thai_yoying" : 0x0dad,
    "Thai_dochada" : 0x0dae,
    "Thai_topatak" : 0x0daf,
    "Thai_thothan" : 0x0db0,
    "Thai_thonangmontho" : 0x0db1,
    "Thai_thophuthao" : 0x0db2,
    "Thai_nonen" : 0x0db3,
    "Thai_dodek" : 0x0db4,
    "Thai_totao" : 0x0db5,
    "Thai_thothung" : 0x0db6,
    "Thai_thothahan" : 0x0db7,
    "Thai_thothong" : 0x0db8,
    "Thai_nonu" : 0x0db9,
    "Thai_bobaimai" : 0x0dba,
    "Thai_popla" : 0x0dbb,
    "Thai_phophung" : 0x0dbc,
    "Thai_fofa" : 0x0dbd,
    "Thai_phophan" : 0x0dbe,
    "Thai_fofan" : 0x0dbf,
    "Thai_phosamphao" : 0x0dc0,
    "Thai_moma" : 0x0dc1,
    "Thai_yoyak" : 0x0dc2,
    "Thai_rorua" : 0x0dc3,
    "Thai_ru" : 0x0dc4,
    "Thai_loling" : 0x0dc5,
    "Thai_lu" : 0x0dc6,
    "Thai_wowaen" : 0x0dc7,
    "Thai_sosala" : 0x0dc8,
    "Thai_sorusi" : 0x0dc9,
    "Thai_sosua" : 0x0dca,
    "Thai_hohip" : 0x0dcb,
    "Thai_lochula" : 0x0dcc,
    "Thai_oang" : 0x0dcd,
    "Thai_honokhuk" : 0x0dce,
    "Thai_paiyannoi" : 0x0dcf,
    "Thai_saraa" : 0x0dd0,
    "Thai_maihanakat" : 0x0dd1,
    "Thai_saraaa" : 0x0dd2,
    "Thai_saraam" : 0x0dd3,
    "Thai_sarai" : 0x0dd4,
    "Thai_saraii" : 0x0dd5,
    "Thai_saraue" : 0x0dd6,
    "Thai_sarauee" : 0x0dd7,
    "Thai_sarau" : 0x0dd8,
    "Thai_sarauu" : 0x0dd9,
    "Thai_phinthu" : 0x0dda,
    "Thai_maihanakat_maitho" : 0x0dde,
    "Thai_baht" : 0x0ddf,
    "Thai_sarae" : 0x0de0,
    "Thai_saraae" : 0x0de1,
    "Thai_sarao" : 0x0de2,
    "Thai_saraaimaimuan" : 0x0de3,
    "Thai_saraaimaimalai" : 0x0de4,
    "Thai_lakkhangyao" : 0x0de5,
    "Thai_maiyamok" : 0x0de6,
    "Thai_maitaikhu" : 0x0de7,
    "Thai_maiek" : 0x0de8,
    "Thai_maitho" : 0x0de9,
    "Thai_maitri" : 0x0dea,
    "Thai_maichattawa" : 0x0deb,
    "Thai_thanthakhat" : 0x0dec,
    "Thai_nikhahit" : 0x0ded,
    "Thai_leksun" : 0x0df0,
    "Thai_leknung" : 0x0df1,
    "Thai_leksong" : 0x0df2,
    "Thai_leksam" : 0x0df3,
    "Thai_leksi" : 0x0df4,
    "Thai_lekha" : 0x0df5,
    "Thai_lekhok" : 0x0df6,
    "Thai_lekchet" : 0x0df7,
    "Thai_lekpaet" : 0x0df8,
    "Thai_lekkao" : 0x0df9,
    "Hangul" : 0xff31,
    "Hangul_Start" : 0xff32,
    "Hangul_End" : 0xff33,
    "Hangul_Hanja" : 0xff34,
    "Hangul_Jamo" : 0xff35,
    "Hangul_Romaja" : 0xff36,
    "Hangul_Codeinput" : 0xff37,
    "Hangul_Jeonja" : 0xff38,
    "Hangul_Banja" : 0xff39,
    "Hangul_PreHanja" : 0xff3a,
    "Hangul_PostHanja" : 0xff3b,
    "Hangul_SingleCandidate" : 0xff3c,
    "Hangul_MultipleCandidate" : 0xff3d,
    "Hangul_PreviousCandidate" : 0xff3e,
    "Hangul_Special" : 0xff3f,
    "Hangul_switch" : 0xff7e,
    "Hangul_Kiyeog" : 0x0ea1,
    "Hangul_SsangKiyeog" : 0x0ea2,
    "Hangul_KiyeogSios" : 0x0ea3,
    "Hangul_Nieun" : 0x0ea4,
    "Hangul_NieunJieuj" : 0x0ea5,
    "Hangul_NieunHieuh" : 0x0ea6,
    "Hangul_Dikeud" : 0x0ea7,
    "Hangul_SsangDikeud" : 0x0ea8,
    "Hangul_Rieul" : 0x0ea9,
    "Hangul_RieulKiyeog" : 0x0eaa,
    "Hangul_RieulMieum" : 0x0eab,
    "Hangul_RieulPieub" : 0x0eac,
    "Hangul_RieulSios" : 0x0ead,
    "Hangul_RieulTieut" : 0x0eae,
    "Hangul_RieulPhieuf" : 0x0eaf,
    "Hangul_RieulHieuh" : 0x0eb0,
    "Hangul_Mieum" : 0x0eb1,
    "Hangul_Pieub" : 0x0eb2,
    "Hangul_SsangPieub" : 0x0eb3,
    "Hangul_PieubSios" : 0x0eb4,
    "Hangul_Sios" : 0x0eb5,
    "Hangul_SsangSios" : 0x0eb6,
    "Hangul_Ieung" : 0x0eb7,
    "Hangul_Jieuj" : 0x0eb8,
    "Hangul_SsangJieuj" : 0x0eb9,
    "Hangul_Cieuc" : 0x0eba,
    "Hangul_Khieuq" : 0x0ebb,
    "Hangul_Tieut" : 0x0ebc,
    "Hangul_Phieuf" : 0x0ebd,
    "Hangul_Hieuh" : 0x0ebe,
    "Hangul_A" : 0x0ebf,
    "Hangul_AE" : 0x0ec0,
    "Hangul_YA" : 0x0ec1,
    "Hangul_YAE" : 0x0ec2,
    "Hangul_EO" : 0x0ec3,
    "Hangul_E" : 0x0ec4,
    "Hangul_YEO" : 0x0ec5,
    "Hangul_YE" : 0x0ec6,
    "Hangul_O" : 0x0ec7,
    "Hangul_WA" : 0x0ec8,
    "Hangul_WAE" : 0x0ec9,
    "Hangul_OE" : 0x0eca,
    "Hangul_YO" : 0x0ecb,
    "Hangul_U" : 0x0ecc,
    "Hangul_WEO" : 0x0ecd,
    "Hangul_WE" : 0x0ece,
    "Hangul_WI" : 0x0ecf,
    "Hangul_YU" : 0x0ed0,
    "Hangul_EU" : 0x0ed1,
    "Hangul_YI" : 0x0ed2,
    "Hangul_I" : 0x0ed3,
    "Hangul_J_Kiyeog" : 0x0ed4,
    "Hangul_J_SsangKiyeog" : 0x0ed5,
    "Hangul_J_KiyeogSios" : 0x0ed6,
    "Hangul_J_Nieun" : 0x0ed7,
    "Hangul_J_NieunJieuj" : 0x0ed8,
    "Hangul_J_NieunHieuh" : 0x0ed9,
    "Hangul_J_Dikeud" : 0x0eda,
    "Hangul_J_Rieul" : 0x0edb,
    "Hangul_J_RieulKiyeog" : 0x0edc,
    "Hangul_J_RieulMieum" : 0x0edd,
    "Hangul_J_RieulPieub" : 0x0ede,
    "Hangul_J_RieulSios" : 0x0edf,
    "Hangul_J_RieulTieut" : 0x0ee0,
    "Hangul_J_RieulPhieuf" : 0x0ee1,
    "Hangul_J_RieulHieuh" : 0x0ee2,
    "Hangul_J_Mieum" : 0x0ee3,
    "Hangul_J_Pieub" : 0x0ee4,
    "Hangul_J_PieubSios" : 0x0ee5,
    "Hangul_J_Sios" : 0x0ee6,
    "Hangul_J_SsangSios" : 0x0ee7,
    "Hangul_J_Ieung" : 0x0ee8,
    "Hangul_J_Jieuj" : 0x0ee9,
    "Hangul_J_Cieuc" : 0x0eea,
    "Hangul_J_Khieuq" : 0x0eeb,
    "Hangul_J_Tieut" : 0x0eec,
    "Hangul_J_Phieuf" : 0x0eed,
    "Hangul_J_Hieuh" : 0x0eee,
    "Hangul_RieulYeorinHieuh" : 0x0eef,
    "Hangul_SunkyeongeumMieum" : 0x0ef0,
    "Hangul_SunkyeongeumPieub" : 0x0ef1,
    "Hangul_PanSios" : 0x0ef2,
    "Hangul_KkogjiDalrinIeung" : 0x0ef3,
    "Hangul_SunkyeongeumPhieuf" : 0x0ef4,
    "Hangul_YeorinHieuh" : 0x0ef5,
    "Hangul_AraeA" : 0x0ef6,
    "Hangul_AraeAE" : 0x0ef7,
    "Hangul_J_PanSios" : 0x0ef8,
    "Hangul_J_KkogjiDalrinIeung" : 0x0ef9,
    "Hangul_J_YeorinHieuh" : 0x0efa,
    "Korean_Won" : 0x0eff,
    "Armenian_ligature_ew" : 0x1000587,
    "Armenian_full_stop" : 0x1000589,
    "Armenian_verjaket" : 0x1000589,
    "Armenian_separation_mark" : 0x100055d,
    "Armenian_but" : 0x100055d,
    "Armenian_hyphen" : 0x100058a,
    "Armenian_yentamna" : 0x100058a,
    "Armenian_exclam" : 0x100055c,
    "Armenian_amanak" : 0x100055c,
    "Armenian_accent" : 0x100055b,
    "Armenian_shesht" : 0x100055b,
    "Armenian_question" : 0x100055e,
    "Armenian_paruyk" : 0x100055e,
    "Armenian_AYB" : 0x1000531,
    "Armenian_ayb" : 0x1000561,
    "Armenian_BEN" : 0x1000532,
    "Armenian_ben" : 0x1000562,
    "Armenian_GIM" : 0x1000533,
    "Armenian_gim" : 0x1000563,
    "Armenian_DA" : 0x1000534,
    "Armenian_da" : 0x1000564,
    "Armenian_YECH" : 0x1000535,
    "Armenian_yech" : 0x1000565,
    "Armenian_ZA" : 0x1000536,
    "Armenian_za" : 0x1000566,
    "Armenian_E" : 0x1000537,
    "Armenian_e" : 0x1000567,
    "Armenian_AT" : 0x1000538,
    "Armenian_at" : 0x1000568,
    "Armenian_TO" : 0x1000539,
    "Armenian_to" : 0x1000569,
    "Armenian_ZHE" : 0x100053a,
    "Armenian_zhe" : 0x100056a,
    "Armenian_INI" : 0x100053b,
    "Armenian_ini" : 0x100056b,
    "Armenian_LYUN" : 0x100053c,
    "Armenian_lyun" : 0x100056c,
    "Armenian_KHE" : 0x100053d,
    "Armenian_khe" : 0x100056d,
    "Armenian_TSA" : 0x100053e,
    "Armenian_tsa" : 0x100056e,
    "Armenian_KEN" : 0x100053f,
    "Armenian_ken" : 0x100056f,
    "Armenian_HO" : 0x1000540,
    "Armenian_ho" : 0x1000570,
    "Armenian_DZA" : 0x1000541,
    "Armenian_dza" : 0x1000571,
    "Armenian_GHAT" : 0x1000542,
    "Armenian_ghat" : 0x1000572,
    "Armenian_TCHE" : 0x1000543,
    "Armenian_tche" : 0x1000573,
    "Armenian_MEN" : 0x1000544,
    "Armenian_men" : 0x1000574,
    "Armenian_HI" : 0x1000545,
    "Armenian_hi" : 0x1000575,
    "Armenian_NU" : 0x1000546,
    "Armenian_nu" : 0x1000576,
    "Armenian_SHA" : 0x1000547,
    "Armenian_sha" : 0x1000577,
    "Armenian_VO" : 0x1000548,
    "Armenian_vo" : 0x1000578,
    "Armenian_CHA" : 0x1000549,
    "Armenian_cha" : 0x1000579,
    "Armenian_PE" : 0x100054a,
    "Armenian_pe" : 0x100057a,
    "Armenian_JE" : 0x100054b,
    "Armenian_je" : 0x100057b,
    "Armenian_RA" : 0x100054c,
    "Armenian_ra" : 0x100057c,
    "Armenian_SE" : 0x100054d,
    "Armenian_se" : 0x100057d,
    "Armenian_VEV" : 0x100054e,
    "Armenian_vev" : 0x100057e,
    "Armenian_TYUN" : 0x100054f,
    "Armenian_tyun" : 0x100057f,
    "Armenian_RE" : 0x1000550,
    "Armenian_re" : 0x1000580,
    "Armenian_TSO" : 0x1000551,
    "Armenian_tso" : 0x1000581,
    "Armenian_VYUN" : 0x1000552,
    "Armenian_vyun" : 0x1000582,
    "Armenian_PYUR" : 0x1000553,
    "Armenian_pyur" : 0x1000583,
    "Armenian_KE" : 0x1000554,
    "Armenian_ke" : 0x1000584,
    "Armenian_O" : 0x1000555,
    "Armenian_o" : 0x1000585,
    "Armenian_FE" : 0x1000556,
    "Armenian_fe" : 0x1000586,
    "Armenian_apostrophe" : 0x100055a,
    "Georgian_an" : 0x10010d0,
    "Georgian_ban" : 0x10010d1,
    "Georgian_gan" : 0x10010d2,
    "Georgian_don" : 0x10010d3,
    "Georgian_en" : 0x10010d4,
    "Georgian_vin" : 0x10010d5,
    "Georgian_zen" : 0x10010d6,
    "Georgian_tan" : 0x10010d7,
    "Georgian_in" : 0x10010d8,
    "Georgian_kan" : 0x10010d9,
    "Georgian_las" : 0x10010da,
    "Georgian_man" : 0x10010db,
    "Georgian_nar" : 0x10010dc,
    "Georgian_on" : 0x10010dd,
    "Georgian_par" : 0x10010de,
    "Georgian_zhar" : 0x10010df,
    "Georgian_rae" : 0x10010e0,
    "Georgian_san" : 0x10010e1,
    "Georgian_tar" : 0x10010e2,
    "Georgian_un" : 0x10010e3,
    "Georgian_phar" : 0x10010e4,
    "Georgian_khar" : 0x10010e5,
    "Georgian_ghan" : 0x10010e6,
    "Georgian_qar" : 0x10010e7,
    "Georgian_shin" : 0x10010e8,
    "Georgian_chin" : 0x10010e9,
    "Georgian_can" : 0x10010ea,
    "Georgian_jil" : 0x10010eb,
    "Georgian_cil" : 0x10010ec,
    "Georgian_char" : 0x10010ed,
    "Georgian_xan" : 0x10010ee,
    "Georgian_jhan" : 0x10010ef,
    "Georgian_hae" : 0x10010f0,
    "Georgian_he" : 0x10010f1,
    "Georgian_hie" : 0x10010f2,
    "Georgian_we" : 0x10010f3,
    "Georgian_har" : 0x10010f4,
    "Georgian_hoe" : 0x10010f5,
    "Georgian_fi" : 0x10010f6,
    "Xabovedot" : 0x1001e8a,
    "Ibreve" : 0x100012c,
    "Zstroke" : 0x10001b5,
    "Gcaron" : 0x10001e6,
    "Ocaron" : 0x10001d1,
    "Obarred" : 0x100019f,
    "xabovedot" : 0x1001e8b,
    "ibreve" : 0x100012d,
    "zstroke" : 0x10001b6,
    "gcaron" : 0x10001e7,
    "ocaron" : 0x10001d2,
    "obarred" : 0x1000275,
    "SCHWA" : 0x100018f,
    "schwa" : 0x1000259,
    "Lbelowdot" : 0x1001e36,
    "lbelowdot" : 0x1001e37,
    "Abelowdot" : 0x1001ea0,
    "abelowdot" : 0x1001ea1,
    "Ahook" : 0x1001ea2,
    "ahook" : 0x1001ea3,
    "Acircumflexacute" : 0x1001ea4,
    "acircumflexacute" : 0x1001ea5,
    "Acircumflexgrave" : 0x1001ea6,
    "acircumflexgrave" : 0x1001ea7,
    "Acircumflexhook" : 0x1001ea8,
    "acircumflexhook" : 0x1001ea9,
    "Acircumflextilde" : 0x1001eaa,
    "acircumflextilde" : 0x1001eab,
    "Acircumflexbelowdot" : 0x1001eac,
    "acircumflexbelowdot" : 0x1001ead,
    "Abreveacute" : 0x1001eae,
    "abreveacute" : 0x1001eaf,
    "Abrevegrave" : 0x1001eb0,
    "abrevegrave" : 0x1001eb1,
    "Abrevehook" : 0x1001eb2,
    "abrevehook" : 0x1001eb3,
    "Abrevetilde" : 0x1001eb4,
    "abrevetilde" : 0x1001eb5,
    "Abrevebelowdot" : 0x1001eb6,
    "abrevebelowdot" : 0x1001eb7,
    "Ebelowdot" : 0x1001eb8,
    "ebelowdot" : 0x1001eb9,
    "Ehook" : 0x1001eba,
    "ehook" : 0x1001ebb,
    "Etilde" : 0x1001ebc,
    "etilde" : 0x1001ebd,
    "Ecircumflexacute" : 0x1001ebe,
    "ecircumflexacute" : 0x1001ebf,
    "Ecircumflexgrave" : 0x1001ec0,
    "ecircumflexgrave" : 0x1001ec1,
    "Ecircumflexhook" : 0x1001ec2,
    "ecircumflexhook" : 0x1001ec3,
    "Ecircumflextilde" : 0x1001ec4,
    "ecircumflextilde" : 0x1001ec5,
    "Ecircumflexbelowdot" : 0x1001ec6,
    "ecircumflexbelowdot" : 0x1001ec7,
    "Ihook" : 0x1001ec8,
    "ihook" : 0x1001ec9,
    "Ibelowdot" : 0x1001eca,
    "ibelowdot" : 0x1001ecb,
    "Obelowdot" : 0x1001ecc,
    "obelowdot" : 0x1001ecd,
    "Ohook" : 0x1001ece,
    "ohook" : 0x1001ecf,
    "Ocircumflexacute" : 0x1001ed0,
    "ocircumflexacute" : 0x1001ed1,
    "Ocircumflexgrave" : 0x1001ed2,
    "ocircumflexgrave" : 0x1001ed3,
    "Ocircumflexhook" : 0x1001ed4,
    "ocircumflexhook" : 0x1001ed5,
    "Ocircumflextilde" : 0x1001ed6,
    "ocircumflextilde" : 0x1001ed7,
    "Ocircumflexbelowdot" : 0x1001ed8,
    "ocircumflexbelowdot" : 0x1001ed9,
    "Ohornacute" : 0x1001eda,
    "ohornacute" : 0x1001edb,
    "Ohorngrave" : 0x1001edc,
    "ohorngrave" : 0x1001edd,
    "Ohornhook" : 0x1001ede,
    "ohornhook" : 0x1001edf,
    "Ohorntilde" : 0x1001ee0,
    "ohorntilde" : 0x1001ee1,
    "Ohornbelowdot" : 0x1001ee2,
    "ohornbelowdot" : 0x1001ee3,
    "Ubelowdot" : 0x1001ee4,
    "ubelowdot" : 0x1001ee5,
    "Uhook" : 0x1001ee6,
    "uhook" : 0x1001ee7,
    "Uhornacute" : 0x1001ee8,
    "uhornacute" : 0x1001ee9,
    "Uhorngrave" : 0x1001eea,
    "uhorngrave" : 0x1001eeb,
    "Uhornhook" : 0x1001eec,
    "uhornhook" : 0x1001eed,
    "Uhorntilde" : 0x1001eee,
    "uhorntilde" : 0x1001eef,
    "Uhornbelowdot" : 0x1001ef0,
    "uhornbelowdot" : 0x1001ef1,
    "Ybelowdot" : 0x1001ef4,
    "ybelowdot" : 0x1001ef5,
    "Yhook" : 0x1001ef6,
    "yhook" : 0x1001ef7,
    "Ytilde" : 0x1001ef8,
    "ytilde" : 0x1001ef9,
    "Ohorn" : 0x10001a0,
    "ohorn" : 0x10001a1,
    "Uhorn" : 0x10001af,
    "uhorn" : 0x10001b0,
    "EcuSign" : 0x10020a0,
    "ColonSign" : 0x10020a1,
    "CruzeiroSign" : 0x10020a2,
    "FFrancSign" : 0x10020a3,
    "LiraSign" : 0x10020a4,
    "MillSign" : 0x10020a5,
    "NairaSign" : 0x10020a6,
    "PesetaSign" : 0x10020a7,
    "RupeeSign" : 0x10020a8,
    "WonSign" : 0x10020a9,
    "NewSheqelSign" : 0x10020aa,
    "DongSign" : 0x10020ab,
    "EuroSign" : 0x20ac,
    "zerosuperior" : 0x1002070,
    "foursuperior" : 0x1002074,
    "fivesuperior" : 0x1002075,
    "sixsuperior" : 0x1002076,
    "sevensuperior" : 0x1002077,
    "eightsuperior" : 0x1002078,
    "ninesuperior" : 0x1002079,
    "zerosubscript" : 0x1002080,
    "onesubscript" : 0x1002081,
    "twosubscript" : 0x1002082,
    "threesubscript" : 0x1002083,
    "foursubscript" : 0x1002084,
    "fivesubscript" : 0x1002085,
    "sixsubscript" : 0x1002086,
    "sevensubscript" : 0x1002087,
    "eightsubscript" : 0x1002088,
    "ninesubscript" : 0x1002089,
    "partdifferential" : 0x1002202,
    "emptyset" : 0x1002205,
    "elementof" : 0x1002208,
    "notelementof" : 0x1002209,
    "containsas" : 0x100220B,
    "squareroot" : 0x100221A,
    "cuberoot" : 0x100221B,
    "fourthroot" : 0x100221C,
    "dintegral" : 0x100222C,
    "tintegral" : 0x100222D,
    "because" : 0x1002235,
    "approxeq" : 0x1002248,
    "notapproxeq" : 0x1002247,
    "notidentical" : 0x1002262,
    "stricteq" : 0x1002263,
    "braille_dot_1" : 0xfff1,
    "braille_dot_2" : 0xfff2,
    "braille_dot_3" : 0xfff3,
    "braille_dot_4" : 0xfff4,
    "braille_dot_5" : 0xfff5,
    "braille_dot_6" : 0xfff6,
    "braille_dot_7" : 0xfff7,
    "braille_dot_8" : 0xfff8,
    "braille_dot_9" : 0xfff9,
    "braille_dot_10" : 0xfffa,
    "braille_blank" : 0x1002800,
    "braille_dots_1" : 0x1002801,
    "braille_dots_2" : 0x1002802,
    "braille_dots_12" : 0x1002803,
    "braille_dots_3" : 0x1002804,
    "braille_dots_13" : 0x1002805,
    "braille_dots_23" : 0x1002806,
    "braille_dots_123" : 0x1002807,
    "braille_dots_4" : 0x1002808,
    "braille_dots_14" : 0x1002809,
    "braille_dots_24" : 0x100280a,
    "braille_dots_124" : 0x100280b,
    "braille_dots_34" : 0x100280c,
    "braille_dots_134" : 0x100280d,
    "braille_dots_234" : 0x100280e,
    "braille_dots_1234" : 0x100280f,
    "braille_dots_5" : 0x1002810,
    "braille_dots_15" : 0x1002811,
    "braille_dots_25" : 0x1002812,
    "braille_dots_125" : 0x1002813,
    "braille_dots_35" : 0x1002814,
    "braille_dots_135" : 0x1002815,
    "braille_dots_235" : 0x1002816,
    "braille_dots_1235" : 0x1002817,
    "braille_dots_45" : 0x1002818,
    "braille_dots_145" : 0x1002819,
    "braille_dots_245" : 0x100281a,
    "braille_dots_1245" : 0x100281b,
    "braille_dots_345" : 0x100281c,
    "braille_dots_1345" : 0x100281d,
    "braille_dots_2345" : 0x100281e,
    "braille_dots_12345" : 0x100281f,
    "braille_dots_6" : 0x1002820,
    "braille_dots_16" : 0x1002821,
    "braille_dots_26" : 0x1002822,
    "braille_dots_126" : 0x1002823,
    "braille_dots_36" : 0x1002824,
    "braille_dots_136" : 0x1002825,
    "braille_dots_236" : 0x1002826,
    "braille_dots_1236" : 0x1002827,
    "braille_dots_46" : 0x1002828,
    "braille_dots_146" : 0x1002829,
    "braille_dots_246" : 0x100282a,
    "braille_dots_1246" : 0x100282b,
    "braille_dots_346" : 0x100282c,
    "braille_dots_1346" : 0x100282d,
    "braille_dots_2346" : 0x100282e,
    "braille_dots_12346" : 0x100282f,
    "braille_dots_56" : 0x1002830,
    "braille_dots_156" : 0x1002831,
    "braille_dots_256" : 0x1002832,
    "braille_dots_1256" : 0x1002833,
    "braille_dots_356" : 0x1002834,
    "braille_dots_1356" : 0x1002835,
    "braille_dots_2356" : 0x1002836,
    "braille_dots_12356" : 0x1002837,
    "braille_dots_456" : 0x1002838,
    "braille_dots_1456" : 0x1002839,
    "braille_dots_2456" : 0x100283a,
    "braille_dots_12456" : 0x100283b,
    "braille_dots_3456" : 0x100283c,
    "braille_dots_13456" : 0x100283d,
    "braille_dots_23456" : 0x100283e,
    "braille_dots_123456" : 0x100283f,
    "braille_dots_7" : 0x1002840,
    "braille_dots_17" : 0x1002841,
    "braille_dots_27" : 0x1002842,
    "braille_dots_127" : 0x1002843,
    "braille_dots_37" : 0x1002844,
    "braille_dots_137" : 0x1002845,
    "braille_dots_237" : 0x1002846,
    "braille_dots_1237" : 0x1002847,
    "braille_dots_47" : 0x1002848,
    "braille_dots_147" : 0x1002849,
    "braille_dots_247" : 0x100284a,
    "braille_dots_1247" : 0x100284b,
    "braille_dots_347" : 0x100284c,
    "braille_dots_1347" : 0x100284d,
    "braille_dots_2347" : 0x100284e,
    "braille_dots_12347" : 0x100284f,
    "braille_dots_57" : 0x1002850,
    "braille_dots_157" : 0x1002851,
    "braille_dots_257" : 0x1002852,
    "braille_dots_1257" : 0x1002853,
    "braille_dots_357" : 0x1002854,
    "braille_dots_1357" : 0x1002855,
    "braille_dots_2357" : 0x1002856,
    "braille_dots_12357" : 0x1002857,
    "braille_dots_457" : 0x1002858,
    "braille_dots_1457" : 0x1002859,
    "braille_dots_2457" : 0x100285a,
    "braille_dots_12457" : 0x100285b,
    "braille_dots_3457" : 0x100285c,
    "braille_dots_13457" : 0x100285d,
    "braille_dots_23457" : 0x100285e,
    "braille_dots_123457" : 0x100285f,
    "braille_dots_67" : 0x1002860,
    "braille_dots_167" : 0x1002861,
    "braille_dots_267" : 0x1002862,
    "braille_dots_1267" : 0x1002863,
    "braille_dots_367" : 0x1002864,
    "braille_dots_1367" : 0x1002865,
    "braille_dots_2367" : 0x1002866,
    "braille_dots_12367" : 0x1002867,
    "braille_dots_467" : 0x1002868,
    "braille_dots_1467" : 0x1002869,
    "braille_dots_2467" : 0x100286a,
    "braille_dots_12467" : 0x100286b,
    "braille_dots_3467" : 0x100286c,
    "braille_dots_13467" : 0x100286d,
    "braille_dots_23467" : 0x100286e,
    "braille_dots_123467" : 0x100286f,
    "braille_dots_567" : 0x1002870,
    "braille_dots_1567" : 0x1002871,
    "braille_dots_2567" : 0x1002872,
    "braille_dots_12567" : 0x1002873,
    "braille_dots_3567" : 0x1002874,
    "braille_dots_13567" : 0x1002875,
    "braille_dots_23567" : 0x1002876,
    "braille_dots_123567" : 0x1002877,
    "braille_dots_4567" : 0x1002878,
    "braille_dots_14567" : 0x1002879,
    "braille_dots_24567" : 0x100287a,
    "braille_dots_124567" : 0x100287b,
    "braille_dots_34567" : 0x100287c,
    "braille_dots_134567" : 0x100287d,
    "braille_dots_234567" : 0x100287e,
    "braille_dots_1234567" : 0x100287f,
    "braille_dots_8" : 0x1002880,
    "braille_dots_18" : 0x1002881,
    "braille_dots_28" : 0x1002882,
    "braille_dots_128" : 0x1002883,
    "braille_dots_38" : 0x1002884,
    "braille_dots_138" : 0x1002885,
    "braille_dots_238" : 0x1002886,
    "braille_dots_1238" : 0x1002887,
    "braille_dots_48" : 0x1002888,
    "braille_dots_148" : 0x1002889,
    "braille_dots_248" : 0x100288a,
    "braille_dots_1248" : 0x100288b,
    "braille_dots_348" : 0x100288c,
    "braille_dots_1348" : 0x100288d,
    "braille_dots_2348" : 0x100288e,
    "braille_dots_12348" : 0x100288f,
    "braille_dots_58" : 0x1002890,
    "braille_dots_158" : 0x1002891,
    "braille_dots_258" : 0x1002892,
    "braille_dots_1258" : 0x1002893,
    "braille_dots_358" : 0x1002894,
    "braille_dots_1358" : 0x1002895,
    "braille_dots_2358" : 0x1002896,
    "braille_dots_12358" : 0x1002897,
    "braille_dots_458" : 0x1002898,
    "braille_dots_1458" : 0x1002899,
    "braille_dots_2458" : 0x100289a,
    "braille_dots_12458" : 0x100289b,
    "braille_dots_3458" : 0x100289c,
    "braille_dots_13458" : 0x100289d,
    "braille_dots_23458" : 0x100289e,
    "braille_dots_123458" : 0x100289f,
    "braille_dots_68" : 0x10028a0,
    "braille_dots_168" : 0x10028a1,
    "braille_dots_268" : 0x10028a2,
    "braille_dots_1268" : 0x10028a3,
    "braille_dots_368" : 0x10028a4,
    "braille_dots_1368" : 0x10028a5,
    "braille_dots_2368" : 0x10028a6,
    "braille_dots_12368" : 0x10028a7,
    "braille_dots_468" : 0x10028a8,
    "braille_dots_1468" : 0x10028a9,
    "braille_dots_2468" : 0x10028aa,
    "braille_dots_12468" : 0x10028ab,
    "braille_dots_3468" : 0x10028ac,
    "braille_dots_13468" : 0x10028ad,
    "braille_dots_23468" : 0x10028ae,
    "braille_dots_123468" : 0x10028af,
    "braille_dots_568" : 0x10028b0,
    "braille_dots_1568" : 0x10028b1,
    "braille_dots_2568" : 0x10028b2,
    "braille_dots_12568" : 0x10028b3,
    "braille_dots_3568" : 0x10028b4,
    "braille_dots_13568" : 0x10028b5,
    "braille_dots_23568" : 0x10028b6,
    "braille_dots_123568" : 0x10028b7,
    "braille_dots_4568" : 0x10028b8,
    "braille_dots_14568" : 0x10028b9,
    "braille_dots_24568" : 0x10028ba,
    "braille_dots_124568" : 0x10028bb,
    "braille_dots_34568" : 0x10028bc,
    "braille_dots_134568" : 0x10028bd,
    "braille_dots_234568" : 0x10028be,
    "braille_dots_1234568" : 0x10028bf,
    "braille_dots_78" : 0x10028c0,
    "braille_dots_178" : 0x10028c1,
    "braille_dots_278" : 0x10028c2,
    "braille_dots_1278" : 0x10028c3,
    "braille_dots_378" : 0x10028c4,
    "braille_dots_1378" : 0x10028c5,
    "braille_dots_2378" : 0x10028c6,
    "braille_dots_12378" : 0x10028c7,
    "braille_dots_478" : 0x10028c8,
    "braille_dots_1478" : 0x10028c9,
    "braille_dots_2478" : 0x10028ca,
    "braille_dots_12478" : 0x10028cb,
    "braille_dots_3478" : 0x10028cc,
    "braille_dots_13478" : 0x10028cd,
    "braille_dots_23478" : 0x10028ce,
    "braille_dots_123478" : 0x10028cf,
    "braille_dots_578" : 0x10028d0,
    "braille_dots_1578" : 0x10028d1,
    "braille_dots_2578" : 0x10028d2,
    "braille_dots_12578" : 0x10028d3,
    "braille_dots_3578" : 0x10028d4,
    "braille_dots_13578" : 0x10028d5,
    "braille_dots_23578" : 0x10028d6,
    "braille_dots_123578" : 0x10028d7,
    "braille_dots_4578" : 0x10028d8,
    "braille_dots_14578" : 0x10028d9,
    "braille_dots_24578" : 0x10028da,
    "braille_dots_124578" : 0x10028db,
    "braille_dots_34578" : 0x10028dc,
    "braille_dots_134578" : 0x10028dd,
    "braille_dots_234578" : 0x10028de,
    "braille_dots_1234578" : 0x10028df,
    "braille_dots_678" : 0x10028e0,
    "braille_dots_1678" : 0x10028e1,
    "braille_dots_2678" : 0x10028e2,
    "braille_dots_12678" : 0x10028e3,
    "braille_dots_3678" : 0x10028e4,
    "braille_dots_13678" : 0x10028e5,
    "braille_dots_23678" : 0x10028e6,
    "braille_dots_123678" : 0x10028e7,
    "braille_dots_4678" : 0x10028e8,
    "braille_dots_14678" : 0x10028e9,
    "braille_dots_24678" : 0x10028ea,
    "braille_dots_124678" : 0x10028eb,
    "braille_dots_34678" : 0x10028ec,
    "braille_dots_134678" : 0x10028ed,
    "braille_dots_234678" : 0x10028ee,
    "braille_dots_1234678" : 0x10028ef,
    "braille_dots_5678" : 0x10028f0,
    "braille_dots_15678" : 0x10028f1,
    "braille_dots_25678" : 0x10028f2,
    "braille_dots_125678" : 0x10028f3,
    "braille_dots_35678" : 0x10028f4,
    "braille_dots_135678" : 0x10028f5,
    "braille_dots_235678" : 0x10028f6,
    "braille_dots_1235678" : 0x10028f7,
    "braille_dots_45678" : 0x10028f8,
    "braille_dots_145678" : 0x10028f9,
    "braille_dots_245678" : 0x10028fa,
    "braille_dots_1245678" : 0x10028fb,
    "braille_dots_345678" : 0x10028fc,
    "braille_dots_1345678" : 0x10028fd,
    "braille_dots_2345678" : 0x10028fe,
    "braille_dots_12345678" : 0x10028ff
}

__keycode_to_name = {
    0xffffff : "VoidSymbol",
    0xff08 : "BackSpace",
    0xff09 : "Tab",
    0xff0a : "Linefeed",
    0xff0b : "Clear",
    0xff0d : "Return",
    0xff13 : "Pause",
    0xff14 : "Scroll_Lock",
    0xff15 : "Sys_Req",
    0xff1b : "Escape",
    0xffff : "Delete",
    0xff20 : "Multi_key",
    0xff37 : "Codeinput",
    0xff3c : "SingleCandidate",
    0xff3d : "MultipleCandidate",
    0xff3e : "PreviousCandidate",
    0xff21 : "Kanji",
    0xff22 : "Muhenkan",
    0xff23 : "Henkan_Mode",
    0xff23 : "Henkan",
    0xff24 : "Romaji",
    0xff25 : "Hiragana",
    0xff26 : "Katakana",
    0xff27 : "Hiragana_Katakana",
    0xff28 : "Zenkaku",
    0xff29 : "Hankaku",
    0xff2a : "Zenkaku_Hankaku",
    0xff2b : "Touroku",
    0xff2c : "Massyo",
    0xff2d : "Kana_Lock",
    0xff2e : "Kana_Shift",
    0xff2f : "Eisu_Shift",
    0xff30 : "Eisu_toggle",
    0xff37 : "Kanji_Bangou",
    0xff3d : "Zen_Koho",
    0xff3e : "Mae_Koho",
    0xff50 : "Home",
    0xff51 : "Left",
    0xff52 : "Up",
    0xff53 : "Right",
    0xff54 : "Down",
    0xff55 : "Prior",
    0xff55 : "Page_Up",
    0xff56 : "Next",
    0xff56 : "Page_Down",
    0xff57 : "End",
    0xff58 : "Begin",
    0xff60 : "Select",
    0xff61 : "Print",
    0xff62 : "Execute",
    0xff63 : "Insert",
    0xff65 : "Undo",
    0xff66 : "Redo",
    0xff67 : "Menu",
    0xff68 : "Find",
    0xff69 : "Cancel",
    0xff6a : "Help",
    0xff6b : "Break",
    0xff7e : "Mode_switch",
    0xff7e : "script_switch",
    0xff7f : "Num_Lock",
    0xff80 : "KP_Space",
    0xff89 : "KP_Tab",
    0xff8d : "KP_Enter",
    0xff91 : "KP_F1",
    0xff92 : "KP_F2",
    0xff93 : "KP_F3",
    0xff94 : "KP_F4",
    0xff95 : "KP_Home",
    0xff96 : "KP_Left",
    0xff97 : "KP_Up",
    0xff98 : "KP_Right",
    0xff99 : "KP_Down",
    0xff9a : "KP_Prior",
    0xff9a : "KP_Page_Up",
    0xff9b : "KP_Next",
    0xff9b : "KP_Page_Down",
    0xff9c : "KP_End",
    0xff9d : "KP_Begin",
    0xff9e : "KP_Insert",
    0xff9f : "KP_Delete",
    0xffbd : "KP_Equal",
    0xffaa : "KP_Multiply",
    0xffab : "KP_Add",
    0xffac : "KP_Separator",
    0xffad : "KP_Subtract",
    0xffae : "KP_Decimal",
    0xffaf : "KP_Divide",
    0xffb0 : "KP_0",
    0xffb1 : "KP_1",
    0xffb2 : "KP_2",
    0xffb3 : "KP_3",
    0xffb4 : "KP_4",
    0xffb5 : "KP_5",
    0xffb6 : "KP_6",
    0xffb7 : "KP_7",
    0xffb8 : "KP_8",
    0xffb9 : "KP_9",
    0xffbe : "F1",
    0xffbf : "F2",
    0xffc0 : "F3",
    0xffc1 : "F4",
    0xffc2 : "F5",
    0xffc3 : "F6",
    0xffc4 : "F7",
    0xffc5 : "F8",
    0xffc6 : "F9",
    0xffc7 : "F10",
    0xffc8 : "F11",
    0xffc8 : "L1",
    0xffc9 : "F12",
    0xffc9 : "L2",
    0xffca : "F13",
    0xffca : "L3",
    0xffcb : "F14",
    0xffcb : "L4",
    0xffcc : "F15",
    0xffcc : "L5",
    0xffcd : "F16",
    0xffcd : "L6",
    0xffce : "F17",
    0xffce : "L7",
    0xffcf : "F18",
    0xffcf : "L8",
    0xffd0 : "F19",
    0xffd0 : "L9",
    0xffd1 : "F20",
    0xffd1 : "L10",
    0xffd2 : "F21",
    0xffd2 : "R1",
    0xffd3 : "F22",
    0xffd3 : "R2",
    0xffd4 : "F23",
    0xffd4 : "R3",
    0xffd5 : "F24",
    0xffd5 : "R4",
    0xffd6 : "F25",
    0xffd6 : "R5",
    0xffd7 : "F26",
    0xffd7 : "R6",
    0xffd8 : "F27",
    0xffd8 : "R7",
    0xffd9 : "F28",
    0xffd9 : "R8",
    0xffda : "F29",
    0xffda : "R9",
    0xffdb : "F30",
    0xffdb : "R10",
    0xffdc : "F31",
    0xffdc : "R11",
    0xffdd : "F32",
    0xffdd : "R12",
    0xffde : "F33",
    0xffde : "R13",
    0xffdf : "F34",
    0xffdf : "R14",
    0xffe0 : "F35",
    0xffe0 : "R15",
    0xffe1 : "Shift_L",
    0xffe2 : "Shift_R",
    0xffe3 : "Control_L",
    0xffe4 : "Control_R",
    0xffe5 : "Caps_Lock",
    0xffe6 : "Shift_Lock",
    0xffe7 : "Meta_L",
    0xffe8 : "Meta_R",
    0xffe9 : "Alt_L",
    0xffea : "Alt_R",
    0xffeb : "Super_L",
    0xffec : "Super_R",
    0xffed : "Hyper_L",
    0xffee : "Hyper_R",
    0xfe01 : "ISO_Lock",
    0xfe02 : "ISO_Level2_Latch",
    0xfe03 : "ISO_Level3_Shift",
    0xfe04 : "ISO_Level3_Latch",
    0xfe05 : "ISO_Level3_Lock",
    0xfe11 : "ISO_Level5_Shift",
    0xfe12 : "ISO_Level5_Latch",
    0xfe13 : "ISO_Level5_Lock",
    0xff7e : "ISO_Group_Shift",
    0xfe06 : "ISO_Group_Latch",
    0xfe07 : "ISO_Group_Lock",
    0xfe08 : "ISO_Next_Group",
    0xfe09 : "ISO_Next_Group_Lock",
    0xfe0a : "ISO_Prev_Group",
    0xfe0b : "ISO_Prev_Group_Lock",
    0xfe0c : "ISO_First_Group",
    0xfe0d : "ISO_First_Group_Lock",
    0xfe0e : "ISO_Last_Group",
    0xfe0f : "ISO_Last_Group_Lock",
    0xfe20 : "ISO_Left_Tab",
    0xfe21 : "ISO_Move_Line_Up",
    0xfe22 : "ISO_Move_Line_Down",
    0xfe23 : "ISO_Partial_Line_Up",
    0xfe24 : "ISO_Partial_Line_Down",
    0xfe25 : "ISO_Partial_Space_Left",
    0xfe26 : "ISO_Partial_Space_Right",
    0xfe27 : "ISO_Set_Margin_Left",
    0xfe28 : "ISO_Set_Margin_Right",
    0xfe29 : "ISO_Release_Margin_Left",
    0xfe2a : "ISO_Release_Margin_Right",
    0xfe2b : "ISO_Release_Both_Margins",
    0xfe2c : "ISO_Fast_Cursor_Left",
    0xfe2d : "ISO_Fast_Cursor_Right",
    0xfe2e : "ISO_Fast_Cursor_Up",
    0xfe2f : "ISO_Fast_Cursor_Down",
    0xfe30 : "ISO_Continuous_Underline",
    0xfe31 : "ISO_Discontinuous_Underline",
    0xfe32 : "ISO_Emphasize",
    0xfe33 : "ISO_Center_Object",
    0xfe34 : "ISO_Enter",
    0xfe50 : "dead_grave",
    0xfe51 : "dead_acute",
    0xfe52 : "dead_circumflex",
    0xfe53 : "dead_tilde",
    0xfe54 : "dead_macron",
    0xfe55 : "dead_breve",
    0xfe56 : "dead_abovedot",
    0xfe57 : "dead_diaeresis",
    0xfe58 : "dead_abovering",
    0xfe59 : "dead_doubleacute",
    0xfe5a : "dead_caron",
    0xfe5b : "dead_cedilla",
    0xfe5c : "dead_ogonek",
    0xfe5d : "dead_iota",
    0xfe5e : "dead_voiced_sound",
    0xfe5f : "dead_semivoiced_sound",
    0xfe60 : "dead_belowdot",
    0xfe61 : "dead_hook",
    0xfe62 : "dead_horn",
    0xfe63 : "dead_stroke",
    0xfe64 : "dead_abovecomma",
    0xfe64 : "dead_psili",
    0xfe65 : "dead_abovereversedcomma",
    0xfe66 : "dead_dasia",
    0xfed0 : "First_Virtual_Screen",
    0xfed1 : "Prev_Virtual_Screen",
    0xfed2 : "Next_Virtual_Screen",
    0xfed4 : "Last_Virtual_Screen",
    0xfed5 : "Terminate_Server",
    0xfe70 : "AccessX_Enable",
    0xfe71 : "AccessX_Feedback_Enable",
    0xfe72 : "RepeatKeys_Enable",
    0xfe73 : "SlowKeys_Enable",
    0xfe74 : "BounceKeys_Enable",
    0xfe75 : "StickyKeys_Enable",
    0xfe76 : "MouseKeys_Enable",
    0xfe77 : "MouseKeys_Accel_Enable",
    0xfe78 : "Overlay1_Enable",
    0xfe79 : "Overlay2_Enable",
    0xfe7a : "AudibleBell_Enable",
    0xfee0 : "Pointer_Left",
    0xfee1 : "Pointer_Right",
    0xfee2 : "Pointer_Up",
    0xfee3 : "Pointer_Down",
    0xfee4 : "Pointer_UpLeft",
    0xfee5 : "Pointer_UpRight",
    0xfee6 : "Pointer_DownLeft",
    0xfee7 : "Pointer_DownRight",
    0xfee8 : "Pointer_Button_Dflt",
    0xfee9 : "Pointer_Button1",
    0xfeea : "Pointer_Button2",
    0xfeeb : "Pointer_Button3",
    0xfeec : "Pointer_Button4",
    0xfeed : "Pointer_Button5",
    0xfeee : "Pointer_DblClick_Dflt",
    0xfeef : "Pointer_DblClick1",
    0xfef0 : "Pointer_DblClick2",
    0xfef1 : "Pointer_DblClick3",
    0xfef2 : "Pointer_DblClick4",
    0xfef3 : "Pointer_DblClick5",
    0xfef4 : "Pointer_Drag_Dflt",
    0xfef5 : "Pointer_Drag1",
    0xfef6 : "Pointer_Drag2",
    0xfef7 : "Pointer_Drag3",
    0xfef8 : "Pointer_Drag4",
    0xfefd : "Pointer_Drag5",
    0xfef9 : "Pointer_EnableKeys",
    0xfefa : "Pointer_Accelerate",
    0xfefb : "Pointer_DfltBtnNext",
    0xfefc : "Pointer_DfltBtnPrev",
    0xfd01 : "3270_Duplicate",
    0xfd02 : "3270_FieldMark",
    0xfd03 : "3270_Right2",
    0xfd04 : "3270_Left2",
    0xfd05 : "3270_BackTab",
    0xfd06 : "3270_EraseEOF",
    0xfd07 : "3270_EraseInput",
    0xfd08 : "3270_Reset",
    0xfd09 : "3270_Quit",
    0xfd0a : "3270_PA1",
    0xfd0b : "3270_PA2",
    0xfd0c : "3270_PA3",
    0xfd0d : "3270_Test",
    0xfd0e : "3270_Attn",
    0xfd0f : "3270_CursorBlink",
    0xfd10 : "3270_AltCursor",
    0xfd11 : "3270_KeyClick",
    0xfd12 : "3270_Jump",
    0xfd13 : "3270_Ident",
    0xfd14 : "3270_Rule",
    0xfd15 : "3270_Copy",
    0xfd16 : "3270_Play",
    0xfd17 : "3270_Setup",
    0xfd18 : "3270_Record",
    0xfd19 : "3270_ChangeScreen",
    0xfd1a : "3270_DeleteWord",
    0xfd1b : "3270_ExSelect",
    0xfd1c : "3270_CursorSelect",
    0xfd1d : "3270_PrintScreen",
    0xfd1e : "3270_Enter",
    0x0020 : "space",
    0x0021 : "exclam",
    0x0022 : "quotedbl",
    0x0023 : "numbersign",
    0x0024 : "dollar",
    0x0025 : "percent",
    0x0026 : "ampersand",
    0x0027 : "apostrophe",
    0x0027 : "quoteright",
    0x0028 : "parenleft",
    0x0029 : "parenright",
    0x002a : "asterisk",
    0x002b : "plus",
    0x002c : "comma",
    0x002d : "minus",
    0x002e : "period",
    0x002f : "slash",
    0x0030 : "0",
    0x0031 : "1",
    0x0032 : "2",
    0x0033 : "3",
    0x0034 : "4",
    0x0035 : "5",
    0x0036 : "6",
    0x0037 : "7",
    0x0038 : "8",
    0x0039 : "9",
    0x003a : "colon",
    0x003b : "semicolon",
    0x003c : "less",
    0x003d : "equal",
    0x003e : "greater",
    0x003f : "question",
    0x0040 : "at",
    0x0041 : "A",
    0x0042 : "B",
    0x0043 : "C",
    0x0044 : "D",
    0x0045 : "E",
    0x0046 : "F",
    0x0047 : "G",
    0x0048 : "H",
    0x0049 : "I",
    0x004a : "J",
    0x004b : "K",
    0x004c : "L",
    0x004d : "M",
    0x004e : "N",
    0x004f : "O",
    0x0050 : "P",
    0x0051 : "Q",
    0x0052 : "R",
    0x0053 : "S",
    0x0054 : "T",
    0x0055 : "U",
    0x0056 : "V",
    0x0057 : "W",
    0x0058 : "X",
    0x0059 : "Y",
    0x005a : "Z",
    0x005b : "bracketleft",
    0x005c : "backslash",
    0x005d : "bracketright",
    0x005e : "asciicircum",
    0x005f : "underscore",
    0x0060 : "grave",
    0x0060 : "quoteleft",
    0x0061 : "a",
    0x0062 : "b",
    0x0063 : "c",
    0x0064 : "d",
    0x0065 : "e",
    0x0066 : "f",
    0x0067 : "g",
    0x0068 : "h",
    0x0069 : "i",
    0x006a : "j",
    0x006b : "k",
    0x006c : "l",
    0x006d : "m",
    0x006e : "n",
    0x006f : "o",
    0x0070 : "p",
    0x0071 : "q",
    0x0072 : "r",
    0x0073 : "s",
    0x0074 : "t",
    0x0075 : "u",
    0x0076 : "v",
    0x0077 : "w",
    0x0078 : "x",
    0x0079 : "y",
    0x007a : "z",
    0x007b : "braceleft",
    0x007c : "bar",
    0x007d : "braceright",
    0x007e : "asciitilde",
    0x00a0 : "nobreakspace",
    0x00a1 : "exclamdown",
    0x00a2 : "cent",
    0x00a3 : "sterling",
    0x00a4 : "currency",
    0x00a5 : "yen",
    0x00a6 : "brokenbar",
    0x00a7 : "section",
    0x00a8 : "diaeresis",
    0x00a9 : "copyright",
    0x00aa : "ordfeminine",
    0x00ab : "guillemotleft",
    0x00ac : "notsign",
    0x00ad : "hyphen",
    0x00ae : "registered",
    0x00af : "macron",
    0x00b0 : "degree",
    0x00b1 : "plusminus",
    0x00b2 : "twosuperior",
    0x00b3 : "threesuperior",
    0x00b4 : "acute",
    0x00b5 : "mu",
    0x00b6 : "paragraph",
    0x00b7 : "periodcentered",
    0x00b8 : "cedilla",
    0x00b9 : "onesuperior",
    0x00ba : "masculine",
    0x00bb : "guillemotright",
    0x00bc : "onequarter",
    0x00bd : "onehalf",
    0x00be : "threequarters",
    0x00bf : "questiondown",
    0x00c0 : "Agrave",
    0x00c1 : "Aacute",
    0x00c2 : "Acircumflex",
    0x00c3 : "Atilde",
    0x00c4 : "Adiaeresis",
    0x00c5 : "Aring",
    0x00c6 : "AE",
    0x00c7 : "Ccedilla",
    0x00c8 : "Egrave",
    0x00c9 : "Eacute",
    0x00ca : "Ecircumflex",
    0x00cb : "Ediaeresis",
    0x00cc : "Igrave",
    0x00cd : "Iacute",
    0x00ce : "Icircumflex",
    0x00cf : "Idiaeresis",
    0x00d0 : "ETH",
    0x00d0 : "Eth",
    0x00d1 : "Ntilde",
    0x00d2 : "Ograve",
    0x00d3 : "Oacute",
    0x00d4 : "Ocircumflex",
    0x00d5 : "Otilde",
    0x00d6 : "Odiaeresis",
    0x00d7 : "multiply",
    0x00d8 : "Oslash",
    0x00d8 : "Ooblique",
    0x00d9 : "Ugrave",
    0x00da : "Uacute",
    0x00db : "Ucircumflex",
    0x00dc : "Udiaeresis",
    0x00dd : "Yacute",
    0x00de : "THORN",
    0x00de : "Thorn",
    0x00df : "ssharp",
    0x00e0 : "agrave",
    0x00e1 : "aacute",
    0x00e2 : "acircumflex",
    0x00e3 : "atilde",
    0x00e4 : "adiaeresis",
    0x00e5 : "aring",
    0x00e6 : "ae",
    0x00e7 : "ccedilla",
    0x00e8 : "egrave",
    0x00e9 : "eacute",
    0x00ea : "ecircumflex",
    0x00eb : "ediaeresis",
    0x00ec : "igrave",
    0x00ed : "iacute",
    0x00ee : "icircumflex",
    0x00ef : "idiaeresis",
    0x00f0 : "eth",
    0x00f1 : "ntilde",
    0x00f2 : "ograve",
    0x00f3 : "oacute",
    0x00f4 : "ocircumflex",
    0x00f5 : "otilde",
    0x00f6 : "odiaeresis",
    0x00f7 : "division",
    0x00f8 : "oslash",
    0x00f8 : "ooblique",
    0x00f9 : "ugrave",
    0x00fa : "uacute",
    0x00fb : "ucircumflex",
    0x00fc : "udiaeresis",
    0x00fd : "yacute",
    0x00fe : "thorn",
    0x00ff : "ydiaeresis",
    0x01a1 : "Aogonek",
    0x01a2 : "breve",
    0x01a3 : "Lstroke",
    0x01a5 : "Lcaron",
    0x01a6 : "Sacute",
    0x01a9 : "Scaron",
    0x01aa : "Scedilla",
    0x01ab : "Tcaron",
    0x01ac : "Zacute",
    0x01ae : "Zcaron",
    0x01af : "Zabovedot",
    0x01b1 : "aogonek",
    0x01b2 : "ogonek",
    0x01b3 : "lstroke",
    0x01b5 : "lcaron",
    0x01b6 : "sacute",
    0x01b7 : "caron",
    0x01b9 : "scaron",
    0x01ba : "scedilla",
    0x01bb : "tcaron",
    0x01bc : "zacute",
    0x01bd : "doubleacute",
    0x01be : "zcaron",
    0x01bf : "zabovedot",
    0x01c0 : "Racute",
    0x01c3 : "Abreve",
    0x01c5 : "Lacute",
    0x01c6 : "Cacute",
    0x01c8 : "Ccaron",
    0x01ca : "Eogonek",
    0x01cc : "Ecaron",
    0x01cf : "Dcaron",
    0x01d0 : "Dstroke",
    0x01d1 : "Nacute",
    0x01d2 : "Ncaron",
    0x01d5 : "Odoubleacute",
    0x01d8 : "Rcaron",
    0x01d9 : "Uring",
    0x01db : "Udoubleacute",
    0x01de : "Tcedilla",
    0x01e0 : "racute",
    0x01e3 : "abreve",
    0x01e5 : "lacute",
    0x01e6 : "cacute",
    0x01e8 : "ccaron",
    0x01ea : "eogonek",
    0x01ec : "ecaron",
    0x01ef : "dcaron",
    0x01f0 : "dstroke",
    0x01f1 : "nacute",
    0x01f2 : "ncaron",
    0x01f5 : "odoubleacute",
    0x01fb : "udoubleacute",
    0x01f8 : "rcaron",
    0x01f9 : "uring",
    0x01fe : "tcedilla",
    0x01ff : "abovedot",
    0x02a1 : "Hstroke",
    0x02a6 : "Hcircumflex",
    0x02a9 : "Iabovedot",
    0x02ab : "Gbreve",
    0x02ac : "Jcircumflex",
    0x02b1 : "hstroke",
    0x02b6 : "hcircumflex",
    0x02b9 : "idotless",
    0x02bb : "gbreve",
    0x02bc : "jcircumflex",
    0x02c5 : "Cabovedot",
    0x02c6 : "Ccircumflex",
    0x02d5 : "Gabovedot",
    0x02d8 : "Gcircumflex",
    0x02dd : "Ubreve",
    0x02de : "Scircumflex",
    0x02e5 : "cabovedot",
    0x02e6 : "ccircumflex",
    0x02f5 : "gabovedot",
    0x02f8 : "gcircumflex",
    0x02fd : "ubreve",
    0x02fe : "scircumflex",
    0x03a2 : "kra",
    0x03a2 : "kappa",
    0x03a3 : "Rcedilla",
    0x03a5 : "Itilde",
    0x03a6 : "Lcedilla",
    0x03aa : "Emacron",
    0x03ab : "Gcedilla",
    0x03ac : "Tslash",
    0x03b3 : "rcedilla",
    0x03b5 : "itilde",
    0x03b6 : "lcedilla",
    0x03ba : "emacron",
    0x03bb : "gcedilla",
    0x03bc : "tslash",
    0x03bd : "ENG",
    0x03bf : "eng",
    0x03c0 : "Amacron",
    0x03c7 : "Iogonek",
    0x03cc : "Eabovedot",
    0x03cf : "Imacron",
    0x03d1 : "Ncedilla",
    0x03d2 : "Omacron",
    0x03d3 : "Kcedilla",
    0x03d9 : "Uogonek",
    0x03dd : "Utilde",
    0x03de : "Umacron",
    0x03e0 : "amacron",
    0x03e7 : "iogonek",
    0x03ec : "eabovedot",
    0x03ef : "imacron",
    0x03f1 : "ncedilla",
    0x03f2 : "omacron",
    0x03f3 : "kcedilla",
    0x03f9 : "uogonek",
    0x03fd : "utilde",
    0x03fe : "umacron",
    0x1001e02 : "Babovedot",
    0x1001e03 : "babovedot",
    0x1001e0a : "Dabovedot",
    0x1001e80 : "Wgrave",
    0x1001e82 : "Wacute",
    0x1001e0b : "dabovedot",
    0x1001ef2 : "Ygrave",
    0x1001e1e : "Fabovedot",
    0x1001e1f : "fabovedot",
    0x1001e40 : "Mabovedot",
    0x1001e41 : "mabovedot",
    0x1001e56 : "Pabovedot",
    0x1001e81 : "wgrave",
    0x1001e57 : "pabovedot",
    0x1001e83 : "wacute",
    0x1001e60 : "Sabovedot",
    0x1001ef3 : "ygrave",
    0x1001e84 : "Wdiaeresis",
    0x1001e85 : "wdiaeresis",
    0x1001e61 : "sabovedot",
    0x1000174 : "Wcircumflex",
    0x1001e6a : "Tabovedot",
    0x1000176 : "Ycircumflex",
    0x1000175 : "wcircumflex",
    0x1001e6b : "tabovedot",
    0x1000177 : "ycircumflex",
    0x13bc : "OE",
    0x13bd : "oe",
    0x13be : "Ydiaeresis",
    0x047e : "overline",
    0x04a1 : "kana_fullstop",
    0x04a2 : "kana_openingbracket",
    0x04a3 : "kana_closingbracket",
    0x04a4 : "kana_comma",
    0x04a5 : "kana_conjunctive",
    0x04a5 : "kana_middledot",
    0x04a6 : "kana_WO",
    0x04a7 : "kana_a",
    0x04a8 : "kana_i",
    0x04a9 : "kana_u",
    0x04aa : "kana_e",
    0x04ab : "kana_o",
    0x04ac : "kana_ya",
    0x04ad : "kana_yu",
    0x04ae : "kana_yo",
    0x04af : "kana_tsu",
    0x04af : "kana_tu",
    0x04b0 : "prolongedsound",
    0x04b1 : "kana_A",
    0x04b2 : "kana_I",
    0x04b3 : "kana_U",
    0x04b4 : "kana_E",
    0x04b5 : "kana_O",
    0x04b6 : "kana_KA",
    0x04b7 : "kana_KI",
    0x04b8 : "kana_KU",
    0x04b9 : "kana_KE",
    0x04ba : "kana_KO",
    0x04bb : "kana_SA",
    0x04bc : "kana_SHI",
    0x04bd : "kana_SU",
    0x04be : "kana_SE",
    0x04bf : "kana_SO",
    0x04c0 : "kana_TA",
    0x04c1 : "kana_CHI",
    0x04c1 : "kana_TI",
    0x04c2 : "kana_TSU",
    0x04c2 : "kana_TU",
    0x04c3 : "kana_TE",
    0x04c4 : "kana_TO",
    0x04c5 : "kana_NA",
    0x04c6 : "kana_NI",
    0x04c7 : "kana_NU",
    0x04c8 : "kana_NE",
    0x04c9 : "kana_NO",
    0x04ca : "kana_HA",
    0x04cb : "kana_HI",
    0x04cc : "kana_FU",
    0x04cc : "kana_HU",
    0x04cd : "kana_HE",
    0x04ce : "kana_HO",
    0x04cf : "kana_MA",
    0x04d0 : "kana_MI",
    0x04d1 : "kana_MU",
    0x04d2 : "kana_ME",
    0x04d3 : "kana_MO",
    0x04d4 : "kana_YA",
    0x04d5 : "kana_YU",
    0x04d6 : "kana_YO",
    0x04d7 : "kana_RA",
    0x04d8 : "kana_RI",
    0x04d9 : "kana_RU",
    0x04da : "kana_RE",
    0x04db : "kana_RO",
    0x04dc : "kana_WA",
    0x04dd : "kana_N",
    0x04de : "voicedsound",
    0x04df : "semivoicedsound",
    0xff7e : "kana_switch",
    0x10006f0 : "Farsi_0",
    0x10006f1 : "Farsi_1",
    0x10006f2 : "Farsi_2",
    0x10006f3 : "Farsi_3",
    0x10006f4 : "Farsi_4",
    0x10006f5 : "Farsi_5",
    0x10006f6 : "Farsi_6",
    0x10006f7 : "Farsi_7",
    0x10006f8 : "Farsi_8",
    0x10006f9 : "Farsi_9",
    0x100066a : "Arabic_percent",
    0x1000670 : "Arabic_superscript_alef",
    0x1000679 : "Arabic_tteh",
    0x100067e : "Arabic_peh",
    0x1000686 : "Arabic_tcheh",
    0x1000688 : "Arabic_ddal",
    0x1000691 : "Arabic_rreh",
    0x05ac : "Arabic_comma",
    0x10006d4 : "Arabic_fullstop",
    0x1000660 : "Arabic_0",
    0x1000661 : "Arabic_1",
    0x1000662 : "Arabic_2",
    0x1000663 : "Arabic_3",
    0x1000664 : "Arabic_4",
    0x1000665 : "Arabic_5",
    0x1000666 : "Arabic_6",
    0x1000667 : "Arabic_7",
    0x1000668 : "Arabic_8",
    0x1000669 : "Arabic_9",
    0x05bb : "Arabic_semicolon",
    0x05bf : "Arabic_question_mark",
    0x05c1 : "Arabic_hamza",
    0x05c2 : "Arabic_maddaonalef",
    0x05c3 : "Arabic_hamzaonalef",
    0x05c4 : "Arabic_hamzaonwaw",
    0x05c5 : "Arabic_hamzaunderalef",
    0x05c6 : "Arabic_hamzaonyeh",
    0x05c7 : "Arabic_alef",
    0x05c8 : "Arabic_beh",
    0x05c9 : "Arabic_tehmarbuta",
    0x05ca : "Arabic_teh",
    0x05cb : "Arabic_theh",
    0x05cc : "Arabic_jeem",
    0x05cd : "Arabic_hah",
    0x05ce : "Arabic_khah",
    0x05cf : "Arabic_dal",
    0x05d0 : "Arabic_thal",
    0x05d1 : "Arabic_ra",
    0x05d2 : "Arabic_zain",
    0x05d3 : "Arabic_seen",
    0x05d4 : "Arabic_sheen",
    0x05d5 : "Arabic_sad",
    0x05d6 : "Arabic_dad",
    0x05d7 : "Arabic_tah",
    0x05d8 : "Arabic_zah",
    0x05d9 : "Arabic_ain",
    0x05da : "Arabic_ghain",
    0x05e0 : "Arabic_tatweel",
    0x05e1 : "Arabic_feh",
    0x05e2 : "Arabic_qaf",
    0x05e3 : "Arabic_kaf",
    0x05e4 : "Arabic_lam",
    0x05e5 : "Arabic_meem",
    0x05e6 : "Arabic_noon",
    0x05e7 : "Arabic_ha",
    0x05e7 : "Arabic_heh",
    0x05e8 : "Arabic_waw",
    0x05e9 : "Arabic_alefmaksura",
    0x05ea : "Arabic_yeh",
    0x05eb : "Arabic_fathatan",
    0x05ec : "Arabic_dammatan",
    0x05ed : "Arabic_kasratan",
    0x05ee : "Arabic_fatha",
    0x05ef : "Arabic_damma",
    0x05f0 : "Arabic_kasra",
    0x05f1 : "Arabic_shadda",
    0x05f2 : "Arabic_sukun",
    0x1000653 : "Arabic_madda_above",
    0x1000654 : "Arabic_hamza_above",
    0x1000655 : "Arabic_hamza_below",
    0x1000698 : "Arabic_jeh",
    0x10006a4 : "Arabic_veh",
    0x10006a9 : "Arabic_keheh",
    0x10006af : "Arabic_gaf",
    0x10006ba : "Arabic_noon_ghunna",
    0x10006be : "Arabic_heh_doachashmee",
    0x10006cc : "Farsi_yeh",
    0x10006cc : "Arabic_farsi_yeh",
    0x10006d2 : "Arabic_yeh_baree",
    0x10006c1 : "Arabic_heh_goal",
    0xff7e : "Arabic_switch",
    0x1000492 : "Cyrillic_GHE_bar",
    0x1000493 : "Cyrillic_ghe_bar",
    0x1000496 : "Cyrillic_ZHE_descender",
    0x1000497 : "Cyrillic_zhe_descender",
    0x100049a : "Cyrillic_KA_descender",
    0x100049b : "Cyrillic_ka_descender",
    0x100049c : "Cyrillic_KA_vertstroke",
    0x100049d : "Cyrillic_ka_vertstroke",
    0x10004a2 : "Cyrillic_EN_descender",
    0x10004a3 : "Cyrillic_en_descender",
    0x10004ae : "Cyrillic_U_straight",
    0x10004af : "Cyrillic_u_straight",
    0x10004b0 : "Cyrillic_U_straight_bar",
    0x10004b1 : "Cyrillic_u_straight_bar",
    0x10004b2 : "Cyrillic_HA_descender",
    0x10004b3 : "Cyrillic_ha_descender",
    0x10004b6 : "Cyrillic_CHE_descender",
    0x10004b7 : "Cyrillic_che_descender",
    0x10004b8 : "Cyrillic_CHE_vertstroke",
    0x10004b9 : "Cyrillic_che_vertstroke",
    0x10004ba : "Cyrillic_SHHA",
    0x10004bb : "Cyrillic_shha",
    0x10004d8 : "Cyrillic_SCHWA",
    0x10004d9 : "Cyrillic_schwa",
    0x10004e2 : "Cyrillic_I_macron",
    0x10004e3 : "Cyrillic_i_macron",
    0x10004e8 : "Cyrillic_O_bar",
    0x10004e9 : "Cyrillic_o_bar",
    0x10004ee : "Cyrillic_U_macron",
    0x10004ef : "Cyrillic_u_macron",
    0x06a1 : "Serbian_dje",
    0x06a2 : "Macedonia_gje",
    0x06a3 : "Cyrillic_io",
    0x06a4 : "Ukrainian_ie",
    0x06a4 : "Ukranian_je",
    0x06a5 : "Macedonia_dse",
    0x06a6 : "Ukrainian_i",
    0x06a6 : "Ukranian_i",
    0x06a7 : "Ukrainian_yi",
    0x06a7 : "Ukranian_yi",
    0x06a8 : "Cyrillic_je",
    0x06a8 : "Serbian_je",
    0x06a9 : "Cyrillic_lje",
    0x06a9 : "Serbian_lje",
    0x06aa : "Cyrillic_nje",
    0x06aa : "Serbian_nje",
    0x06ab : "Serbian_tshe",
    0x06ac : "Macedonia_kje",
    0x06ad : "Ukrainian_ghe_with_upturn",
    0x06ae : "Byelorussian_shortu",
    0x06af : "Cyrillic_dzhe",
    0x06af : "Serbian_dze",
    0x06b0 : "numerosign",
    0x06b1 : "Serbian_DJE",
    0x06b2 : "Macedonia_GJE",
    0x06b3 : "Cyrillic_IO",
    0x06b4 : "Ukrainian_IE",
    0x06b4 : "Ukranian_JE",
    0x06b5 : "Macedonia_DSE",
    0x06b6 : "Ukrainian_I",
    0x06b6 : "Ukranian_I",
    0x06b7 : "Ukrainian_YI",
    0x06b7 : "Ukranian_YI",
    0x06b8 : "Cyrillic_JE",
    0x06b8 : "Serbian_JE",
    0x06b9 : "Cyrillic_LJE",
    0x06b9 : "Serbian_LJE",
    0x06ba : "Cyrillic_NJE",
    0x06ba : "Serbian_NJE",
    0x06bb : "Serbian_TSHE",
    0x06bc : "Macedonia_KJE",
    0x06bd : "Ukrainian_GHE_WITH_UPTURN",
    0x06be : "Byelorussian_SHORTU",
    0x06bf : "Cyrillic_DZHE",
    0x06bf : "Serbian_DZE",
    0x06c0 : "Cyrillic_yu",
    0x06c1 : "Cyrillic_a",
    0x06c2 : "Cyrillic_be",
    0x06c3 : "Cyrillic_tse",
    0x06c4 : "Cyrillic_de",
    0x06c5 : "Cyrillic_ie",
    0x06c6 : "Cyrillic_ef",
    0x06c7 : "Cyrillic_ghe",
    0x06c8 : "Cyrillic_ha",
    0x06c9 : "Cyrillic_i",
    0x06ca : "Cyrillic_shorti",
    0x06cb : "Cyrillic_ka",
    0x06cc : "Cyrillic_el",
    0x06cd : "Cyrillic_em",
    0x06ce : "Cyrillic_en",
    0x06cf : "Cyrillic_o",
    0x06d0 : "Cyrillic_pe",
    0x06d1 : "Cyrillic_ya",
    0x06d2 : "Cyrillic_er",
    0x06d3 : "Cyrillic_es",
    0x06d4 : "Cyrillic_te",
    0x06d5 : "Cyrillic_u",
    0x06d6 : "Cyrillic_zhe",
    0x06d7 : "Cyrillic_ve",
    0x06d8 : "Cyrillic_softsign",
    0x06d9 : "Cyrillic_yeru",
    0x06da : "Cyrillic_ze",
    0x06db : "Cyrillic_sha",
    0x06dc : "Cyrillic_e",
    0x06dd : "Cyrillic_shcha",
    0x06de : "Cyrillic_che",
    0x06df : "Cyrillic_hardsign",
    0x06e0 : "Cyrillic_YU",
    0x06e1 : "Cyrillic_A",
    0x06e2 : "Cyrillic_BE",
    0x06e3 : "Cyrillic_TSE",
    0x06e4 : "Cyrillic_DE",
    0x06e5 : "Cyrillic_IE",
    0x06e6 : "Cyrillic_EF",
    0x06e7 : "Cyrillic_GHE",
    0x06e8 : "Cyrillic_HA",
    0x06e9 : "Cyrillic_I",
    0x06ea : "Cyrillic_SHORTI",
    0x06eb : "Cyrillic_KA",
    0x06ec : "Cyrillic_EL",
    0x06ed : "Cyrillic_EM",
    0x06ee : "Cyrillic_EN",
    0x06ef : "Cyrillic_O",
    0x06f0 : "Cyrillic_PE",
    0x06f1 : "Cyrillic_YA",
    0x06f2 : "Cyrillic_ER",
    0x06f3 : "Cyrillic_ES",
    0x06f4 : "Cyrillic_TE",
    0x06f5 : "Cyrillic_U",
    0x06f6 : "Cyrillic_ZHE",
    0x06f7 : "Cyrillic_VE",
    0x06f8 : "Cyrillic_SOFTSIGN",
    0x06f9 : "Cyrillic_YERU",
    0x06fa : "Cyrillic_ZE",
    0x06fb : "Cyrillic_SHA",
    0x06fc : "Cyrillic_E",
    0x06fd : "Cyrillic_SHCHA",
    0x06fe : "Cyrillic_CHE",
    0x06ff : "Cyrillic_HARDSIGN",
    0x07a1 : "Greek_ALPHAaccent",
    0x07a2 : "Greek_EPSILONaccent",
    0x07a3 : "Greek_ETAaccent",
    0x07a4 : "Greek_IOTAaccent",
    0x07a5 : "Greek_IOTAdieresis",
    0x07a5 : "Greek_IOTAdiaeresis",
    0x07a7 : "Greek_OMICRONaccent",
    0x07a8 : "Greek_UPSILONaccent",
    0x07a9 : "Greek_UPSILONdieresis",
    0x07ab : "Greek_OMEGAaccent",
    0x07ae : "Greek_accentdieresis",
    0x07af : "Greek_horizbar",
    0x07b1 : "Greek_alphaaccent",
    0x07b2 : "Greek_epsilonaccent",
    0x07b3 : "Greek_etaaccent",
    0x07b4 : "Greek_iotaaccent",
    0x07b5 : "Greek_iotadieresis",
    0x07b6 : "Greek_iotaaccentdieresis",
    0x07b7 : "Greek_omicronaccent",
    0x07b8 : "Greek_upsilonaccent",
    0x07b9 : "Greek_upsilondieresis",
    0x07ba : "Greek_upsilonaccentdieresis",
    0x07bb : "Greek_omegaaccent",
    0x07c1 : "Greek_ALPHA",
    0x07c2 : "Greek_BETA",
    0x07c3 : "Greek_GAMMA",
    0x07c4 : "Greek_DELTA",
    0x07c5 : "Greek_EPSILON",
    0x07c6 : "Greek_ZETA",
    0x07c7 : "Greek_ETA",
    0x07c8 : "Greek_THETA",
    0x07c9 : "Greek_IOTA",
    0x07ca : "Greek_KAPPA",
    0x07cb : "Greek_LAMDA",
    0x07cb : "Greek_LAMBDA",
    0x07cc : "Greek_MU",
    0x07cd : "Greek_NU",
    0x07ce : "Greek_XI",
    0x07cf : "Greek_OMICRON",
    0x07d0 : "Greek_PI",
    0x07d1 : "Greek_RHO",
    0x07d2 : "Greek_SIGMA",
    0x07d4 : "Greek_TAU",
    0x07d5 : "Greek_UPSILON",
    0x07d6 : "Greek_PHI",
    0x07d7 : "Greek_CHI",
    0x07d8 : "Greek_PSI",
    0x07d9 : "Greek_OMEGA",
    0x07e1 : "Greek_alpha",
    0x07e2 : "Greek_beta",
    0x07e3 : "Greek_gamma",
    0x07e4 : "Greek_delta",
    0x07e5 : "Greek_epsilon",
    0x07e6 : "Greek_zeta",
    0x07e7 : "Greek_eta",
    0x07e8 : "Greek_theta",
    0x07e9 : "Greek_iota",
    0x07ea : "Greek_kappa",
    0x07eb : "Greek_lamda",
    0x07eb : "Greek_lambda",
    0x07ec : "Greek_mu",
    0x07ed : "Greek_nu",
    0x07ee : "Greek_xi",
    0x07ef : "Greek_omicron",
    0x07f0 : "Greek_pi",
    0x07f1 : "Greek_rho",
    0x07f2 : "Greek_sigma",
    0x07f3 : "Greek_finalsmallsigma",
    0x07f4 : "Greek_tau",
    0x07f5 : "Greek_upsilon",
    0x07f6 : "Greek_phi",
    0x07f7 : "Greek_chi",
    0x07f8 : "Greek_psi",
    0x07f9 : "Greek_omega",
    0xff7e : "Greek_switch",
    0x08a1 : "leftradical",
    0x08a2 : "topleftradical",
    0x08a3 : "horizconnector",
    0x08a4 : "topintegral",
    0x08a5 : "botintegral",
    0x08a6 : "vertconnector",
    0x08a7 : "topleftsqbracket",
    0x08a8 : "botleftsqbracket",
    0x08a9 : "toprightsqbracket",
    0x08aa : "botrightsqbracket",
    0x08ab : "topleftparens",
    0x08ac : "botleftparens",
    0x08ad : "toprightparens",
    0x08ae : "botrightparens",
    0x08af : "leftmiddlecurlybrace",
    0x08b0 : "rightmiddlecurlybrace",
    0x08b1 : "topleftsummation",
    0x08b2 : "botleftsummation",
    0x08b3 : "topvertsummationconnector",
    0x08b4 : "botvertsummationconnector",
    0x08b5 : "toprightsummation",
    0x08b6 : "botrightsummation",
    0x08b7 : "rightmiddlesummation",
    0x08bc : "lessthanequal",
    0x08bd : "notequal",
    0x08be : "greaterthanequal",
    0x08bf : "integral",
    0x08c0 : "therefore",
    0x08c1 : "variation",
    0x08c2 : "infinity",
    0x08c5 : "nabla",
    0x08c8 : "approximate",
    0x08c9 : "similarequal",
    0x08cd : "ifonlyif",
    0x08ce : "implies",
    0x08cf : "identical",
    0x08d6 : "radical",
    0x08da : "includedin",
    0x08db : "includes",
    0x08dc : "intersection",
    0x08dd : "union",
    0x08de : "logicaland",
    0x08df : "logicalor",
    0x08ef : "partialderivative",
    0x08f6 : "function",
    0x08fb : "leftarrow",
    0x08fc : "uparrow",
    0x08fd : "rightarrow",
    0x08fe : "downarrow",
    0x09df : "blank",
    0x09e0 : "soliddiamond",
    0x09e1 : "checkerboard",
    0x09e2 : "ht",
    0x09e3 : "ff",
    0x09e4 : "cr",
    0x09e5 : "lf",
    0x09e8 : "nl",
    0x09e9 : "vt",
    0x09ea : "lowrightcorner",
    0x09eb : "uprightcorner",
    0x09ec : "upleftcorner",
    0x09ed : "lowleftcorner",
    0x09ee : "crossinglines",
    0x09ef : "horizlinescan1",
    0x09f0 : "horizlinescan3",
    0x09f1 : "horizlinescan5",
    0x09f2 : "horizlinescan7",
    0x09f3 : "horizlinescan9",
    0x09f4 : "leftt",
    0x09f5 : "rightt",
    0x09f6 : "bott",
    0x09f7 : "topt",
    0x09f8 : "vertbar",
    0x0aa1 : "emspace",
    0x0aa2 : "enspace",
    0x0aa3 : "em3space",
    0x0aa4 : "em4space",
    0x0aa5 : "digitspace",
    0x0aa6 : "punctspace",
    0x0aa7 : "thinspace",
    0x0aa8 : "hairspace",
    0x0aa9 : "emdash",
    0x0aaa : "endash",
    0x0aac : "signifblank",
    0x0aae : "ellipsis",
    0x0aaf : "doubbaselinedot",
    0x0ab0 : "onethird",
    0x0ab1 : "twothirds",
    0x0ab2 : "onefifth",
    0x0ab3 : "twofifths",
    0x0ab4 : "threefifths",
    0x0ab5 : "fourfifths",
    0x0ab6 : "onesixth",
    0x0ab7 : "fivesixths",
    0x0ab8 : "careof",
    0x0abb : "figdash",
    0x0abc : "leftanglebracket",
    0x0abd : "decimalpoint",
    0x0abe : "rightanglebracket",
    0x0abf : "marker",
    0x0ac3 : "oneeighth",
    0x0ac4 : "threeeighths",
    0x0ac5 : "fiveeighths",
    0x0ac6 : "seveneighths",
    0x0ac9 : "trademark",
    0x0aca : "signaturemark",
    0x0acb : "trademarkincircle",
    0x0acc : "leftopentriangle",
    0x0acd : "rightopentriangle",
    0x0ace : "emopencircle",
    0x0acf : "emopenrectangle",
    0x0ad0 : "leftsinglequotemark",
    0x0ad1 : "rightsinglequotemark",
    0x0ad2 : "leftdoublequotemark",
    0x0ad3 : "rightdoublequotemark",
    0x0ad4 : "prescription",
    0x0ad6 : "minutes",
    0x0ad7 : "seconds",
    0x0ad9 : "latincross",
    0x0ada : "hexagram",
    0x0adb : "filledrectbullet",
    0x0adc : "filledlefttribullet",
    0x0add : "filledrighttribullet",
    0x0ade : "emfilledcircle",
    0x0adf : "emfilledrect",
    0x0ae0 : "enopencircbullet",
    0x0ae1 : "enopensquarebullet",
    0x0ae2 : "openrectbullet",
    0x0ae3 : "opentribulletup",
    0x0ae4 : "opentribulletdown",
    0x0ae5 : "openstar",
    0x0ae6 : "enfilledcircbullet",
    0x0ae7 : "enfilledsqbullet",
    0x0ae8 : "filledtribulletup",
    0x0ae9 : "filledtribulletdown",
    0x0aea : "leftpointer",
    0x0aeb : "rightpointer",
    0x0aec : "club",
    0x0aed : "diamond",
    0x0aee : "heart",
    0x0af0 : "maltesecross",
    0x0af1 : "dagger",
    0x0af2 : "doubledagger",
    0x0af3 : "checkmark",
    0x0af4 : "ballotcross",
    0x0af5 : "musicalsharp",
    0x0af6 : "musicalflat",
    0x0af7 : "malesymbol",
    0x0af8 : "femalesymbol",
    0x0af9 : "telephone",
    0x0afa : "telephonerecorder",
    0x0afb : "phonographcopyright",
    0x0afc : "caret",
    0x0afd : "singlelowquotemark",
    0x0afe : "doublelowquotemark",
    0x0aff : "cursor",
    0x0ba3 : "leftcaret",
    0x0ba6 : "rightcaret",
    0x0ba8 : "downcaret",
    0x0ba9 : "upcaret",
    0x0bc0 : "overbar",
    0x0bc2 : "downtack",
    0x0bc3 : "upshoe",
    0x0bc4 : "downstile",
    0x0bc6 : "underbar",
    0x0bca : "jot",
    0x0bcc : "quad",
    0x0bce : "uptack",
    0x0bcf : "circle",
    0x0bd3 : "upstile",
    0x0bd6 : "downshoe",
    0x0bd8 : "rightshoe",
    0x0bda : "leftshoe",
    0x0bdc : "lefttack",
    0x0bfc : "righttack",
    0x0cdf : "hebrew_doublelowline",
    0x0ce0 : "hebrew_aleph",
    0x0ce1 : "hebrew_bet",
    0x0ce1 : "hebrew_beth",
    0x0ce2 : "hebrew_gimel",
    0x0ce2 : "hebrew_gimmel",
    0x0ce3 : "hebrew_dalet",
    0x0ce3 : "hebrew_daleth",
    0x0ce4 : "hebrew_he",
    0x0ce5 : "hebrew_waw",
    0x0ce6 : "hebrew_zain",
    0x0ce6 : "hebrew_zayin",
    0x0ce7 : "hebrew_chet",
    0x0ce7 : "hebrew_het",
    0x0ce8 : "hebrew_tet",
    0x0ce8 : "hebrew_teth",
    0x0ce9 : "hebrew_yod",
    0x0cea : "hebrew_finalkaph",
    0x0ceb : "hebrew_kaph",
    0x0cec : "hebrew_lamed",
    0x0ced : "hebrew_finalmem",
    0x0cee : "hebrew_mem",
    0x0cef : "hebrew_finalnun",
    0x0cf0 : "hebrew_nun",
    0x0cf1 : "hebrew_samech",
    0x0cf1 : "hebrew_samekh",
    0x0cf2 : "hebrew_ayin",
    0x0cf3 : "hebrew_finalpe",
    0x0cf4 : "hebrew_pe",
    0x0cf5 : "hebrew_finalzade",
    0x0cf5 : "hebrew_finalzadi",
    0x0cf6 : "hebrew_zade",
    0x0cf6 : "hebrew_zadi",
    0x0cf7 : "hebrew_qoph",
    0x0cf7 : "hebrew_kuf",
    0x0cf8 : "hebrew_resh",
    0x0cf9 : "hebrew_shin",
    0x0cfa : "hebrew_taw",
    0x0cfa : "hebrew_taf",
    0xff7e : "Hebrew_switch",
    0x0da1 : "Thai_kokai",
    0x0da2 : "Thai_khokhai",
    0x0da3 : "Thai_khokhuat",
    0x0da4 : "Thai_khokhwai",
    0x0da5 : "Thai_khokhon",
    0x0da6 : "Thai_khorakhang",
    0x0da7 : "Thai_ngongu",
    0x0da8 : "Thai_chochan",
    0x0da9 : "Thai_choching",
    0x0daa : "Thai_chochang",
    0x0dab : "Thai_soso",
    0x0dac : "Thai_chochoe",
    0x0dad : "Thai_yoying",
    0x0dae : "Thai_dochada",
    0x0daf : "Thai_topatak",
    0x0db0 : "Thai_thothan",
    0x0db1 : "Thai_thonangmontho",
    0x0db2 : "Thai_thophuthao",
    0x0db3 : "Thai_nonen",
    0x0db4 : "Thai_dodek",
    0x0db5 : "Thai_totao",
    0x0db6 : "Thai_thothung",
    0x0db7 : "Thai_thothahan",
    0x0db8 : "Thai_thothong",
    0x0db9 : "Thai_nonu",
    0x0dba : "Thai_bobaimai",
    0x0dbb : "Thai_popla",
    0x0dbc : "Thai_phophung",
    0x0dbd : "Thai_fofa",
    0x0dbe : "Thai_phophan",
    0x0dbf : "Thai_fofan",
    0x0dc0 : "Thai_phosamphao",
    0x0dc1 : "Thai_moma",
    0x0dc2 : "Thai_yoyak",
    0x0dc3 : "Thai_rorua",
    0x0dc4 : "Thai_ru",
    0x0dc5 : "Thai_loling",
    0x0dc6 : "Thai_lu",
    0x0dc7 : "Thai_wowaen",
    0x0dc8 : "Thai_sosala",
    0x0dc9 : "Thai_sorusi",
    0x0dca : "Thai_sosua",
    0x0dcb : "Thai_hohip",
    0x0dcc : "Thai_lochula",
    0x0dcd : "Thai_oang",
    0x0dce : "Thai_honokhuk",
    0x0dcf : "Thai_paiyannoi",
    0x0dd0 : "Thai_saraa",
    0x0dd1 : "Thai_maihanakat",
    0x0dd2 : "Thai_saraaa",
    0x0dd3 : "Thai_saraam",
    0x0dd4 : "Thai_sarai",
    0x0dd5 : "Thai_saraii",
    0x0dd6 : "Thai_saraue",
    0x0dd7 : "Thai_sarauee",
    0x0dd8 : "Thai_sarau",
    0x0dd9 : "Thai_sarauu",
    0x0dda : "Thai_phinthu",
    0x0dde : "Thai_maihanakat_maitho",
    0x0ddf : "Thai_baht",
    0x0de0 : "Thai_sarae",
    0x0de1 : "Thai_saraae",
    0x0de2 : "Thai_sarao",
    0x0de3 : "Thai_saraaimaimuan",
    0x0de4 : "Thai_saraaimaimalai",
    0x0de5 : "Thai_lakkhangyao",
    0x0de6 : "Thai_maiyamok",
    0x0de7 : "Thai_maitaikhu",
    0x0de8 : "Thai_maiek",
    0x0de9 : "Thai_maitho",
    0x0dea : "Thai_maitri",
    0x0deb : "Thai_maichattawa",
    0x0dec : "Thai_thanthakhat",
    0x0ded : "Thai_nikhahit",
    0x0df0 : "Thai_leksun",
    0x0df1 : "Thai_leknung",
    0x0df2 : "Thai_leksong",
    0x0df3 : "Thai_leksam",
    0x0df4 : "Thai_leksi",
    0x0df5 : "Thai_lekha",
    0x0df6 : "Thai_lekhok",
    0x0df7 : "Thai_lekchet",
    0x0df8 : "Thai_lekpaet",
    0x0df9 : "Thai_lekkao",
    0xff31 : "Hangul",
    0xff32 : "Hangul_Start",
    0xff33 : "Hangul_End",
    0xff34 : "Hangul_Hanja",
    0xff35 : "Hangul_Jamo",
    0xff36 : "Hangul_Romaja",
    0xff37 : "Hangul_Codeinput",
    0xff38 : "Hangul_Jeonja",
    0xff39 : "Hangul_Banja",
    0xff3a : "Hangul_PreHanja",
    0xff3b : "Hangul_PostHanja",
    0xff3c : "Hangul_SingleCandidate",
    0xff3d : "Hangul_MultipleCandidate",
    0xff3e : "Hangul_PreviousCandidate",
    0xff3f : "Hangul_Special",
    0xff7e : "Hangul_switch",
    0x0ea1 : "Hangul_Kiyeog",
    0x0ea2 : "Hangul_SsangKiyeog",
    0x0ea3 : "Hangul_KiyeogSios",
    0x0ea4 : "Hangul_Nieun",
    0x0ea5 : "Hangul_NieunJieuj",
    0x0ea6 : "Hangul_NieunHieuh",
    0x0ea7 : "Hangul_Dikeud",
    0x0ea8 : "Hangul_SsangDikeud",
    0x0ea9 : "Hangul_Rieul",
    0x0eaa : "Hangul_RieulKiyeog",
    0x0eab : "Hangul_RieulMieum",
    0x0eac : "Hangul_RieulPieub",
    0x0ead : "Hangul_RieulSios",
    0x0eae : "Hangul_RieulTieut",
    0x0eaf : "Hangul_RieulPhieuf",
    0x0eb0 : "Hangul_RieulHieuh",
    0x0eb1 : "Hangul_Mieum",
    0x0eb2 : "Hangul_Pieub",
    0x0eb3 : "Hangul_SsangPieub",
    0x0eb4 : "Hangul_PieubSios",
    0x0eb5 : "Hangul_Sios",
    0x0eb6 : "Hangul_SsangSios",
    0x0eb7 : "Hangul_Ieung",
    0x0eb8 : "Hangul_Jieuj",
    0x0eb9 : "Hangul_SsangJieuj",
    0x0eba : "Hangul_Cieuc",
    0x0ebb : "Hangul_Khieuq",
    0x0ebc : "Hangul_Tieut",
    0x0ebd : "Hangul_Phieuf",
    0x0ebe : "Hangul_Hieuh",
    0x0ebf : "Hangul_A",
    0x0ec0 : "Hangul_AE",
    0x0ec1 : "Hangul_YA",
    0x0ec2 : "Hangul_YAE",
    0x0ec3 : "Hangul_EO",
    0x0ec4 : "Hangul_E",
    0x0ec5 : "Hangul_YEO",
    0x0ec6 : "Hangul_YE",
    0x0ec7 : "Hangul_O",
    0x0ec8 : "Hangul_WA",
    0x0ec9 : "Hangul_WAE",
    0x0eca : "Hangul_OE",
    0x0ecb : "Hangul_YO",
    0x0ecc : "Hangul_U",
    0x0ecd : "Hangul_WEO",
    0x0ece : "Hangul_WE",
    0x0ecf : "Hangul_WI",
    0x0ed0 : "Hangul_YU",
    0x0ed1 : "Hangul_EU",
    0x0ed2 : "Hangul_YI",
    0x0ed3 : "Hangul_I",
    0x0ed4 : "Hangul_J_Kiyeog",
    0x0ed5 : "Hangul_J_SsangKiyeog",
    0x0ed6 : "Hangul_J_KiyeogSios",
    0x0ed7 : "Hangul_J_Nieun",
    0x0ed8 : "Hangul_J_NieunJieuj",
    0x0ed9 : "Hangul_J_NieunHieuh",
    0x0eda : "Hangul_J_Dikeud",
    0x0edb : "Hangul_J_Rieul",
    0x0edc : "Hangul_J_RieulKiyeog",
    0x0edd : "Hangul_J_RieulMieum",
    0x0ede : "Hangul_J_RieulPieub",
    0x0edf : "Hangul_J_RieulSios",
    0x0ee0 : "Hangul_J_RieulTieut",
    0x0ee1 : "Hangul_J_RieulPhieuf",
    0x0ee2 : "Hangul_J_RieulHieuh",
    0x0ee3 : "Hangul_J_Mieum",
    0x0ee4 : "Hangul_J_Pieub",
    0x0ee5 : "Hangul_J_PieubSios",
    0x0ee6 : "Hangul_J_Sios",
    0x0ee7 : "Hangul_J_SsangSios",
    0x0ee8 : "Hangul_J_Ieung",
    0x0ee9 : "Hangul_J_Jieuj",
    0x0eea : "Hangul_J_Cieuc",
    0x0eeb : "Hangul_J_Khieuq",
    0x0eec : "Hangul_J_Tieut",
    0x0eed : "Hangul_J_Phieuf",
    0x0eee : "Hangul_J_Hieuh",
    0x0eef : "Hangul_RieulYeorinHieuh",
    0x0ef0 : "Hangul_SunkyeongeumMieum",
    0x0ef1 : "Hangul_SunkyeongeumPieub",
    0x0ef2 : "Hangul_PanSios",
    0x0ef3 : "Hangul_KkogjiDalrinIeung",
    0x0ef4 : "Hangul_SunkyeongeumPhieuf",
    0x0ef5 : "Hangul_YeorinHieuh",
    0x0ef6 : "Hangul_AraeA",
    0x0ef7 : "Hangul_AraeAE",
    0x0ef8 : "Hangul_J_PanSios",
    0x0ef9 : "Hangul_J_KkogjiDalrinIeung",
    0x0efa : "Hangul_J_YeorinHieuh",
    0x0eff : "Korean_Won",
    0x1000587 : "Armenian_ligature_ew",
    0x1000589 : "Armenian_full_stop",
    0x1000589 : "Armenian_verjaket",
    0x100055d : "Armenian_separation_mark",
    0x100055d : "Armenian_but",
    0x100058a : "Armenian_hyphen",
    0x100058a : "Armenian_yentamna",
    0x100055c : "Armenian_exclam",
    0x100055c : "Armenian_amanak",
    0x100055b : "Armenian_accent",
    0x100055b : "Armenian_shesht",
    0x100055e : "Armenian_question",
    0x100055e : "Armenian_paruyk",
    0x1000531 : "Armenian_AYB",
    0x1000561 : "Armenian_ayb",
    0x1000532 : "Armenian_BEN",
    0x1000562 : "Armenian_ben",
    0x1000533 : "Armenian_GIM",
    0x1000563 : "Armenian_gim",
    0x1000534 : "Armenian_DA",
    0x1000564 : "Armenian_da",
    0x1000535 : "Armenian_YECH",
    0x1000565 : "Armenian_yech",
    0x1000536 : "Armenian_ZA",
    0x1000566 : "Armenian_za",
    0x1000537 : "Armenian_E",
    0x1000567 : "Armenian_e",
    0x1000538 : "Armenian_AT",
    0x1000568 : "Armenian_at",
    0x1000539 : "Armenian_TO",
    0x1000569 : "Armenian_to",
    0x100053a : "Armenian_ZHE",
    0x100056a : "Armenian_zhe",
    0x100053b : "Armenian_INI",
    0x100056b : "Armenian_ini",
    0x100053c : "Armenian_LYUN",
    0x100056c : "Armenian_lyun",
    0x100053d : "Armenian_KHE",
    0x100056d : "Armenian_khe",
    0x100053e : "Armenian_TSA",
    0x100056e : "Armenian_tsa",
    0x100053f : "Armenian_KEN",
    0x100056f : "Armenian_ken",
    0x1000540 : "Armenian_HO",
    0x1000570 : "Armenian_ho",
    0x1000541 : "Armenian_DZA",
    0x1000571 : "Armenian_dza",
    0x1000542 : "Armenian_GHAT",
    0x1000572 : "Armenian_ghat",
    0x1000543 : "Armenian_TCHE",
    0x1000573 : "Armenian_tche",
    0x1000544 : "Armenian_MEN",
    0x1000574 : "Armenian_men",
    0x1000545 : "Armenian_HI",
    0x1000575 : "Armenian_hi",
    0x1000546 : "Armenian_NU",
    0x1000576 : "Armenian_nu",
    0x1000547 : "Armenian_SHA",
    0x1000577 : "Armenian_sha",
    0x1000548 : "Armenian_VO",
    0x1000578 : "Armenian_vo",
    0x1000549 : "Armenian_CHA",
    0x1000579 : "Armenian_cha",
    0x100054a : "Armenian_PE",
    0x100057a : "Armenian_pe",
    0x100054b : "Armenian_JE",
    0x100057b : "Armenian_je",
    0x100054c : "Armenian_RA",
    0x100057c : "Armenian_ra",
    0x100054d : "Armenian_SE",
    0x100057d : "Armenian_se",
    0x100054e : "Armenian_VEV",
    0x100057e : "Armenian_vev",
    0x100054f : "Armenian_TYUN",
    0x100057f : "Armenian_tyun",
    0x1000550 : "Armenian_RE",
    0x1000580 : "Armenian_re",
    0x1000551 : "Armenian_TSO",
    0x1000581 : "Armenian_tso",
    0x1000552 : "Armenian_VYUN",
    0x1000582 : "Armenian_vyun",
    0x1000553 : "Armenian_PYUR",
    0x1000583 : "Armenian_pyur",
    0x1000554 : "Armenian_KE",
    0x1000584 : "Armenian_ke",
    0x1000555 : "Armenian_O",
    0x1000585 : "Armenian_o",
    0x1000556 : "Armenian_FE",
    0x1000586 : "Armenian_fe",
    0x100055a : "Armenian_apostrophe",
    0x10010d0 : "Georgian_an",
    0x10010d1 : "Georgian_ban",
    0x10010d2 : "Georgian_gan",
    0x10010d3 : "Georgian_don",
    0x10010d4 : "Georgian_en",
    0x10010d5 : "Georgian_vin",
    0x10010d6 : "Georgian_zen",
    0x10010d7 : "Georgian_tan",
    0x10010d8 : "Georgian_in",
    0x10010d9 : "Georgian_kan",
    0x10010da : "Georgian_las",
    0x10010db : "Georgian_man",
    0x10010dc : "Georgian_nar",
    0x10010dd : "Georgian_on",
    0x10010de : "Georgian_par",
    0x10010df : "Georgian_zhar",
    0x10010e0 : "Georgian_rae",
    0x10010e1 : "Georgian_san",
    0x10010e2 : "Georgian_tar",
    0x10010e3 : "Georgian_un",
    0x10010e4 : "Georgian_phar",
    0x10010e5 : "Georgian_khar",
    0x10010e6 : "Georgian_ghan",
    0x10010e7 : "Georgian_qar",
    0x10010e8 : "Georgian_shin",
    0x10010e9 : "Georgian_chin",
    0x10010ea : "Georgian_can",
    0x10010eb : "Georgian_jil",
    0x10010ec : "Georgian_cil",
    0x10010ed : "Georgian_char",
    0x10010ee : "Georgian_xan",
    0x10010ef : "Georgian_jhan",
    0x10010f0 : "Georgian_hae",
    0x10010f1 : "Georgian_he",
    0x10010f2 : "Georgian_hie",
    0x10010f3 : "Georgian_we",
    0x10010f4 : "Georgian_har",
    0x10010f5 : "Georgian_hoe",
    0x10010f6 : "Georgian_fi",
    0x1001e8a : "Xabovedot",
    0x100012c : "Ibreve",
    0x10001b5 : "Zstroke",
    0x10001e6 : "Gcaron",
    0x10001d1 : "Ocaron",
    0x100019f : "Obarred",
    0x1001e8b : "xabovedot",
    0x100012d : "ibreve",
    0x10001b6 : "zstroke",
    0x10001e7 : "gcaron",
    0x10001d2 : "ocaron",
    0x1000275 : "obarred",
    0x100018f : "SCHWA",
    0x1000259 : "schwa",
    0x1001e36 : "Lbelowdot",
    0x1001e37 : "lbelowdot",
    0x1001ea0 : "Abelowdot",
    0x1001ea1 : "abelowdot",
    0x1001ea2 : "Ahook",
    0x1001ea3 : "ahook",
    0x1001ea4 : "Acircumflexacute",
    0x1001ea5 : "acircumflexacute",
    0x1001ea6 : "Acircumflexgrave",
    0x1001ea7 : "acircumflexgrave",
    0x1001ea8 : "Acircumflexhook",
    0x1001ea9 : "acircumflexhook",
    0x1001eaa : "Acircumflextilde",
    0x1001eab : "acircumflextilde",
    0x1001eac : "Acircumflexbelowdot",
    0x1001ead : "acircumflexbelowdot",
    0x1001eae : "Abreveacute",
    0x1001eaf : "abreveacute",
    0x1001eb0 : "Abrevegrave",
    0x1001eb1 : "abrevegrave",
    0x1001eb2 : "Abrevehook",
    0x1001eb3 : "abrevehook",
    0x1001eb4 : "Abrevetilde",
    0x1001eb5 : "abrevetilde",
    0x1001eb6 : "Abrevebelowdot",
    0x1001eb7 : "abrevebelowdot",
    0x1001eb8 : "Ebelowdot",
    0x1001eb9 : "ebelowdot",
    0x1001eba : "Ehook",
    0x1001ebb : "ehook",
    0x1001ebc : "Etilde",
    0x1001ebd : "etilde",
    0x1001ebe : "Ecircumflexacute",
    0x1001ebf : "ecircumflexacute",
    0x1001ec0 : "Ecircumflexgrave",
    0x1001ec1 : "ecircumflexgrave",
    0x1001ec2 : "Ecircumflexhook",
    0x1001ec3 : "ecircumflexhook",
    0x1001ec4 : "Ecircumflextilde",
    0x1001ec5 : "ecircumflextilde",
    0x1001ec6 : "Ecircumflexbelowdot",
    0x1001ec7 : "ecircumflexbelowdot",
    0x1001ec8 : "Ihook",
    0x1001ec9 : "ihook",
    0x1001eca : "Ibelowdot",
    0x1001ecb : "ibelowdot",
    0x1001ecc : "Obelowdot",
    0x1001ecd : "obelowdot",
    0x1001ece : "Ohook",
    0x1001ecf : "ohook",
    0x1001ed0 : "Ocircumflexacute",
    0x1001ed1 : "ocircumflexacute",
    0x1001ed2 : "Ocircumflexgrave",
    0x1001ed3 : "ocircumflexgrave",
    0x1001ed4 : "Ocircumflexhook",
    0x1001ed5 : "ocircumflexhook",
    0x1001ed6 : "Ocircumflextilde",
    0x1001ed7 : "ocircumflextilde",
    0x1001ed8 : "Ocircumflexbelowdot",
    0x1001ed9 : "ocircumflexbelowdot",
    0x1001eda : "Ohornacute",
    0x1001edb : "ohornacute",
    0x1001edc : "Ohorngrave",
    0x1001edd : "ohorngrave",
    0x1001ede : "Ohornhook",
    0x1001edf : "ohornhook",
    0x1001ee0 : "Ohorntilde",
    0x1001ee1 : "ohorntilde",
    0x1001ee2 : "Ohornbelowdot",
    0x1001ee3 : "ohornbelowdot",
    0x1001ee4 : "Ubelowdot",
    0x1001ee5 : "ubelowdot",
    0x1001ee6 : "Uhook",
    0x1001ee7 : "uhook",
    0x1001ee8 : "Uhornacute",
    0x1001ee9 : "uhornacute",
    0x1001eea : "Uhorngrave",
    0x1001eeb : "uhorngrave",
    0x1001eec : "Uhornhook",
    0x1001eed : "uhornhook",
    0x1001eee : "Uhorntilde",
    0x1001eef : "uhorntilde",
    0x1001ef0 : "Uhornbelowdot",
    0x1001ef1 : "uhornbelowdot",
    0x1001ef4 : "Ybelowdot",
    0x1001ef5 : "ybelowdot",
    0x1001ef6 : "Yhook",
    0x1001ef7 : "yhook",
    0x1001ef8 : "Ytilde",
    0x1001ef9 : "ytilde",
    0x10001a0 : "Ohorn",
    0x10001a1 : "ohorn",
    0x10001af : "Uhorn",
    0x10001b0 : "uhorn",
    0x10020a0 : "EcuSign",
    0x10020a1 : "ColonSign",
    0x10020a2 : "CruzeiroSign",
    0x10020a3 : "FFrancSign",
    0x10020a4 : "LiraSign",
    0x10020a5 : "MillSign",
    0x10020a6 : "NairaSign",
    0x10020a7 : "PesetaSign",
    0x10020a8 : "RupeeSign",
    0x10020a9 : "WonSign",
    0x10020aa : "NewSheqelSign",
    0x10020ab : "DongSign",
    0x20ac : "EuroSign",
    0x1002070 : "zerosuperior",
    0x1002074 : "foursuperior",
    0x1002075 : "fivesuperior",
    0x1002076 : "sixsuperior",
    0x1002077 : "sevensuperior",
    0x1002078 : "eightsuperior",
    0x1002079 : "ninesuperior",
    0x1002080 : "zerosubscript",
    0x1002081 : "onesubscript",
    0x1002082 : "twosubscript",
    0x1002083 : "threesubscript",
    0x1002084 : "foursubscript",
    0x1002085 : "fivesubscript",
    0x1002086 : "sixsubscript",
    0x1002087 : "sevensubscript",
    0x1002088 : "eightsubscript",
    0x1002089 : "ninesubscript",
    0x1002202 : "partdifferential",
    0x1002205 : "emptyset",
    0x1002208 : "elementof",
    0x1002209 : "notelementof",
    0x100220B : "containsas",
    0x100221A : "squareroot",
    0x100221B : "cuberoot",
    0x100221C : "fourthroot",
    0x100222C : "dintegral",
    0x100222D : "tintegral",
    0x1002235 : "because",
    0x1002248 : "approxeq",
    0x1002247 : "notapproxeq",
    0x1002262 : "notidentical",
    0x1002263 : "stricteq",
    0xfff1 : "braille_dot_1",
    0xfff2 : "braille_dot_2",
    0xfff3 : "braille_dot_3",
    0xfff4 : "braille_dot_4",
    0xfff5 : "braille_dot_5",
    0xfff6 : "braille_dot_6",
    0xfff7 : "braille_dot_7",
    0xfff8 : "braille_dot_8",
    0xfff9 : "braille_dot_9",
    0xfffa : "braille_dot_10",
    0x1002800 : "braille_blank",
    0x1002801 : "braille_dots_1",
    0x1002802 : "braille_dots_2",
    0x1002803 : "braille_dots_12",
    0x1002804 : "braille_dots_3",
    0x1002805 : "braille_dots_13",
    0x1002806 : "braille_dots_23",
    0x1002807 : "braille_dots_123",
    0x1002808 : "braille_dots_4",
    0x1002809 : "braille_dots_14",
    0x100280a : "braille_dots_24",
    0x100280b : "braille_dots_124",
    0x100280c : "braille_dots_34",
    0x100280d : "braille_dots_134",
    0x100280e : "braille_dots_234",
    0x100280f : "braille_dots_1234",
    0x1002810 : "braille_dots_5",
    0x1002811 : "braille_dots_15",
    0x1002812 : "braille_dots_25",
    0x1002813 : "braille_dots_125",
    0x1002814 : "braille_dots_35",
    0x1002815 : "braille_dots_135",
    0x1002816 : "braille_dots_235",
    0x1002817 : "braille_dots_1235",
    0x1002818 : "braille_dots_45",
    0x1002819 : "braille_dots_145",
    0x100281a : "braille_dots_245",
    0x100281b : "braille_dots_1245",
    0x100281c : "braille_dots_345",
    0x100281d : "braille_dots_1345",
    0x100281e : "braille_dots_2345",
    0x100281f : "braille_dots_12345",
    0x1002820 : "braille_dots_6",
    0x1002821 : "braille_dots_16",
    0x1002822 : "braille_dots_26",
    0x1002823 : "braille_dots_126",
    0x1002824 : "braille_dots_36",
    0x1002825 : "braille_dots_136",
    0x1002826 : "braille_dots_236",
    0x1002827 : "braille_dots_1236",
    0x1002828 : "braille_dots_46",
    0x1002829 : "braille_dots_146",
    0x100282a : "braille_dots_246",
    0x100282b : "braille_dots_1246",
    0x100282c : "braille_dots_346",
    0x100282d : "braille_dots_1346",
    0x100282e : "braille_dots_2346",
    0x100282f : "braille_dots_12346",
    0x1002830 : "braille_dots_56",
    0x1002831 : "braille_dots_156",
    0x1002832 : "braille_dots_256",
    0x1002833 : "braille_dots_1256",
    0x1002834 : "braille_dots_356",
    0x1002835 : "braille_dots_1356",
    0x1002836 : "braille_dots_2356",
    0x1002837 : "braille_dots_12356",
    0x1002838 : "braille_dots_456",
    0x1002839 : "braille_dots_1456",
    0x100283a : "braille_dots_2456",
    0x100283b : "braille_dots_12456",
    0x100283c : "braille_dots_3456",
    0x100283d : "braille_dots_13456",
    0x100283e : "braille_dots_23456",
    0x100283f : "braille_dots_123456",
    0x1002840 : "braille_dots_7",
    0x1002841 : "braille_dots_17",
    0x1002842 : "braille_dots_27",
    0x1002843 : "braille_dots_127",
    0x1002844 : "braille_dots_37",
    0x1002845 : "braille_dots_137",
    0x1002846 : "braille_dots_237",
    0x1002847 : "braille_dots_1237",
    0x1002848 : "braille_dots_47",
    0x1002849 : "braille_dots_147",
    0x100284a : "braille_dots_247",
    0x100284b : "braille_dots_1247",
    0x100284c : "braille_dots_347",
    0x100284d : "braille_dots_1347",
    0x100284e : "braille_dots_2347",
    0x100284f : "braille_dots_12347",
    0x1002850 : "braille_dots_57",
    0x1002851 : "braille_dots_157",
    0x1002852 : "braille_dots_257",
    0x1002853 : "braille_dots_1257",
    0x1002854 : "braille_dots_357",
    0x1002855 : "braille_dots_1357",
    0x1002856 : "braille_dots_2357",
    0x1002857 : "braille_dots_12357",
    0x1002858 : "braille_dots_457",
    0x1002859 : "braille_dots_1457",
    0x100285a : "braille_dots_2457",
    0x100285b : "braille_dots_12457",
    0x100285c : "braille_dots_3457",
    0x100285d : "braille_dots_13457",
    0x100285e : "braille_dots_23457",
    0x100285f : "braille_dots_123457",
    0x1002860 : "braille_dots_67",
    0x1002861 : "braille_dots_167",
    0x1002862 : "braille_dots_267",
    0x1002863 : "braille_dots_1267",
    0x1002864 : "braille_dots_367",
    0x1002865 : "braille_dots_1367",
    0x1002866 : "braille_dots_2367",
    0x1002867 : "braille_dots_12367",
    0x1002868 : "braille_dots_467",
    0x1002869 : "braille_dots_1467",
    0x100286a : "braille_dots_2467",
    0x100286b : "braille_dots_12467",
    0x100286c : "braille_dots_3467",
    0x100286d : "braille_dots_13467",
    0x100286e : "braille_dots_23467",
    0x100286f : "braille_dots_123467",
    0x1002870 : "braille_dots_567",
    0x1002871 : "braille_dots_1567",
    0x1002872 : "braille_dots_2567",
    0x1002873 : "braille_dots_12567",
    0x1002874 : "braille_dots_3567",
    0x1002875 : "braille_dots_13567",
    0x1002876 : "braille_dots_23567",
    0x1002877 : "braille_dots_123567",
    0x1002878 : "braille_dots_4567",
    0x1002879 : "braille_dots_14567",
    0x100287a : "braille_dots_24567",
    0x100287b : "braille_dots_124567",
    0x100287c : "braille_dots_34567",
    0x100287d : "braille_dots_134567",
    0x100287e : "braille_dots_234567",
    0x100287f : "braille_dots_1234567",
    0x1002880 : "braille_dots_8",
    0x1002881 : "braille_dots_18",
    0x1002882 : "braille_dots_28",
    0x1002883 : "braille_dots_128",
    0x1002884 : "braille_dots_38",
    0x1002885 : "braille_dots_138",
    0x1002886 : "braille_dots_238",
    0x1002887 : "braille_dots_1238",
    0x1002888 : "braille_dots_48",
    0x1002889 : "braille_dots_148",
    0x100288a : "braille_dots_248",
    0x100288b : "braille_dots_1248",
    0x100288c : "braille_dots_348",
    0x100288d : "braille_dots_1348",
    0x100288e : "braille_dots_2348",
    0x100288f : "braille_dots_12348",
    0x1002890 : "braille_dots_58",
    0x1002891 : "braille_dots_158",
    0x1002892 : "braille_dots_258",
    0x1002893 : "braille_dots_1258",
    0x1002894 : "braille_dots_358",
    0x1002895 : "braille_dots_1358",
    0x1002896 : "braille_dots_2358",
    0x1002897 : "braille_dots_12358",
    0x1002898 : "braille_dots_458",
    0x1002899 : "braille_dots_1458",
    0x100289a : "braille_dots_2458",
    0x100289b : "braille_dots_12458",
    0x100289c : "braille_dots_3458",
    0x100289d : "braille_dots_13458",
    0x100289e : "braille_dots_23458",
    0x100289f : "braille_dots_123458",
    0x10028a0 : "braille_dots_68",
    0x10028a1 : "braille_dots_168",
    0x10028a2 : "braille_dots_268",
    0x10028a3 : "braille_dots_1268",
    0x10028a4 : "braille_dots_368",
    0x10028a5 : "braille_dots_1368",
    0x10028a6 : "braille_dots_2368",
    0x10028a7 : "braille_dots_12368",
    0x10028a8 : "braille_dots_468",
    0x10028a9 : "braille_dots_1468",
    0x10028aa : "braille_dots_2468",
    0x10028ab : "braille_dots_12468",
    0x10028ac : "braille_dots_3468",
    0x10028ad : "braille_dots_13468",
    0x10028ae : "braille_dots_23468",
    0x10028af : "braille_dots_123468",
    0x10028b0 : "braille_dots_568",
    0x10028b1 : "braille_dots_1568",
    0x10028b2 : "braille_dots_2568",
    0x10028b3 : "braille_dots_12568",
    0x10028b4 : "braille_dots_3568",
    0x10028b5 : "braille_dots_13568",
    0x10028b6 : "braille_dots_23568",
    0x10028b7 : "braille_dots_123568",
    0x10028b8 : "braille_dots_4568",
    0x10028b9 : "braille_dots_14568",
    0x10028ba : "braille_dots_24568",
    0x10028bb : "braille_dots_124568",
    0x10028bc : "braille_dots_34568",
    0x10028bd : "braille_dots_134568",
    0x10028be : "braille_dots_234568",
    0x10028bf : "braille_dots_1234568",
    0x10028c0 : "braille_dots_78",
    0x10028c1 : "braille_dots_178",
    0x10028c2 : "braille_dots_278",
    0x10028c3 : "braille_dots_1278",
    0x10028c4 : "braille_dots_378",
    0x10028c5 : "braille_dots_1378",
    0x10028c6 : "braille_dots_2378",
    0x10028c7 : "braille_dots_12378",
    0x10028c8 : "braille_dots_478",
    0x10028c9 : "braille_dots_1478",
    0x10028ca : "braille_dots_2478",
    0x10028cb : "braille_dots_12478",
    0x10028cc : "braille_dots_3478",
    0x10028cd : "braille_dots_13478",
    0x10028ce : "braille_dots_23478",
    0x10028cf : "braille_dots_123478",
    0x10028d0 : "braille_dots_578",
    0x10028d1 : "braille_dots_1578",
    0x10028d2 : "braille_dots_2578",
    0x10028d3 : "braille_dots_12578",
    0x10028d4 : "braille_dots_3578",
    0x10028d5 : "braille_dots_13578",
    0x10028d6 : "braille_dots_23578",
    0x10028d7 : "braille_dots_123578",
    0x10028d8 : "braille_dots_4578",
    0x10028d9 : "braille_dots_14578",
    0x10028da : "braille_dots_24578",
    0x10028db : "braille_dots_124578",
    0x10028dc : "braille_dots_34578",
    0x10028dd : "braille_dots_134578",
    0x10028de : "braille_dots_234578",
    0x10028df : "braille_dots_1234578",
    0x10028e0 : "braille_dots_678",
    0x10028e1 : "braille_dots_1678",
    0x10028e2 : "braille_dots_2678",
    0x10028e3 : "braille_dots_12678",
    0x10028e4 : "braille_dots_3678",
    0x10028e5 : "braille_dots_13678",
    0x10028e6 : "braille_dots_23678",
    0x10028e7 : "braille_dots_123678",
    0x10028e8 : "braille_dots_4678",
    0x10028e9 : "braille_dots_14678",
    0x10028ea : "braille_dots_24678",
    0x10028eb : "braille_dots_124678",
    0x10028ec : "braille_dots_34678",
    0x10028ed : "braille_dots_134678",
    0x10028ee : "braille_dots_234678",
    0x10028ef : "braille_dots_1234678",
    0x10028f0 : "braille_dots_5678",
    0x10028f1 : "braille_dots_15678",
    0x10028f2 : "braille_dots_25678",
    0x10028f3 : "braille_dots_125678",
    0x10028f4 : "braille_dots_35678",
    0x10028f5 : "braille_dots_135678",
    0x10028f6 : "braille_dots_235678",
    0x10028f7 : "braille_dots_1235678",
    0x10028f8 : "braille_dots_45678",
    0x10028f9 : "braille_dots_145678",
    0x10028fa : "braille_dots_245678",
    0x10028fb : "braille_dots_1245678",
    0x10028fc : "braille_dots_345678",
    0x10028fd : "braille_dots_1345678",
    0x10028fe : "braille_dots_2345678",
    0x10028ff : "braille_dots_12345678"
}

def name_to_keycode (name):
    if __name_to_keycode.has_key (name):
        return __name_to_keycode[name]
    return None

def keycode_to_name (code):
    if __keycode_to_name.has_key (code):
        return __keycode_to_name[code]
    if code <  0xffff:
        return "0x%04x" % code
    else:
        return "0x%06x" % code

